2008-10-06 12:40  friedelwolff

	* request_cache.py: Correct the copyright date

2008-10-06 12:39  friedelwolff

	* CREDITS: Credit Daniel Schafer and Wil Clouser for Mozootle work

2008-10-06 12:27  friedelwolff

	* po/pootle/be/pootle.po, po/pootle/cs/pootle.po,
	  po/pootle/ml/pootle.po, po/pootle/nl/pootle.po,
	  po/pootle/pt/pootle.po, po/pootle/pt_BR/pootle.po,
	  po/pootle/te/pootle.po: Translation updates from
	  pootle.locamotion.org

2008-10-01 10:38  dwaynebailey

	* pootle.prefs: Add special characters for Kurdish

2008-10-01 10:21  winterstream

	* pootle.py, templates/about.html, templates/activate.html,
	  templates/adminindex.html, templates/adminlanguages.html,
	  templates/adminprojects.html, templates/adminusers.html,
	  templates/error.html, templates/fileindex.html,
	  templates/home.html, templates/index.html,
	  templates/language.html, templates/languages.html,
	  templates/login.html, templates/options.html,
	  templates/project.html, templates/projectadmin.html,
	  templates/projectlangadmin.html, templates/projects.html,
	  templates/redirect.html, templates/register.html,
	  templates/translatepage.html: [Contributed by Nicolas François]
	  
	  Nicolas' description:
	  
	  On Debian, the templates directory is installed separately from
	  the Pootle
	  directory.
	  (The original reason was that html files could be installed
	  separately
	  from the code).
	  This is just done by changing Pootle/filelocations.py
	  
	  To continue supporting this with the kid templates containing
	  code, I had
	  to apply the attached patch.
	  
	  It restricts and specifies the path containing the file which can
	  be
	  imported from the templates, and removes the "from
	  Pootle.templates " in
	  front of the import lines in the templates.

2008-09-30 07:55  winterstream

	* html/js/suggestions.js, pootlefile.py, translatepage.py:
	  [Authors: Wil Clouser & Julen Ruiz Aizpuru]
	  [Bug URL: http://bugs.locamotion.org/show_bug.cgi?id=490]
	  
	  Original problem description:
	  
	  I think this was introduced with the patch from bug 427. To
	  reproduce:
	  
	  1) Have a project with .po files in a directory. For example:
	  /$project/en/somedirectory/messages.po
	  
	  2) Make a suggestion for a string in the .po
	  3) Approve the suggestion via the AJAX link (it will fail)
	  4) Approve the suggestion via the submit button (it will work)
	  
	  I did some debugging on this and it looks like the submit button
	  is sending
	  more data via POST than the ajax method. The item it's sending
	  that matters
	  here is pofilename. When that isn't set in the POST it ends up
	  being double up
	  like so:
	  /somedirectory/somedirectory/messages.po
	  
	  Easy solution is to make the ajax send pofilename. The hard
	  solution is to dig
	  through pootle.py and look at the pathwords variable to see why
	  it's doubling
	  up. :)
	  
	  This patch fixes the suggestion problems.

2008-09-29 21:14  friedelwolff

	* pootlefile.py: Provide the new 'Language' field for the PO header
	  if we update the file header

2008-09-29 07:14  friedelwolff

	* projects.py: [Contributed by João Miguel Neves] Correctly
	  maintain directory layout in converttemplates(). This fixes bug
	  527

2008-09-27 09:43  dwaynebailey

	* projects.py: docstring: proper enumerated list and some links

2008-09-24 20:21  friedelwolff

	* projects.py: Fix wrong ordering of parameters in error message

2008-09-23 15:05  friedelwolff

	* po/pootle/vi/pootle.po: Commit from Pootle 1.2-rc1 by user admin.
	  299 of 299 messages translated (0 fuzzy).

2008-09-23 14:10  dwaynebailey

	* po/terminology/am/gnome, po/terminology/ar/gnome,
	  po/terminology/az/gnome, po/terminology/ca/gnome,
	  po/terminology/cs/gnome, po/terminology/da/gnome,
	  po/terminology/eo/gnome, po/terminology/es/gnome,
	  po/terminology/eu/gnome, po/terminology/fa/gnome,
	  po/terminology/fr/gnome, po/terminology/hi/gnome,
	  po/terminology/hu/gnome, po/terminology/it/gnome,
	  po/terminology/ja/gnome, po/terminology/kn/gnome,
	  po/terminology/ku/gnome, po/terminology/mk/gnome,
	  po/terminology/mr/gnome, po/terminology/ms/gnome,
	  po/terminology/nb/gnome, po/terminology/nl/gnome,
	  po/terminology/nn/gnome, po/terminology/pa/gnome,
	  po/terminology/pl/gnome, po/terminology/pt/gnome,
	  po/terminology/pt_BR/gnome, po/terminology/rw/gnome,
	  po/terminology/sk/gnome, po/terminology/sq/gnome,
	  po/terminology/sv/gnome, po/terminology/th/gnome,
	  po/terminology/uk/gnome, po/terminology/vi/gnome,
	  po/terminology/wa/gnome, po/terminology/zh_CN/gnome,
	  po/terminology/zh_HK/gnome, po/terminology/zh_TW/gnome: Ignore
	  *.po.tm

2008-09-23 13:59  dwaynebailey

	* po/pootle/af, po/pootle/ak, po/pootle/am, po/pootle/ar,
	  po/pootle/az, po/pootle/be, po/pootle/bg, po/pootle/bn,
	  po/pootle/bo, po/pootle/br, po/pootle/ca, po/pootle/cs,
	  po/pootle/da, po/pootle/de, po/pootle/dz, po/pootle/el,
	  po/pootle/en, po/pootle/en_GB, po/pootle/en_ZA, po/pootle/eo,
	  po/pootle/es, po/pootle/et, po/pootle/eu, po/pootle/fa,
	  po/pootle/fi, po/pootle/fr, po/pootle/fur, po/pootle/ga,
	  po/pootle/gl, po/pootle/ha, po/pootle/he, po/pootle/hi,
	  po/pootle/hr, po/pootle/hu, po/pootle/hy, po/pootle/id,
	  po/pootle/is, po/pootle/it, po/pootle/ja, po/pootle/ka,
	  po/pootle/kg, po/pootle/km, po/pootle/ko, po/pootle/ku,
	  po/pootle/lt, po/pootle/lv, po/pootle/ml, po/pootle/mr,
	  po/pootle/ms, po/pootle/mt, po/pootle/nap, po/pootle/nb,
	  po/pootle/ne, po/pootle/nl, po/pootle/nn, po/pootle/nso,
	  po/pootle/pa, po/pootle/pl, po/pootle/pt, po/pootle/pt_BR,
	  po/pootle/ro, po/pootle/ru, po/pootle/sk, po/pootle/sl,
	  po/pootle/sr, po/pootle/st, po/pootle/sv, po/pootle/tr,
	  po/pootle/uk, po/pootle/ve, po/pootle/vi, po/pootle/wo,
	  po/pootle/xh, po/pootle/zh_CN, po/pootle/zh_HK, po/pootle/zh_TW,
	  po/pootle/zu: Update svn:ignore to add *.po.tm and others

2008-09-23 13:28  friedelwolff

	* pootlefile.py: Remove deprecated code that was needed earlier to
	  update quickstats and for memoization

2008-09-23 13:16  dwaynebailey

	* templates: Ignore *.pyc

2008-09-22 16:45  winterstream

	* indexpage.py, projects.py, statistics.py: file_fails_test doesn't
	  work correctly. Reverted this code to a previous state so
	  that it works.

2008-09-19 19:09  friedelwolff

	* html/favicon.ico: Translate logo as favicon

2008-09-19 15:30  friedelwolff

	* __version__.py: Version 1.2.0-rc1

2008-09-19 15:29  friedelwolff

	* pootle.prefs: Add and/or enable some languages to be active in
	  the default installation: Greek (el), Estonian (et), Irish (ga),
	  Kurdish (ku), Kyrgyz (ky), Lingala (ln), Latvian (lv), Norwegian
	  Bokmal (nb), Norwegian Nynorsk (nn), Papiamento (pap), Albanian
	  (sq), Telugu (te), Tagalog (tl). Disable Chinese (Hong Kong)
	  (zh_HK) since it dropped below 80% :-(

2008-09-19 14:38  friedelwolff

	* po/pootle/ky, po/pootle/ky/jToolkit.po, po/pootle/ky/pootle.po,
	  po/pootle/mn, po/pootle/mn/jToolkit.po, po/pootle/mn/pootle.po,
	  po/pootle/tl, po/pootle/tl/jToolkit.po, po/pootle/tl/pootle.po:
	  New translations from pootle.locamotion.org: Kyrgyz (ky), Tagalog
	  (tl), Mongolian (mn)

2008-09-19 14:33  friedelwolff

	* po/pootle/ak/pootle.po, po/pootle/ar/pootle.po,
	  po/pootle/ca/pootle.po, po/pootle/da/pootle.po,
	  po/pootle/de/pootle.po, po/pootle/es/pootle.po,
	  po/pootle/eu/pootle.po, po/pootle/fa/pootle.po,
	  po/pootle/fi/pootle.po, po/pootle/fr/pootle.po,
	  po/pootle/ga/pootle.po, po/pootle/gl/pootle.po,
	  po/pootle/hu/pootle.po, po/pootle/it/pootle.po,
	  po/pootle/ja/pootle.po, po/pootle/ka/pootle.po,
	  po/pootle/ko/pootle.po, po/pootle/ku/jToolkit.po,
	  po/pootle/ku/pootle.po, po/pootle/lv/jToolkit.po,
	  po/pootle/lv/pootle.po, po/pootle/ml/jToolkit.po,
	  po/pootle/ml/pootle.po, po/pootle/nap/pootle.po,
	  po/pootle/nb/pootle.po, po/pootle/nn/jToolkit.po,
	  po/pootle/nn/pootle.po, po/pootle/pap/jToolkit.po,
	  po/pootle/pap/pootle.po, po/pootle/pl/pootle.po,
	  po/pootle/ro/jToolkit.po, po/pootle/ro/pootle.po,
	  po/pootle/ru/pootle.po, po/pootle/sq/pootle.po,
	  po/pootle/st/pootle.po, po/pootle/sv/pootle.po,
	  po/pootle/te/pootle.po, po/pootle/tr/pootle.po,
	  po/pootle/uk/jToolkit.po, po/pootle/uk/pootle.po,
	  po/pootle/xh/pootle.po, po/pootle/zh_TW/pootle.po: Update
	  existing translations from pootle.locamotion.org

2008-09-19 13:42  friedelwolff

	* po/pootle/zu/pootle.po: Commit from Pootle 1.2-beta2 by user
	  fwolff. 77 of 299 messages translated (21 fuzzy).

2008-09-19 13:40  friedelwolff

	* po/pootle/af/pootle.po: Updated Afrikaans translation from
	  pootle.locamotion.org. 100% translated

2008-09-18 09:50  dwaynebailey

	* po/pootle/st/pootle.po: Lets credit the person who actually did
	  the work, not the fact that he used
	  my laptop!

2008-09-17 09:49  dwaynebailey

	* po/pootle/st/pootle.po: Update

2008-09-17 06:13  dwaynebailey

	* po/pootle/st/pootle.po: Fix some capitalisation and mark aunit
	  for review

2008-09-17 06:02  dwaynebailey

	* po/pootle/st/pootle.po: Update translations

2008-09-11 12:23  friedelwolff

	* pootle.py: On the login page, only list languages that exist in
	  the 'pootle' project. Also obtain them fresh every time. This
	  fixes the bug where a new language in the Pootle page whould not
	  show up in the list unless the server is restarted.

2008-09-08 11:19  winterstream

	* request_cache.py, statistics.py, users.py: WARNING: This patch
	  will BREAK in multi-threaded code. Luckily, we
	  know that Pootle will turn into a multi-process server one day.
	  Threads are for masochistics.
	  
	  A simple per-request cache.
	  
	  Some fairly expensive things are computed numerous times with
	  every
	  HTTP request. We can reduce this cost by keeping building a cache
	  which is cleared for every new HTTP request.

2008-09-08 11:18  winterstream

	* projects.py: 1. Committed combine_file_failures, which on which
	  the previous patch is dependant.
	  2. Replaced code that used getstats()["total"] with code that
	  uses pofile.total directly.

2008-09-08 11:18  winterstream

	* indexpage.py: Replaced the old lazy evaluation code with the code
	  in util.
	  
	  Where the old code used a dictionary, the new code uses
	  attributes.
	  
	  There is a new property: has_suggestion. This uses the
	  new method combine_file_failures in statistics.py to
	  quickly determine if a file has suggestions. This
	  replaces a previous check which read all the stats
	  to determine whether the "hassuggestion" test was
	  present.

2008-09-08 11:17  winterstream

	* statistics.py: Removed memoization from the stats and added
	  file_fails_test
	  which can quickly check to see whether a file contains
	  any units which fail the test specified by the name
	  parameter.

2008-09-08 11:16  winterstream

	* translatepage.py: Here we only need the totals of a file, so it's
	  faster simply to
	  use getpototals instead of getpostats.

2008-09-08 11:15  winterstream

	* pootlefile.py: We might as well store the totals array - that is,
	  the mapping from unit indices to their positions in the store -
	  inside a pootlefile. Thus we can avoid hitting the stats code
	  every time we need to do such a lookup.
	  
	  This code also uses the new lazy evaluation code to defer
	  loading the totals array until it is needed. Note that
	  the totals array has to be reset when we reload the po file,
	  thus we do self._total = util.undefined.

2008-09-08 11:14  winterstream

	* util.py: Added a lazy evaluation decorator and a simple
	  dictionary cache
	  which invokes the getter when it a cache miss occurs.

2008-09-08 11:13  winterstream

	* pagelayout.py: Fixed code that still assumed that it had to
	  compute file totals by
	  using arrays of data. The old code paths were never taken, so
	  this
	  is really only dead code elimination.

2008-09-08 11:12  winterstream

	* indexpage.py, pootlefile.py, projects.py, statistics.py,
	  test_pootlefile.py: Storing the quick stats in a file leads to
	  some stats synchronization
	  nightmares.
	  
	  The toolkit already supports storing the quick stats in the stats
	  database, and so we are moving everything there.
	  
	  This commit also includes some other changes:
	  1. Move scanpofiles down the stack, so that it will only be
	  called
	  once when a ZIP file is uploaded (instead of once for every
	  file).
	  2. Move stats resetting code to savepofile, so that it is
	  centralized.

2008-08-28 10:02  dwaynebailey

	* po/pootle/en_GB, po/pootle/en_GB/jToolkit.po,
	  po/pootle/en_GB/pootle.po: Add British English 'translations'

2008-08-28 09:21  winterstream

	* pootle.prefs: Fix the location of the statsdb in pootle.prefs to
	  point to a valid database
	  location.

2008-08-27 16:18  winterstream

	* pootlefile.py: Added an ugly hack to force the recalculation of
	  the stats of a
	  PO file which lacks a header and then gains one by being saved
	  in Pootle.

2008-08-27 16:17  winterstream

	* projects.py: Removed no-op code.

2008-08-27 16:16  winterstream

	* pootlefile.py: We don't need to reread a file to have its stats
	  recalculated.

2008-08-27 16:15  winterstream

	* pootlefile.py: Removed dead code in pootlefile

2008-08-27 16:14  winterstream

	* pootlefile.py: Don't allow units to be shared between stores.
	  There be dragons.
	  
	  The thing is, this won't work with our libgettext bindings, since
	  libgettext only provides us with iterators to translation stores.
	  So that's the real reason we require units to be copied instead
	  of shared.

2008-08-27 15:39  friedelwolff

	* projects.py: Provide better error message if the indexer could
	  not be initialised

2008-08-26 15:25  winterstream

	* potree.py, projects.py, test_indexing.py: Change the indexing
	  system so that we have to ask for project.indexer
	  if we want to do an indexing query.
	  
	  project.indexer computes the index of a project lazily. Thus, if
	  it
	  is invoked, it first checks to see whether a project's index is
	  up to
	  date (by calling project.initindex).
	  
	  project.indexer returns None if there is no indexer for a
	  project. This
	  can happen if indexing is not available (that is, if
	  indexer.HAVE_INDEX
	  is false) or if the index for a project is corrupt. In this way
	  we
	  guard against corrupt indices making Pootle unusable for some
	  projects.
	  
	  The --refreshstats functionality was also updated to force index
	  initialization, which is required due to the laziness.

2008-08-26 15:15  friedelwolff

	* __version__.py: Version 1.2.0-beta2

2008-08-26 14:36  winterstream

	* benchmark.py, projects.py: Rename the module named indexer to
	  indexing.

2008-08-25 15:33  friedelwolff

	* CREDITS: Credit Walter Leibbrandt and Wynand Winterbach

2008-08-25 14:04  winterstream

	* statistics.py: Purge the in-memory stats before writing
	  quickstats to disk. This is necessary, since at this point,
	  the in-memory stats are old and we need to force Pootle to read
	  the stats from the database again.

2008-08-25 14:03  winterstream

	* projects.py: [Contributed by David Calavera]. Remove an
	  unnecessary file save,
	  since newpofile.mergefile(currentpofile, "versionmerge") already
	  does it.

2008-08-25 14:02  winterstream

	* pootlefile.py, projects.py: Fixed a mismatch in the way the
	  quality checks looked at suggestions
	  and in the way that Pootle looked at suggestions.
	  
	  When the suggestion quality check looks at whether a unit has a
	  suggestion, it simply looks to see whether there exists a
	  suggestion
	  with a matching source string.
	  
	  In contrast, Pootle also required that the location information
	  of a unit in a suggestion file matched.
	  
	  This caused problems if the location information in translation
	  files was updated. This is because the quality check mechanism
	  would report that there were suggestions, while Pootle would
	  fail to find the suggestions, due to the mismatch of location
	  information.
	  
	  Pootle now also only looks at the source information. This is not
	  ideal and we need a more fundamental solution. But for now, this
	  is the best way to go.

2008-08-22 17:14  winterstream

	* projects.py: The zip upload code did not fall back to the Python
	  implementation if the external unzip failed,
	  
	  This has been fixed and the code was slightly refactored.

2008-08-22 16:43  winterstream

	* statistics.py: Modify getquickstats to take into account that
	  StatsCache.filetotals
	  may now return an empty dictionary. If it does, then
	  getquickstats
	  should return emptyfiletotals, since Pootle expects the
	  quickstats
	  dictionary to contain certain values.

2008-08-22 14:11  murgilduta

	* html/images/information.png, html/pootle.css,
	  templates/translatepage.html, translatepage.py: Provide links to
	  online documentation when a user is reviewing quality checks.
	  [Based on Friedel's proposal]

2008-08-21 23:21  sumpfralle

	* projects.py: avoid the shell when calling "unzip"

2008-08-21 23:18  sumpfralle

	* README: Pootle uses the python module "subprocess" - thus it
	  requires python v2.4

2008-08-21 22:42  sumpfralle

	* test_indexing.py: adapt test to the new indexing interface

2008-08-21 22:33  sumpfralle

	* README: update note regarding indexing engines
	  fix some line breaks (>80 characters)

2008-08-21 15:33  friedelwolff

	* pootle.py: Expect at least build 12000

2008-08-21 12:50  winterstream

	* projects.py: Fixed an invalid reference to item (it was renamed
	  to lastitem),
	  and did minor refactoring of the functions.

2008-08-21 12:13  winterstream

	* potree.py: Fix refreshstats by forcing calculation of the
	  statistics used in
	  each project.

2008-08-21 10:38  winterstream

	* indexpage.py: Fixed a lazy evaluation error. We have to add () to
	  evaluate
	  a lazy value.

2008-08-21 10:37  winterstream

	* pootlefile.py, projects.py: Refactored and reworked the code to
	  find the indices.
	  
	  This code should be fast and should work when walking through
	  assignments and tests.

2008-08-21 09:51  friedelwolff

	* projects.py: Replace subprocess.Popen with subprocess.call since
	  we have to wait for unzip to complete

2008-08-21 09:43  friedelwolff

	* templates/navbar.kid: Always show the itemtitle if it exists

2008-08-20 11:30  winterstream

	* pootle.py, translatepage.py: Fixed a bad boolean expression in
	  translatepage.py which could make it possible
	  for someone without authorization to edit units.
	  
	  Also added the translate=1 flag then the URL contains
	  translate.html so that
	  we get the right behaviour from things like suggestion reviews.

2008-08-20 11:09  friedelwolff

	* __version__.py: Version 1.2.0-beta1

2008-08-20 11:02  friedelwolff

	* indexpage.py: Adapt meta keywords

2008-08-20 10:18  friedelwolff

	* po/pootle/af/pootle.po, po/pootle/ak/pootle.po,
	  po/pootle/am/pootle.po, po/pootle/ar/pootle.po,
	  po/pootle/az/pootle.po, po/pootle/be/pootle.po,
	  po/pootle/bg/pootle.po, po/pootle/bn/pootle.po,
	  po/pootle/bo/pootle.po, po/pootle/br/pootle.po,
	  po/pootle/ca/pootle.po, po/pootle/cs/pootle.po,
	  po/pootle/da/pootle.po, po/pootle/de/pootle.po,
	  po/pootle/dz/pootle.po, po/pootle/el/pootle.po,
	  po/pootle/en/pootle.po, po/pootle/en_ZA/pootle.po,
	  po/pootle/eo/pootle.po, po/pootle/es/pootle.po,
	  po/pootle/et/pootle.po, po/pootle/eu/pootle.po,
	  po/pootle/fa/pootle.po, po/pootle/fi/pootle.po,
	  po/pootle/fr/pootle.po, po/pootle/fur/pootle.po,
	  po/pootle/ga/pootle.po, po/pootle/gl/pootle.po,
	  po/pootle/ha/pootle.po, po/pootle/he/pootle.po,
	  po/pootle/hi/pootle.po, po/pootle/hr/pootle.po,
	  po/pootle/hu/pootle.po, po/pootle/hy/pootle.po,
	  po/pootle/id/pootle.po, po/pootle/is/pootle.po,
	  po/pootle/it/pootle.po, po/pootle/ja/pootle.po,
	  po/pootle/ka/pootle.po, po/pootle/kg/pootle.po,
	  po/pootle/km/pootle.po, po/pootle/ko/pootle.po,
	  po/pootle/ku/pootle.po, po/pootle/ln/pootle.po,
	  po/pootle/lt/pootle.po, po/pootle/lv/pootle.po,
	  po/pootle/ml/pootle.po, po/pootle/mr/pootle.po,
	  po/pootle/ms/pootle.po, po/pootle/mt/pootle.po,
	  po/pootle/nap/pootle.po, po/pootle/nb/pootle.po,
	  po/pootle/ne/pootle.po, po/pootle/nl/pootle.po,
	  po/pootle/nn/pootle.po, po/pootle/nso/pootle.po,
	  po/pootle/pa/pootle.po, po/pootle/pap/pootle.po,
	  po/pootle/pl/pootle.po, po/pootle/pt/pootle.po,
	  po/pootle/pt_BR/pootle.po, po/pootle/ro/pootle.po,
	  po/pootle/ru/pootle.po, po/pootle/sk/pootle.po,
	  po/pootle/sl/pootle.po, po/pootle/sq/pootle.po,
	  po/pootle/sr/pootle.po, po/pootle/st/pootle.po,
	  po/pootle/sv/pootle.po, po/pootle/te/pootle.po,
	  po/pootle/th/pootle.po, po/pootle/tr/pootle.po,
	  po/pootle/uk/pootle.po, po/pootle/ve/pootle.po,
	  po/pootle/vi/pootle.po, po/pootle/wo/pootle.po,
	  po/pootle/zh_CN/pootle.po, po/pootle/zh_HK/pootle.po,
	  po/pootle/zh_TW/pootle.po, po/pootle/zu/pootle.po: Migrate all
	  translations to the new POT file for Pootle 1.2

2008-08-20 10:07  friedelwolff

	* po/pootle/az/pootle.po, po/pootle/be/pootle.po: Convert windows
	  newlines to unix newlines

2008-08-20 10:00  murgilduta

	* translatepage.py: Forgot to remove a print statement.

2008-08-20 09:24  murgilduta

	* README: Fix bugzilla URL.

2008-08-20 09:22  murgilduta

	* translatepage.py: Display correctly translations with markup when
	  using alternative source language.

2008-08-20 09:08  friedelwolff

	* po/pootle/az, po/pootle/az/jToolkit.po, po/pootle/az/pootle.po,
	  po/pootle/be, po/pootle/be/jToolkit.po, po/pootle/be/pootle.po,
	  po/pootle/bo, po/pootle/bo/jToolkit.po, po/pootle/bo/pootle.po,
	  po/pootle/br, po/pootle/br/jToolkit.po, po/pootle/br/pootle.po,
	  po/pootle/ln, po/pootle/ln/jToolkit.po, po/pootle/ln/pootle.po,
	  po/pootle/nap, po/pootle/nap/jToolkit.po,
	  po/pootle/nap/pootle.po, po/pootle/pap,
	  po/pootle/pap/jToolkit.po, po/pootle/pap/pootle.po, po/pootle/sq,
	  po/pootle/sq/jToolkit.po, po/pootle/sq/pootle.po, po/pootle/te,
	  po/pootle/te/jToolkit.po, po/pootle/te/pootle.po, po/pootle/th,
	  po/pootle/th/jToolkit.po, po/pootle/th/pootle.po: Add new
	  translations from pootle.locamotion.org (many still incomplete)

2008-08-19 16:13  friedelwolff

	* po/pootle/ak/pootle.po, po/pootle/am/pootle.po,
	  po/pootle/ar/pootle.po, po/pootle/bg/jToolkit.po,
	  po/pootle/bg/pootle.po, po/pootle/el/pootle.po,
	  po/pootle/es/jToolkit.po, po/pootle/es/pootle.po,
	  po/pootle/et/pootle.po, po/pootle/fi/pootle.po,
	  po/pootle/fur/pootle.po, po/pootle/ga/pootle.po,
	  po/pootle/gl/jToolkit.po, po/pootle/gl/pootle.po,
	  po/pootle/hi/pootle.po, po/pootle/hy/pootle.po,
	  po/pootle/is/pootle.po, po/pootle/it/pootle.po,
	  po/pootle/ka/pootle.po, po/pootle/lv/jToolkit.po,
	  po/pootle/lv/pootle.po, po/pootle/ml/jToolkit.po,
	  po/pootle/ml/pootle.po, po/pootle/ms/pootle.po,
	  po/pootle/mt/pootle.po, po/pootle/nb/pootle.po,
	  po/pootle/nn/pootle.po, po/pootle/pl/pootle.po,
	  po/pootle/sr/pootle.po, po/pootle/tr/pootle.po,
	  po/pootle/uk/pootle.po, po/pootle/ve/pootle.po,
	  po/pootle/zu/jToolkit.po, po/pootle/zu/pootle.po: Update
	  translations from pootle.locamotion.org before updating to new
	  POT file

2008-08-19 16:03  winterstream

	* pootlefile.py: Add a check to ensure that we use valid list
	  indices.

2008-08-19 15:30  winterstream

	* templates/__init__.py, templates/navbar.kid,
	  templates/pootlepage.kid: Forgot to add these files to a previous
	  commit.

2008-08-19 14:54  winterstream

	* translatepage.py: Fixed a logical and syntax error.

2008-08-19 14:53  winterstream

	* pootle.py, templates/about.html, templates/activate.html,
	  templates/adminindex.html, templates/adminlanguages.html,
	  templates/adminprojects.html, templates/adminusers.html,
	  templates/error.html, templates/fileindex.html,
	  templates/home.html, templates/index.html,
	  templates/language.html, templates/languages.html,
	  templates/login.html, templates/navbar.html,
	  templates/options.html, templates/pootlepage.html,
	  templates/project.html, templates/projectadmin.html,
	  templates/projectlangadmin.html, templates/projects.html,
	  templates/redirect.html, templates/register.html,
	  templates/translatepage.html: Replace jToolkit's template overlay
	  code with a Kid-only solution.
	  One less thether to jToolkit!

2008-08-19 14:49  winterstream

	* indexpage.py: Fixed a stats display bug that was introduced when
	  the diet branch
	  was merged in.

2008-08-19 14:48  winterstream

	* indexpage.py: Changed one of the stats structures into a lazy
	  structure which will
	  only compute a value when it's needed. This saves us from having
	  to
	  fret about pushing computations into code areas where their
	  values
	  are needed. It also speeds up Pootle :).

2008-08-19 14:47  winterstream

	* indexpage.py: Removed an unnecessary calculation and fixed
	  indentation.

2008-08-19 14:46  winterstream

	* indexpage.py: Fix in-goal navigation so that the user will only
	  see the units
	  in a goal when clicking on something like a quality check related
	  to a goal.

2008-08-19 14:45  winterstream

	* projects.py: Don't use the indexer when search.matchnames is the
	  only thing
	  we're using. search.matchnames contains things like "fuzzy",
	  "check-spaces" etc.

2008-08-19 14:44  winterstream

	* pootlefile.py: Replaced a linear search with a binary search.
	  This speeds up
	  the enumeration of checks on large files significantly.

2008-08-19 14:43  winterstream

	* indexpage.py: Don't perform unnecessary calculations. This should
	  provide a tiny
	  speed boost in some cases.

2008-08-19 14:33  friedelwolff

	* po/pootle/xh/pootle.po: Update translation to new POT file (with
	  some manual tweaks)

2008-08-19 14:31  friedelwolff

	* po/pootle/templates/pootle.pot: Update POT file before 1.2
	  release

2008-08-19 10:38  friedelwolff

	* translatepage.py: Rewrite ugettext code slightly to avoid getting
	  a wrong string in pootle.pot with xgettext

2008-08-19 09:08  friedelwolff

	* tools/updatetm.py: Increase the default maximum length to 1000
	  (same as pot2po)

2008-08-18 14:08  murgilduta

	* indexpage.py, pagelayout.py, translatepage.py: Unify
	  getsearchfields() function, move it to
	  pagelayout.py::PootleNavPage, and use it more efficiently
	  removing unnecessary member variables.

2008-08-18 14:07  murgilduta

	* projects.py: Since we already have a string, we don't need this
	  stupid conversion.

2008-08-18 14:07  murgilduta

	* projects.py: Index a list of term values instead of a string for
	  the locations.
	  
	  This is possible due to changes introduced in rev 8053.

2008-08-18 14:06  murgilduta

	* pootlefile.py: Do not use mutable objects as default parameters.
	  
	  For more information, see "important warning" in
	  http://docs.python.org/tut/node6.html#SECTION006710000000000000000

2008-08-15 15:01  walter_l

	* projects.py: Replaced Python 2.4-incompatible try-except-finally
	  block with a try-finally block in
	  TranslationProject.uploadarchive()

2008-08-15 12:42  winterstream

	* pootlefile.py: Fix pootlefile to work correctly when using XLIFF
	  files.

2008-08-15 12:42  winterstream

	* projects.py: Replace the merging code used when updating from
	  version control
	  with the merging code used when uploading a file.

2008-08-15 12:41  winterstream

	* pootlefile.py: Improve data structures used in matchitems.

2008-08-15 12:40  winterstream

	* pootlefile.py, projects.py: Add a position index for the units so
	  that, given a unit, we can find
	  its position in the unit list in O(1) time (instead of the silly
	  O(n)
	  system we had in place).

2008-08-15 12:39  winterstream

	* statistics.py: Fixed incorrect empty stats returns in the
	  statistics module.

2008-08-15 08:58  walter_l

	* projects.py: Replaced os.execvp() with subprocess.Popen() and
	  added a missing "import shutil" (oops! :P).

2008-08-15 08:43  walter_l

	* projects.py: Try to use "unzip" from the system before falling
	  back to Python's (_slightly_)
	  slower zipfile module in TranslationProject.uploadarchive(). This
	  fixes bug 402.

2008-08-14 18:06  murgilduta

	* html/images/bullet_arrow_down.png,
	  html/images/bullet_arrow_up.png, html/js/search.js,
	  html/pootle.css, templates/fileindex.html,
	  templates/translatepage.html: Allow Pootle search for fields (GUI
	  part).
	  
	  This completes the user interface to the search for fields
	  enhancement.

2008-08-14 18:04  murgilduta

	* indexpage.py, pootlefile.py, projects.py, translatepage.py: Allow
	  Pootle to search for fields.
	  
	  This is the codebase for implementing search for fields (GUI
	  follows).
	  Important note: this commit introduces changes in terms of what
	  information and under which names is stored by the indexing
	  engine, so from now on it is necessary to rebuild the search
	  indexes in order to work this functionality.
	  Specifically, "msgid" and "msgstr" fields now are known as
	  "source" and "target". Additionally, "notes" and "locations"
	  fields have been added.

2008-08-14 16:46  murgilduta

	* html/images/gtk-apply.png, html/images/gtk-cancel.png,
	  html/js/suggestions.js, html/pootle.css,
	  templates/translatepage.html, translatepage.py: Added option to
	  (re)view suggestions made by others while translating.
	  
	  Normal users can view suggestions made by others while they
	  translate.
	  Users with reviewing privileges will be able to review
	  suggestions at the moment. Accepting and rejecting suggestions
	  works through an AJAX interface, so no page reload is needed.
	  Accepting a suggestion rejects the remaining others.
	  
	  This fixes bug 427.

2008-08-14 16:15  friedelwolff

	* templates/translatepage.html: Only focus on the translation area
	  if we have translate or suggest rights

2008-08-14 15:02  friedelwolff

	* adminpages.py, templates/adminlanguages.html,
	  templates/adminprojects.html, templates/adminusers.html: Make
	  previously untranslatable admin page titles translatable

2008-08-14 14:47  friedelwolff

	* pootle.prefs: Disable Luganda (lg) and add more special
	  characters. Add and enable Neapolitan (nap). Add Urdu (ur)
	  disabled.

2008-08-11 09:19  winterstream

	* pootle.prefs, pootle.py: Added the ability to specify the stats
	  database in the Poolte preferences
	  file.

2008-08-07 06:38  murgilduta

	* html/js/unfuzzy.js, templates/translatepage.html: Mark fuzzy
	  messages as unfuzzy automatically after editing.
	  
	  This fixes bug 456. Anyway, there are some issues with pasting
	  that will be addressed on bug 473.

2008-08-04 15:12  winterstream

	* pootlefile.py, projects.py, statistics.py, test_pootlefile.py:
	  Currently, when we reclassify a unit, we recompute the statistics
	  of an entire file
	  due to a bug. This is now fixed.

2008-08-04 13:19  winterstream

	* pootle.py: Used an incorrect import statement in the import code.
	  
	  This should fix it.

2008-07-29 13:13  winterstream

	* pootle.py, profiling, profiling/__init__.py,
	  profiling/lsprofcalltree.py: This adds some profiling code to
	  Poolte. The output can be viewed with
	  kcachegrind.

2008-07-25 10:23  dwaynebailey

	* pootle.prefs: Add entry for Lugandan

2008-07-24 20:12  friedelwolff

	* potree.py: [Contributed by Suresh Chandrasekharan] Move the
	  language matching code from Pootle to the toolkit

2008-07-23 10:00  murgilduta

	* html/js/jquery, html/js/jquery/jquery.color.js,
	  html/js/jquery/jquery.js: Add jQuery library into /js/jquery/.
	  
	  In this commit the core library (jquery.js, version 1.2.6) and
	  the Color Animations plugin (jquery.color.js) have been added.

2008-07-22 15:03  friedelwolff

	* statistics.py: Update the project-level quick stats after
	  reclassifying a unit

2008-07-22 14:46  friedelwolff

	* statistics.py: Remove invalid/unnecessary
	  @invalidates_memoization for .updatequickstats()

2008-07-21 00:35  sumpfralle

	* projects.py: add support for the 'author' tag to various revision
	  control systems (contributed by Miklos Vajna)

2008-07-18 09:48  winterstream

	* statistics.py: Added kwargs to memoization functions

2008-07-17 17:50  winterstream

	* pootlefile.py, projects.py: We make sure to invalidate memoized
	  stats values when we realize that
	  a file has changed since we last read its stats.

2008-07-17 17:49  winterstream

	* statistics.py: Improved the memoization a bit by making it
	  generic.

2008-07-15 21:46  murgilduta

	* translatepage.py: Escape correctly alternative source language
	  text.
	  
	  This fixes bug 449.

2008-07-15 15:27  winterstream

	* pootlefile.py: Fixed a stupid bug which caused projects
	  containing more than one type of
	  translation file to experience strange bugs.
	  
	  One can indeed be too smart for oneself. pootlefile.pootlefile
	  was a class
	  which extended the functionality an existing file store. When the
	  old code
	  was asked to load a translation file, it found the translation
	  store class
	  corresponding to the file and set pootlefile.pootlefile's base
	  class to that
	  class. Thus, if you loaded a PO file, then
	  pootlefile.pootlefile's class's
	  __bases__ member was set to (pofile,). This would cause
	  pootlefile.pootlefile
	  to behave as a class derived from pofile.
	  
	  This worked great in projects with only a single file type. But
	  if you also
	  happened to use something like XLIFF, then the base class of
	  pootlefile.pootlefile would flip between pofile and xlifffile
	  depending on
	  the last loaded file type.
	  
	  This is obviously not a good thing. So, we need to create
	  pootlefile classes
	  for each type of translation store that gets used. We do this at
	  runtime
	  by seeing whether such a class already exists; if not, it is
	  created.

2008-07-15 12:45  murgilduta

	* pootlefile.py, translatepage.py: Fixed retrieval of suggestions
	  from XLIFF files in reviewing mode.

2008-07-07 10:32  winterstream

	* statistics.py: modinfo in the translate toolkit is now a 2-tuple
	  containing the mtime and
	  the size of a file.
	  
	  The pootle modtime function used the toolkit's get_mod_info
	  directly, but
	  this didn't play nice with existing code that's only interested
	  in looking
	  at the mtime of a file. So this has been modified to only give
	  the mtime
	  for Poolte.

2008-07-01 14:47  winterstream

	* pootlefile.py: pootlefile.getitem was previously modified not to
	  trigger full-scale quality checks on a unit,
	  with the aim of speeding up common operations. At the moment
	  though, there is no other code
	  to trigger checks, which means that the quality checking
	  functionality doesn't work with
	  these changes.
	  
	  We really ought to work on this high coupling that causes so much
	  unexpected breakage.

2008-07-01 11:23  winterstream

	* benchmark.py, conflict2suggest.py, indexpage.py, pootle.py,
	  pootlefile.py, potree.py, projects.py, statistics.py,
	  templates/navbar.html, test_pootlefile.py, test_statistics.py,
	  translatepage.py: Merged in changes from
	  branches/Pootle-diet-and-trunk-merge.
	  
	  Please see the branch if you are interested in the changes that
	  led to this commit.

2008-06-20 15:33  friedelwolff

	* projects.py: (Re-)fix XLIFF support in Pootle (where there are
	  not necessarily multistrings). Probably regressed during merging
	  of indexing code.

2008-06-20 12:30  walter_l

	* pootlefile.py: Changed the "%F" formatter to the expanded
	  "%Y-%m-%d" which results in the same
	  date. The difference is that the former is not supported on
	  Windows.
	  
	  This is related to bug #290.

2008-06-20 11:32  walter_l

	* pootlefile.py: Used translate.storage.poheader.tzstring() to
	  replace the "%z" date formatting
	  option.
	  
	  This fixes bug #290

2008-06-19 20:52  sumpfralle

	* projects.py: use different sub-directories for databases of
	  different indexing engines
	  rename the indexing directory from ".poindex-PROJECT-LANGUAGE" to
	  ".translation_index"
	  note for UPGRADING: you have to remove old indexing directories
	  manually
	  
	  these changes are meant to ease migrations from one indexing
	  engine to another and to
	  allow different indexing engines to be on the same server

2008-06-14 09:21  friedelwolff

	* projects.py: Update Pootle code to new indexing code by merging
	  from the translate-search-indexer-generic-merging branch. Check
	  the branch for individual commits on this file.

2008-06-13 16:45  friedelwolff

	* pagelayout.py, pootle.prefs, pootle.py, templates/options.html,
	  templates/translatepage.html, translatepage.py, users.prefs,
	  users.py: Enable translation while displaying an alternative
	  source language.
	  
	  A user option is provided to choose which language should be used
	  as the
	  alternative source language. The feature can be enabled/disabled
	  server wide
	  with the variable Pootle.enablealtsrc (disabled by default).
	  
	  This closes bug 209.
	  
	  Known issues:
	  Plural units are not supported yet (nothing is displayed)
	  Unit context (such as msgctxt in PO) is not taken into account
	  The first match from the alternative source language project is
	  used - not
	  specifically from the unit or file corresponding to the current
	  unit
	  This might need lots of memory and possibly processing power in
	  large projects
	  
	  [Contributed by Julen Ruiz Aizpuru as part of GSoC2008, based on
	  work by
	  Sayamindu Dasgupta]

2008-06-06 08:53  dwaynebailey

	* createpootlepot: Prep the .pot fiel with package name and version
	  number

2008-06-04 19:12  dwaynebailey

	* pootle.py: Use mimetypes for downloads that match those defined
	  in virtaal.

2008-06-04 19:09  dwaynebailey

	* pootle.prefs: Add Venda as a disables language

2008-06-04 19:07  dwaynebailey

	* createpootlepot: Sort the found files before extracting text.

2008-06-03 09:38  walter_l

	* projects.py: The second commit (for Pootle) to fix bug 350.
	  Use of the tempfile module has replaced the use of os.tmpnam(),
	  which is apparently insecure.

2008-05-15 15:20  friedelwolff

	* test_client.py: Update test to new formatting on project admin
	  page

2008-04-25 07:35  friedelwolff

	* adminpages.py: Fix misnomer 'Login' -> 'Username' [reported by
	  Jussi Aalto]

2008-04-23 11:35  friedelwolff

	* README: Fix URL to bugzilla

2008-04-03 14:55  friedelwolff

	* templates/projectadmin.html: Show the language code in the
	  dropdown of languages to add to the project. This closes bug 357

2008-04-03 14:27  friedelwolff

	* adminpages.py, templates/projectadmin.html: Show existing
	  languages in a sortable table

2008-04-02 15:12  dwaynebailey

	* __init__.py: Fixes to cleanup PKG-INFO. Wrong download URL and
	  some wording changes.

2008-03-28 13:51  friedelwolff

	* statistics.py, translatepage.py: Fix bugs in .xlf support
	  (reported by Robert Malovec)

2008-03-27 07:22  friedelwolff

	* pootle.prefs: Update URLs

2008-03-26 13:53  friedelwolff

	* ChangeLog: Update Changelog before release of 1.1.0

2008-03-26 13:02  friedelwolff

	* __version__.py: Version 1.1.0

2008-03-26 12:42  friedelwolff

	* po/pootle/dz, po/pootle/dz/jToolkit.po, po/pootle/dz/pootle.po,
	  po/pootle/ga, po/pootle/ga/jToolkit.po, po/pootle/ga/pootle.po,
	  po/pootle/id, po/pootle/id/jToolkit.po, po/pootle/id/pootle.po,
	  po/pootle/nso, po/pootle/nso/jToolkit.po,
	  po/pootle/nso/pootle.po, po/pootle/sk, po/pootle/sk/jToolkit.po,
	  po/pootle/sk/pootle.po: New translations from
	  pootle.locamotion.org - Dzonkha (dz), Irish (ga), Indonesian
	  (id), Northern Sotho (nso), Slovak (sk)

2008-03-26 12:23  friedelwolff

	* po/pootle/ak/pootle.po, po/pootle/ar/pootle.po,
	  po/pootle/bg/jToolkit.po, po/pootle/bg/pootle.po,
	  po/pootle/cs/pootle.po, po/pootle/da/pootle.po,
	  po/pootle/de/jToolkit.po, po/pootle/de/pootle.po,
	  po/pootle/eo/pootle.po, po/pootle/es/jToolkit.po,
	  po/pootle/et/pootle.po, po/pootle/eu/jToolkit.po,
	  po/pootle/eu/pootle.po, po/pootle/fa/jToolkit.po,
	  po/pootle/fa/pootle.po, po/pootle/fr/pootle.po,
	  po/pootle/he/jToolkit.po, po/pootle/he/pootle.po,
	  po/pootle/hu/pootle.po, po/pootle/is/pootle.po,
	  po/pootle/ja/pootle.po, po/pootle/km/pootle.po,
	  po/pootle/ku/jToolkit.po, po/pootle/ku/pootle.po,
	  po/pootle/lt/jToolkit.po, po/pootle/lt/pootle.po,
	  po/pootle/ml/pootle.po, po/pootle/ms/pootle.po,
	  po/pootle/nb/jToolkit.po, po/pootle/nb/pootle.po,
	  po/pootle/ne/pootle.po, po/pootle/pl/jToolkit.po,
	  po/pootle/pl/pootle.po, po/pootle/pt/pootle.po,
	  po/pootle/ro/jToolkit.po, po/pootle/ro/pootle.po,
	  po/pootle/ru/jToolkit.po, po/pootle/ru/pootle.po,
	  po/pootle/sl/pootle.po, po/pootle/sr/jToolkit.po,
	  po/pootle/tr/pootle.po, po/pootle/uk/pootle.po,
	  po/pootle/wo/pootle.po, po/pootle/zh_CN/jToolkit.po,
	  po/pootle/zh_CN/pootle.po, po/pootle/zh_TW/jToolkit.po,
	  po/pootle/zu/pootle.po: Updated translations from
	  pootle.locamotion.org

2008-03-18 21:27  friedelwolff

	* pootle.prefs: Correct plural information for Hungarian

2008-03-18 14:33  friedelwolff

	* pootle.prefs: Enable Hungarian (hu)

2008-03-18 14:32  friedelwolff

	* pootle.prefs: Add Malayalam (ml)

2008-03-18 14:29  friedelwolff

	* pootle.prefs: Add special characters for Northern Sotho (nso)

2008-03-18 14:27  friedelwolff

	* pootle.py: Require at least build number 11000 (Version 1.1) of
	  the toolkit

2008-03-13 10:13  friedelwolff

	* pootlefile.py: Use .addunit() instead of .units.append. +Note
	  about inefficient merging code

2008-02-29 12:55  friedelwolff

	* __version__.py: Version 1.1.0rc2

2008-02-29 12:54  friedelwolff

	* indexpage.py, pootlefile.py, projects.py: Provide an upload box
	  for users that only have the 'suggest' right, and handle such
	  uploads properly.

2008-02-29 12:52  friedelwolff

	* test_client.py: Test that a user that only has suggest rights can
	  upload

2008-02-29 08:04  friedelwolff

	* po/pootle/templates/pootle.pot: Update template for the Pootle
	  project (very little actual change)

2008-02-29 07:59  friedelwolff

	* html/pootle.css: Change the colour of HTML highligting to a dark
	  red (#A00000)

2008-02-29 07:42  friedelwolff

	* translatepage.py: Implement highlighting of HTML markup in the
	  translate page

2008-02-29 07:41  friedelwolff

	* pootle.prefs: Allign language name with the iso-codes package for
	  'Spanish; Castilian' (es)

2008-02-29 07:38  friedelwolff

	* projects.py: Update the indexing code to the newest provided by
	  the Toolkit that should work with PyLucene 1 and 2.

2008-02-18 11:32  friedelwolff

	* po/pootle/ru/jToolkit.po, po/pootle/ru/pootle.po,
	  po/pootle/sr/jToolkit.po, po/pootle/sr/pootle.po,
	  po/pootle/uk/jToolkit.po, po/pootle/uk/pootle.po: Fix broken
	  spacing in plural equations for ru, sr, uk

2008-02-18 11:26  friedelwolff

	* po/pootle/cs/jToolkit.po, po/pootle/cs/pootle.po: Fix broken
	  spacing in Czeck (cs) plural equation

2008-02-15 13:48  friedelwolff

	* pootle.py: Only swallow an ImportError - we want to know about
	  anything else

2008-02-07 15:05  friedelwolff

	* pootle.prefs: Close tags that were causing kid error

2008-01-30 16:15  friedelwolff

	* projects.py: Adapt to API change in the toolkit (convertfile ->
	  convertstore)

2008-01-29 15:10  friedelwolff

	* html/pootle.css: Comment out float: left; in #content and explain
	  why. This should fix bug 253.

2008-01-29 09:30  friedelwolff

	* html/pootle.css: Show a pointer (hand) over the related entries

2008-01-28 16:08  friedelwolff

	* html/js/autoexpand.js: Fix text insertion for Internet Explorer

2008-01-28 13:28  friedelwolff

	* pootle.prefs: New Arabic plural formula as given by Arabeyes

2008-01-28 10:40  friedelwolff

	* pootle.prefs: Rather use div than span tags for descriptions -
	  this ensures correct text alignment in bidi pages

2008-01-28 10:35  friedelwolff

	* templates/about.html: Remove fullwidthcontent in favour of
	  content. Now this looks better with the new RTL characteristics

2008-01-23 23:01  larskr

	* projects.py: avoid to use PyLucene v2 since the API is not
	  supported, yet

2008-01-23 12:35  friedelwolff

	* templates/activate.html, templates/login.html,
	  templates/register.html: Format login, register and activate
	  forms consistently

2008-01-23 12:15  friedelwolff

	* pootle.prefs: Adapt language names to ensure better alignment
	  with iso-codes

2008-01-23 12:09  friedelwolff

	* pootle.prefs: Provide proper country names to ensure better
	  alignment with iso-codes

2008-01-23 11:22  friedelwolff

	* pootle.prefs: Mention translation of language names with the
	  iso-codes package

2008-01-23 11:16  friedelwolff

	* pootle.prefs: Update and expand some descriptions

2008-01-23 10:44  friedelwolff

	* html/doc/en/howto.html, html/doc/en/index.html,
	  html/doc/en/resources.html: Mark several sections as 'info'
	  instead of 'intro'

2008-01-23 10:40  friedelwolff

	* html/doc/en/howto.html, html/doc/en/index.html,
	  html/doc/en/resources.html: Replace with new banner code

2008-01-23 10:17  friedelwolff

	* pootle.prefs: Remove unnecessary configuration of logos. This is
	  now entirely in the templates and CSS.

2008-01-23 10:15  friedelwolff

	* pagelayout.py: Remove dead code that handled logos

2008-01-23 10:09  friedelwolff

	* templates/projectlangadmin.html: Mark links as 'info' instead of
	  'intro'

2008-01-23 10:06  friedelwolff

	* templates/adminlanguages.html, templates/adminprojects.html,
	  templates/adminusers.html: Mark admin links as 'info' instead of
	  'intro'

2008-01-23 10:03  friedelwolff

	* templates/adminindex.html: Mark links as 'info' instead of
	  'intro'

2008-01-23 10:01  friedelwolff

	* templates/home.html: Mark options and admin links as 'info'
	  instead of 'intro'

2008-01-23 10:00  friedelwolff

	* templates/login.html: Only show intro div if there is some intro
	  text

2008-01-23 09:00  friedelwolff

	* __version__.py: Version 1.1.0rc1

2008-01-23 08:59  friedelwolff

	* html/pootle.css: Align the source text vertically at the top to
	  align well with the target text

2008-01-23 08:57  friedelwolff

	* html/pootle.css: Draw a thick black border around the source text
	  to be translated

2008-01-22 08:40  friedelwolff

	* html/pootle.css: Fix background image url to proper name

2008-01-22 08:27  friedelwolff

	* html/images/WordForge-blue.png, html/images/WordForge-white.png,
	  html/images/gradient.png: Adapt images to new styling

2008-01-22 08:10  friedelwolff

	* html/pootle.css: Restore some better layout for older versions of
	  IE, although this will only work in LTR

2008-01-22 07:36  friedelwolff

	* templates/translatepage.html: Mark developer comments and
	  locations as lang="en" dir="ltr"

2008-01-22 01:41  larskr

	* html/pootle.css: image url should be relative to css file
	  location due to a potential 'baseurl' setting

2008-01-21 15:43  friedelwolff

	* templates/translatepage.html: Don't add title to related term
	  unnecessarily (when it is empty)

2008-01-21 15:30  friedelwolff

	* html/pootle.css: Make Tahoma a bit bigger for Arabic by default

2008-01-21 15:22  friedelwolff

	* templates/translatepage.html: Markup language and direction more
	  precicely

2008-01-21 14:41  friedelwolff

	* html/pootle.css: Exploit IE < 7 bug to somewhat mitigate display
	  bugs in IE < 7

2008-01-21 10:43  friedelwolff

	* html/pootle.css: Exploit IE bugs to ensure proper banner height
	  on IE

2008-01-21 10:25  friedelwolff

	* html/pootle.css: Use the descendant selector instead of the child
	  ('>') selector which is not supported older versions of IE

2008-01-21 09:46  friedelwolff

	* templates/pootlepage.html: Revove dir=ltr where it might not be
	  what is wanted

2008-01-21 07:21  friedelwolff

	* projects.py, statistics.py: Avoid writing the quickstats file
	  unnecessarily

2008-01-18 15:13  friedelwolff

	* test_pootlefile.py: Update to namechange in
	  translate.storage.test_po

2008-01-18 15:12  friedelwolff

	* templates/pootlepage.html: Stop output of unnecessary HTML
	  comments from kid

2008-01-18 15:11  friedelwolff

	* templates/fileindex.html, templates/language.html,
	  templates/translatepage.html: Stop output of unnecessary HTML
	  comments from kid

2008-01-18 14:39  friedelwolff

	* templates/translatepage.html: Only display tooltip if any
	  comments are present, and don't use newline unnecessarily

2008-01-17 15:17  friedelwolff

	* html/pootle.css: New styling for Pootle

2008-01-17 14:00  friedelwolff

	* templates/translatepage.html: Specify the 'dir' attribute in many
	  places to fit with the new layout

2008-01-17 13:52  friedelwolff

	* templates/pootlepage.html: Move the main navigation to the left,
	  below the banner

2008-01-17 13:45  friedelwolff

	* templates/about.html: Only mark first paragraph as introduction.
	  The rest is in new class 'info'.

2007-12-15 16:47  friedelwolff

	* pootle.prefs: Mark default descriptions as English and
	  left-to-right to ensure proper display

2007-12-15 16:44  friedelwolff

	* pootle.prefs: Document the treestyle project option

2007-12-15 16:41  friedelwolff

	* pootle.prefs: Enable Indonesian (id) and fix typos in (commented)
	  Khmer decleration

2007-11-26 15:17  friedelwolff

	* templates/about.html, templates/adminindex.html,
	  templates/home.html: Use fullwidthcontent in a few cases to
	  improve layout for right-to-left locales

2007-11-22 22:07  dwaynebailey

	* pootle.prefs: Fix equation error

2007-11-13 15:08  friedelwolff

	* html/pootle.css: Add default styling for Akan (ak)

2007-11-13 12:40  friedelwolff

	* pootlefile.py: Update now that ._initallcomments() is private in
	  the toolkit

2007-11-13 12:39  friedelwolff

	* pootle.prefs: Add special characters for Akan (ak)

2007-10-22 10:34  friedelwolff

	* projects.py: Don't upload output file after updating from
	  tepmlates (pot2po), otherwise the merging code of the upload
	  might retain units that were removed. The upload code just adds
	  unnecessary processing anyway.

2007-10-19 20:48  larskr

	* indexpage.py: fix revision control support - no versioned files
	  were detected before

2007-10-09 21:17  larskr

	* tools: ignore pre-compiled python files for svn

2007-10-08 23:34  larskr

	* projects.py: improve some comments

2007-10-08 23:08  larskr

	* po/pootle/af, po/pootle/ak, po/pootle/am, po/pootle/ar,
	  po/pootle/bg, po/pootle/bn, po/pootle/ca, po/pootle/cs,
	  po/pootle/da, po/pootle/de, po/pootle/el, po/pootle/en,
	  po/pootle/en_ZA, po/pootle/eo, po/pootle/es, po/pootle/et,
	  po/pootle/eu, po/pootle/fa, po/pootle/fi, po/pootle/fr,
	  po/pootle/fur, po/pootle/gl, po/pootle/ha, po/pootle/he,
	  po/pootle/hi, po/pootle/hr, po/pootle/hu, po/pootle/hy,
	  po/pootle/is, po/pootle/it, po/pootle/ja, po/pootle/ka,
	  po/pootle/kg, po/pootle/km, po/pootle/ko, po/pootle/ku,
	  po/pootle/lt, po/pootle/lv, po/pootle/ml, po/pootle/mr,
	  po/pootle/ms, po/pootle/mt, po/pootle/nb, po/pootle/ne,
	  po/pootle/nl, po/pootle/nn, po/pootle/pa, po/pootle/pl,
	  po/pootle/pt, po/pootle/pt_BR, po/pootle/ro, po/pootle/ru,
	  po/pootle/sl, po/pootle/sr, po/pootle/st, po/pootle/sv,
	  po/pootle/templates, po/pootle/tr, po/pootle/uk, po/pootle/ve,
	  po/pootle/vi, po/pootle/wo, po/pootle/xh, po/pootle/zh_CN,
	  po/pootle/zh_HK, po/pootle/zh_TW, po/pootle/zu,
	  po/terminology/am, po/terminology/am/gnome, po/terminology/ar,
	  po/terminology/ar/gnome, po/terminology/az,
	  po/terminology/az/gnome, po/terminology/ca,
	  po/terminology/ca/gnome, po/terminology/cs,
	  po/terminology/cs/gnome, po/terminology/da,
	  po/terminology/da/gnome, po/terminology/eo,
	  po/terminology/eo/gnome, po/terminology/es,
	  po/terminology/es/gnome, po/terminology/eu,
	  po/terminology/eu/gnome, po/terminology/fa,
	  po/terminology/fa/gnome, po/terminology/fr,
	  po/terminology/fr/gnome, po/terminology/hi,
	  po/terminology/hi/gnome, po/terminology/hu,
	  po/terminology/hu/gnome, po/terminology/it,
	  po/terminology/it/gnome, po/terminology/ja,
	  po/terminology/ja/gnome, po/terminology/kn,
	  po/terminology/kn/gnome, po/terminology/ku,
	  po/terminology/ku/gnome, po/terminology/mk,
	  po/terminology/mk/gnome, po/terminology/mr,
	  po/terminology/mr/gnome, po/terminology/ms,
	  po/terminology/ms/gnome, po/terminology/nb,
	  po/terminology/nb/gnome, po/terminology/nl,
	  po/terminology/nl/gnome, po/terminology/nn,
	  po/terminology/nn/gnome, po/terminology/pa,
	  po/terminology/pa/gnome, po/terminology/pl,
	  po/terminology/pl/gnome, po/terminology/pt,
	  po/terminology/pt/gnome, po/terminology/pt_BR,
	  po/terminology/pt_BR/gnome, po/terminology/rw,
	  po/terminology/rw/gnome, po/terminology/sk,
	  po/terminology/sk/gnome, po/terminology/sq,
	  po/terminology/sq/gnome, po/terminology/sv,
	  po/terminology/sv/gnome, po/terminology/th,
	  po/terminology/th/gnome, po/terminology/uk,
	  po/terminology/uk/gnome, po/terminology/vi,
	  po/terminology/vi/gnome, po/terminology/wa,
	  po/terminology/wa/gnome, po/terminology/zh_CN,
	  po/terminology/zh_CN/gnome, po/terminology/zh_HK,
	  po/terminology/zh_HK/gnome, po/terminology/zh_TW,
	  po/terminology/zh_TW/gnome: hide irrelevant language files from
	  svn

2007-10-06 09:30  larskr

	* benchmark.py, projects.py: imported 'jToolkit/data/indexer.py'
	  from jToolkit 0.7.8
	  added a copyright note to the new file
	  imports of 'indexer' adapted

2007-09-26 14:11  friedelwolff

	* adminpages.py, indexpage.py: Make the medium bannerheight be 80
	  pixels to fit with the current medium graphics size

2007-09-17 10:31  friedelwolff

	* pootle.prefs: Remind the admin to copy the pootle project if the
	  default podirectory is changed

2007-09-14 09:17  friedelwolff

	* indexpage.py, projects.py: [Contributed by Lars Kruse] Import
	  version control functionality from the translate toolkit

2007-09-14 09:12  friedelwolff

	* versioncontrol.py: Remove versioncontrol.py from Pootle, now that
	  it has been moved to the translate toolkit

2007-09-14 08:50  dwaynebailey

	* pootlefile.py, projects.py: Change isblankmsgstr() and use
	  istranslated() instead; to align with base class.

2007-09-13 11:59  friedelwolff

	* indexpage.py: Remove debugging output

2007-09-06 09:15  friedelwolff

	* versioncontrol.py: [Contributed by Lars Kruse]
	  Move duplicated filesystem code to the base class.
	  Provide all infrastructure in the base class to handle relative
	  and absolute
	  styles of specifying file parameters.

2007-09-04 08:47  friedelwolff

	* versioncontrol.py: - replace all shell string commands with
	  arrays of strings
	  - improve consistency of error messages
	  - use exitcodes instead of stderr to check for failures
	  - use python instead of the shell for "cd", "rm", "mv", etc.
	  - use the subprocess module if available, otherwise fall back to
	  popen2

2007-08-31 12:54  friedelwolff

	* projects.py: Rename pofilter::filterlement() -> filterunit()
	  according to API change of r6334

2007-08-31 11:15  friedelwolff

	* statistics.py: Adapt to new pofilter API

2007-08-03 11:09  friedelwolff

	* pootle.prefs: Enable Slovak for the next release as it is
	  currently at 100%

2007-08-03 10:28  friedelwolff

	* templates/navbar.html: Use a hex colour for proper rendering in
	  Internet Explorer. Remove the useless class attribute of
	  itemdata.

2007-08-02 15:22  friedelwolff

	* html/pootle.css: Add KacstOne as a possible font for Arabic after
	  Nazli but before Dejavu Sans

2007-08-02 13:09  friedelwolff

	* templates/index.html: Remove fancy spacing to avoid incorrect
	  extra spaces between project names and the (comma) seperators

2007-08-02 13:04  friedelwolff

	* indexpage.py: Use the correct list seperator for the list of
	  languages and projects

2007-08-02 09:42  friedelwolff

	* users.py: Instantiate the language module for the interface
	  interface language

2007-08-02 09:34  friedelwolff

	* templates/options.html: Make the language dropdown 100% of the
	  width of the table cell

2007-08-02 09:33  friedelwolff

	* templates/index.html: Mark the language names as English so that
	  the styling isn't affected when the interface is in languages
	  with different styling (such as Chinese and Khmer)

2007-08-02 09:29  friedelwolff

	* templates/pootlepage.html: Simplify the header by removing one
	  table and the spacer

2007-08-01 20:01  dwaynebailey

	* html/images/pootle-medium.jpg, html/images/pootle-small.jpg,
	  html/images/pootle.jpg, html/images/pootle.svg,
	  html/images/top.png: Remove all old Pootle and Translate logos

2007-08-01 13:19  friedelwolff

	* pootle.py: Give more information about the error if a translation
	  couldn't be initialised

2007-07-31 15:23  friedelwolff

	* indexpage.py: Remove unused function (summarizestats). +Comment,
	  update copyright dates.

2007-07-31 10:18  friedelwolff

	* pagelayout.py: Simplify getstats() by taking a shortcut in the
	  calculation

2007-07-31 08:26  friedelwolff

	* CREDITS: Change Miklos' credit line to indicate the complete
	  breadth of the contributions

2007-07-31 08:24  friedelwolff

	* versioncontrol.py: [Contributed by Miklos Vajna] +Support for bzr
	  version control system

2007-07-26 11:21  friedelwolff

	* html/pootle.css: Use 'bolder' instead of 'bold' for font-weight
	  to improve the ability to override per language / tag later

2007-07-26 10:55  friedelwolff

	* indexpage.py: Update indexpage to use new keys for stats
	  dictionary

2007-07-26 10:51  friedelwolff

	* templates/navbar.html: Use the new dicionary keys for source word
	  counts

2007-07-26 10:50  friedelwolff

	* pagelayout.py, projects.py: Change the word count keys in stats
	  dictionaries to reflect the fact that they are source word counts

2007-07-26 10:48  friedelwolff

	* indexpage.py: Don't pass the unnecessary third parameter to
	  pagelayout.getstats()

2007-07-25 08:45  friedelwolff

	* pootle.prefs: Fix Chinese typo, Slovak indenting. Enable
	  Lithuanian for next release. +Malagasy (commented).

2007-07-24 06:25  friedelwolff

	* versioncontrol.py: [Contributed by Miklos Vajna] Add support for
	  Git version control system

2007-07-23 11:14  friedelwolff

	* statistics.py: Remove unneeded handling of source and target
	  (unneeded because of new checker API)

2007-07-19 10:30  friedelwolff

	* statistics.py: Remove unnecessary import of pocount

2007-07-19 10:10  friedelwolff

	* projects.py: Use the filename with directory name to get
	  quickstats [reported by Igor Miletic]

2007-07-19 10:06  friedelwolff

	* projects.py: Remove unnecessary import of pofilter

2007-07-19 09:34  friedelwolff

	* README: Update comments about python versions

2007-07-19 07:06  friedelwolff

	* versioncontrol.py: [Contributed by Lars Kruse] Rewrite
	  os.path.samefile for platform independence

2007-07-18 11:42  friedelwolff

	* statistics.py: Update to the new API for run_filters()

2007-07-18 11:41  friedelwolff

	* pootle.py, projects.py, test_pootlefile.py: Remove references to
	  POTeeChecker by replacing with a normal TeeChecker

2007-07-18 11:35  friedelwolff

	* pootle.py, projects.py, test_pootlefile.py: Rename POChecker ->
	  UnitChecker

2007-07-17 10:49  friedelwolff

	* pootlefile.py: Remove unused functions getfilename() and getext()

2007-07-17 10:47  friedelwolff

	* test_pootlefile.py: Remove test_filename() and remove unnecessary
	  cleanup in test_classifyunits()

2007-07-17 10:44  friedelwolff

	* statistics.py: The counting helper functions moved from
	  pocount.py to statsdb.py in the toolkit

2007-07-17 10:30  friedelwolff

	* indexpage.py: Sort languages in a way that is compatible with
	  Python 2.3

2007-07-17 10:29  friedelwolff

	* pootle.prefs: Recommend the use of a language attribute for
	  server and project descriptions

2007-07-17 09:38  friedelwolff

	* users.py: Provide translated language names on the login page (if
	  available) with the English version. Sort language names in a way
	  that is compatible with python 2.3.

2007-07-16 15:17  friedelwolff

	* adminpages.py: Use translated language names in the
	  administration interface

2007-07-16 13:44  friedelwolff

	* versioncontrol.py: [Contributed by Lars Kruse and Miklos Vajna]
	  Support different configurations with darcs by traversing the
	  directory tree upwards in search of the marker directory

2007-07-12 10:19  friedelwolff

	* pootle.py: Ensure that we test for a .po extention otherwise
	  directories called 'po' could confuse Pootle

2007-07-10 15:13  dwaynebailey

	* createpootlepot: Cleanup. Easier to read and adjust the xgettext
	  commands. Also output to the correct place in po/

2007-07-10 13:09  friedelwolff

	* pootle.prefs: Enable Wolof in the default installation

2007-07-10 10:31  friedelwolff

	* ChangeLog: Update ChangeLog before 1.0.2 release

2007-07-10 10:16  friedelwolff

	* README: Mention that ElementTree is not needed with Python 2.5

2007-07-10 09:40  friedelwolff

	* indexpage.py, pootle.py: Fix the ElementTree import for Python
	  2.5

2007-07-10 07:21  dwaynebailey

	* indexpage.py, pootle.py: Fix ElementTree import for Python 2.5
	  users.

2007-07-09 15:39  friedelwolff

	* po/pootle/wo/pootle.po: Provisionaly add plural information.
	  nplural=2 should be right, but the equation is a guess at (n !=
	  1) for the moment

2007-07-09 14:59  friedelwolff

	* po/pootle/wo, po/pootle/wo/jToolkit.po, po/pootle/wo/pootle.po:
	  Add Wolof (wo) translation

2007-07-09 14:47  friedelwolff

	* po/pootle/el/jToolkit.po, po/pootle/el/pootle.po,
	  po/pootle/lv/pootle.po: Update Greek (el) and Latvian (lv)
	  translations from http://pootle.wordforge.org/

2007-07-09 13:08  friedelwolff

	* __version__.py: Version 1.0.2

2007-07-09 12:59  friedelwolff

	* pootle.prefs: Add the (commented) information for Papiamento

2007-07-09 07:37  friedelwolff

	* CREDITS: Credit Abel Cheung

2007-07-06 15:01  friedelwolff

	* pagelayout.py, pootle.prefs: [Contributed by Lars Kruse] show
	  banner image for a configured baseurl. Part of the fixes for bug
	  113.

2007-07-06 14:59  friedelwolff

	* html/js/sorttable.js, templates/fileindex.html,
	  templates/language.html, templates/project.html: [Contributed by
	  Lars Kruse] Make the javascript aware of the baseurl. Part of the
	  fixes for bug 113.

2007-07-06 14:44  friedelwolff

	* html/doc/en/howto.html, templates/pootlepage.html: [Contributed
	  by Lars Kruse] Make documentation work with the configured
	  baseurl. Part of the fixes for bug 113.

2007-07-06 13:04  friedelwolff

	* pootle.prefs: [Contributed by Abel Cheung] Add some special
	  characters for all Chinese locales that can't be easily typed
	  with input methods

2007-07-04 15:26  friedelwolff

	* pootlefile.py: [Contributed by Lars Kruse] Handle path in
	  portable way

2007-07-04 06:35  friedelwolff

	* test_statistics.py: [Contributed by Lars Kruse] Use platform
	  independent path seperators for test_creation()

2007-07-03 13:18  friedelwolff

	* __version__.py: Update to version 1.0.2rc1

2007-07-03 13:17  friedelwolff

	* indexpage.py: [Contributed by Lars Kruse] Handle path seperators
	  in a platform independent way

2007-07-03 13:12  friedelwolff

	* test_client.py: Adapt test to not expect the disabled attribute
	  of the fuzzy checkbox

2007-07-03 09:13  friedelwolff

	* templates/translatepage.html: Only use add the disabled attribute
	  to the fuzzy check box if the user does not have translate
	  rights. This fixes bug 266.

2007-07-02 09:00  friedelwolff

	* pootle.prefs: Mention in the default description that contact
	  details were not provided and should be done by the server
	  administrator

2007-06-26 08:29  friedelwolff

	* translatepage.py: Support styling of basic escapes (\t, \n, and
	  \r). It uses the already defined styling in pootle.css (just
	  purple colour). Fix docstring.

2007-06-25 09:33  friedelwolff

	* versioncontrol.py: Update docstrings

2007-06-25 09:20  friedelwolff

	* versioncontrol.py: Change the indenting to four spaces while the
	  diff with older versions is mostly useless now anyway

2007-06-25 09:11  friedelwolff

	* versioncontrol.py: [Contributed by Lars Kruse]
	  Rewrite the version control support to have an object oriented
	  design.
	  Symlinked targets are now also supported to ease integration with
	  checkouts at
	  other locations. No new dependencies are introduced.

2007-06-22 14:36  friedelwolff

	* pagelayout.py: Use os.path.sep instead of the hard coded '/'
	  [based on the initial work by Lars Kruse]

2007-06-22 12:26  friedelwolff

	* projects.py: Test whether the commandline ZIP command actually
	  worked before we return the output

2007-06-20 08:45  friedelwolff

	* ChangeLog: Update ChangeLog with the latest changes before 1.0.1

2007-06-20 08:41  friedelwolff

	* pootle.py, potree.py: Print error on missing files (like broken
	  symbolic links)

2007-06-20 08:37  friedelwolff

	* pootle.py: Fix incorrect function call [reported by Nicolas
	  François]

2007-06-20 08:16  friedelwolff

	* potree.py: Handle the problem of broken symbolic links better by
	  ignoring the files. Space for readability.

2007-06-19 12:52  friedelwolff

	* ChangeLog: Update ChangeLog before the release of 1.0.1

2007-06-19 12:38  friedelwolff

	* po/pootle/ml, po/pootle/ml/jToolkit.po, po/pootle/ml/pootle.po:
	  Add new translation for Malayalam (ml)

2007-06-19 09:33  friedelwolff

	* po/pootle/cs/pootle.po, po/pootle/fr/pootle.po,
	  po/pootle/it/pootle.po, po/pootle/lv/jToolkit.po,
	  po/pootle/lv/pootle.po, po/pootle/nl/pootle.po,
	  po/pootle/st/jToolkit.po, po/pootle/st/pootle.po,
	  po/pootle/vi/pootle.po: Update existing translations from
	  http://pootle.wordforge.org/

2007-06-19 08:39  friedelwolff

	* __version__.py: Version 1.0.1

2007-06-19 08:17  friedelwolff

	* CREDITS: Update entries for Lars and Lucas to be clearer

2007-06-18 10:39  friedelwolff

	* templates/fileindex.html, templates/translatepage.html:
	  [Contributed by Lars Kruse] Fix the missing links section that
	  sometimes dissapear on Internet Explorer. This fixes bug 253

2007-06-14 12:11  friedelwolff

	* test_client.py: Update tests to expect new disabled attribute in
	  test_submit_fuzzy

2007-06-12 15:41  friedelwolff

	* templates/navbar.html: Fix some minor bugs in the graphing of
	  minute (smaller than 1%) values

2007-06-12 10:40  friedelwolff

	* templates/translatepage.html: disable the fuzzy control if the
	  user does not have translate rights

2007-06-12 09:46  friedelwolff

	* templates/translatepage.html: Only show special characters if the
	  user has translate or suggest rights. This fixes bug 192.

2007-06-11 16:04  friedelwolff

	* __version__.py: Version 1.0.1rc1

2007-06-11 14:55  friedelwolff

	* templates/pootlepage.html: strip out unnecessary span tags

2007-06-11 14:46  friedelwolff

	* html/js/autoexpand.js, templates/translatepage.html: Insert the
	  suggested text into the focused textarea if the user clicks on
	  it. This fixes bug 187.

2007-06-04 14:57  friedelwolff

	* html/js/autoexpand.js: Escape newlines and tabs. Fix for bug 180

2007-06-04 13:11  friedelwolff

	* templates/navbar.html: Ensure that each part of the graph always
	  shows, even if it represents something less than 1%. This fixes
	  bug 228

2007-06-04 09:54  friedelwolff

	* pootle.prefs: Fix wrong indentation. Should fix bug 247

2007-05-25 11:36  friedelwolff

	* CREDITS: Remove duplicate entry for Capel

2007-05-25 09:56  friedelwolff

	* ChangeLog: Update ChangeLog before 1.0 release

2007-05-25 09:36  friedelwolff

	* src/trunk/Pootle/CREDITS: Credit Capel Brunker

2007-05-24 15:50  friedelwolff

	* src/trunk/Pootle/__version__.py: Version 1.0

2007-05-24 15:34  friedelwolff

	* src/trunk/Pootle/po/pootle/eo,
	  src/trunk/Pootle/po/pootle/eo/jToolkit.po,
	  src/trunk/Pootle/po/pootle/eo/pootle.po: Add minimal Esperanto
	  (eo) translation (2% translated)

2007-05-24 15:30  friedelwolff

	* src/trunk/Pootle/po/pootle/af/jToolkit.po,
	  src/trunk/Pootle/po/pootle/af/pootle.po,
	  src/trunk/Pootle/po/pootle/ca/pootle.po,
	  src/trunk/Pootle/po/pootle/de/pootle.po,
	  src/trunk/Pootle/po/pootle/es/pootle.po,
	  src/trunk/Pootle/po/pootle/eu/pootle.po,
	  src/trunk/Pootle/po/pootle/fa/pootle.po,
	  src/trunk/Pootle/po/pootle/fi/pootle.po,
	  src/trunk/Pootle/po/pootle/gl/pootle.po,
	  src/trunk/Pootle/po/pootle/ko/jToolkit.po,
	  src/trunk/Pootle/po/pootle/ko/pootle.po,
	  src/trunk/Pootle/po/pootle/ms/pootle.po,
	  src/trunk/Pootle/po/pootle/pt_BR/pootle.po,
	  src/trunk/Pootle/po/pootle/ro/pootle.po,
	  src/trunk/Pootle/po/pootle/ru/pootle.po,
	  src/trunk/Pootle/po/pootle/sr/pootle.po,
	  src/trunk/Pootle/po/pootle/st/jToolkit.po,
	  src/trunk/Pootle/po/pootle/st/pootle.po,
	  src/trunk/Pootle/po/pootle/sv/pootle.po,
	  src/trunk/Pootle/po/pootle/tr/pootle.po,
	  src/trunk/Pootle/po/pootle/uk/pootle.po,
	  src/trunk/Pootle/po/pootle/zh_TW/pootle.po: Update translations
	  from http://pootle.wordforge.org for 1.0 release

2007-05-24 12:59  friedelwolff

	* src/trunk/Pootle/pootle.prefs: Change the Afrikaans diacritics.
	  Clean up whitespace.

2007-05-24 09:29  friedelwolff

	* src/trunk/Pootle/pootle.prefs: Disable Slovak (sk) enabled by
	  accident

2007-05-24 09:16  friedelwolff

	* src/trunk/Pootle/pootle.prefs: Enable Persian (fa), Korean (ko),
	  Romanian (ro), Serbian (sr), Sotho, (st), Turkish (tr), Ukrainian
	  (uk) in the default install

2007-05-24 06:26  andreaspauley

	* src/trunk/Pootle/html/doc/en/index.html: Added links to
	  translated documentation.

2007-05-23 14:43  andreaspauley

	* src/trunk/pootlesetup.py: Included 'en' subdir for HTML
	  documentation.

2007-05-23 12:43  friedelwolff

	* src/trunk/Pootle/__version__.py: Version 1.0rc3

2007-05-23 10:56  friedelwolff

	* src/trunk/Pootle/README: Tidy up and mention toolkit dependencies

2007-05-22 10:30  friedelwolff

	* src/trunk/Pootle/CREDITS: Reflow the text, credit translators and
	  Nicolas François

2007-05-18 16:14  friedelwolff

	* src/trunk/Pootle/__version__.py: Version 1.0rc2

2007-05-17 11:44  friedelwolff

	* src/trunk/Pootle/README: Mention that we can't run with the
	  newest PyLucene

2007-05-17 10:49  friedelwolff

	* src/trunk/Pootle/projects.py: Fix the bug where PyLucene breaks
	  some tests

2007-05-16 12:25  friedelwolff

	* src/trunk/Pootle/indexpage.py, src/trunk/Pootle/pootle.py,
	  src/trunk/Pootle/potree.py, src/trunk/Pootle/translatepage.py:
	  Changed obsolete sre references to re

2007-05-16 12:10  friedelwolff

	* src/trunk/Pootle/indexpage.py, src/trunk/Pootle/pagelayout.py,
	  src/trunk/Pootle/users.py: Translate language names and sort them
	  properly

2007-05-16 08:53  friedelwolff

	* src/trunk/Pootle/users.py: Handle session initialisation errors
	  better

2007-05-11 09:33  andreaspauley

	* src/trunk/Pootle/html/doc/en,
	  src/trunk/Pootle/html/doc/en/howto.html,
	  src/trunk/Pootle/html/doc/en/index.html,
	  src/trunk/Pootle/html/doc/en/resources.html,
	  src/trunk/Pootle/html/doc/howto.html,
	  src/trunk/Pootle/html/doc/index.html,
	  src/trunk/Pootle/html/doc/resources.html,
	  src/trunk/Pootle/pagelayout.py,
	  src/trunk/Pootle/templates/pootlepage.html: Moved the English
	  user documentation into an 'en' subdirectory. This is to be able
	  to provide our user's guide in multiple languages.

2007-05-07 12:22  friedelwolff

	* src/trunk/Pootle/pootlefile.py: Close pending file after writing
	  it

2007-05-07 10:37  friedelwolff

	* src/trunk/Pootle/pootle.py: Remove debug message

2007-05-03 19:41  friedelwolff

	* src/trunk/Pootle/__version__.py: Change the version to 1.0rc1

2007-05-03 19:18  friedelwolff

	* src/trunk/Pootle/po/pootle/af/pootle.po,
	  src/trunk/Pootle/po/pootle/ak/pootle.po,
	  src/trunk/Pootle/po/pootle/am/pootle.po,
	  src/trunk/Pootle/po/pootle/ar/pootle.po,
	  src/trunk/Pootle/po/pootle/bg/pootle.po,
	  src/trunk/Pootle/po/pootle/bn/pootle.po,
	  src/trunk/Pootle/po/pootle/ca/pootle.po,
	  src/trunk/Pootle/po/pootle/cs/pootle.po,
	  src/trunk/Pootle/po/pootle/da/pootle.po,
	  src/trunk/Pootle/po/pootle/de/pootle.po,
	  src/trunk/Pootle/po/pootle/el/pootle.po,
	  src/trunk/Pootle/po/pootle/en/pootle.po,
	  src/trunk/Pootle/po/pootle/en_ZA/pootle.po,
	  src/trunk/Pootle/po/pootle/es/pootle.po,
	  src/trunk/Pootle/po/pootle/et/pootle.po,
	  src/trunk/Pootle/po/pootle/eu/pootle.po,
	  src/trunk/Pootle/po/pootle/fa/pootle.po,
	  src/trunk/Pootle/po/pootle/fi/pootle.po,
	  src/trunk/Pootle/po/pootle/fr/pootle.po,
	  src/trunk/Pootle/po/pootle/fur/pootle.po,
	  src/trunk/Pootle/po/pootle/gl/pootle.po,
	  src/trunk/Pootle/po/pootle/ha/pootle.po,
	  src/trunk/Pootle/po/pootle/he/pootle.po,
	  src/trunk/Pootle/po/pootle/hi/pootle.po,
	  src/trunk/Pootle/po/pootle/hr/pootle.po,
	  src/trunk/Pootle/po/pootle/hu/pootle.po,
	  src/trunk/Pootle/po/pootle/hy/pootle.po,
	  src/trunk/Pootle/po/pootle/is/pootle.po,
	  src/trunk/Pootle/po/pootle/it/pootle.po,
	  src/trunk/Pootle/po/pootle/ja/pootle.po,
	  src/trunk/Pootle/po/pootle/ka/pootle.po,
	  src/trunk/Pootle/po/pootle/kg/pootle.po,
	  src/trunk/Pootle/po/pootle/km/pootle.po,
	  src/trunk/Pootle/po/pootle/ko/pootle.po,
	  src/trunk/Pootle/po/pootle/ku/pootle.po,
	  src/trunk/Pootle/po/pootle/lt/pootle.po,
	  src/trunk/Pootle/po/pootle/lv/pootle.po,
	  src/trunk/Pootle/po/pootle/mr/pootle.po,
	  src/trunk/Pootle/po/pootle/ms/pootle.po,
	  src/trunk/Pootle/po/pootle/mt/pootle.po,
	  src/trunk/Pootle/po/pootle/nb/pootle.po,
	  src/trunk/Pootle/po/pootle/ne/pootle.po,
	  src/trunk/Pootle/po/pootle/nl/pootle.po,
	  src/trunk/Pootle/po/pootle/nn/pootle.po,
	  src/trunk/Pootle/po/pootle/pa/pootle.po,
	  src/trunk/Pootle/po/pootle/pl/pootle.po,
	  src/trunk/Pootle/po/pootle/pt/pootle.po,
	  src/trunk/Pootle/po/pootle/pt_BR/pootle.po,
	  src/trunk/Pootle/po/pootle/ro/pootle.po,
	  src/trunk/Pootle/po/pootle/ru/pootle.po,
	  src/trunk/Pootle/po/pootle/sl/pootle.po,
	  src/trunk/Pootle/po/pootle/sr/pootle.po,
	  src/trunk/Pootle/po/pootle/st/pootle.po,
	  src/trunk/Pootle/po/pootle/sv/pootle.po,
	  src/trunk/Pootle/po/pootle/tr/pootle.po,
	  src/trunk/Pootle/po/pootle/uk/pootle.po,
	  src/trunk/Pootle/po/pootle/ve/pootle.po,
	  src/trunk/Pootle/po/pootle/vi/pootle.po,
	  src/trunk/Pootle/po/pootle/xh/pootle.po,
	  src/trunk/Pootle/po/pootle/zh_CN/pootle.po,
	  src/trunk/Pootle/po/pootle/zh_HK/pootle.po,
	  src/trunk/Pootle/po/pootle/zh_TW/pootle.po,
	  src/trunk/Pootle/po/pootle/zu/pootle.po: Update translations to
	  new template

2007-05-03 16:24  friedelwolff

	* src/trunk/Pootle/po/pootle/cs/jToolkit.po,
	  src/trunk/Pootle/po/pootle/cs/pootle.po,
	  src/trunk/Pootle/po/pootle/el/pootle.po,
	  src/trunk/Pootle/po/pootle/es/pootle.po,
	  src/trunk/Pootle/po/pootle/fr/pootle.po,
	  src/trunk/Pootle/po/pootle/pt/jToolkit.po,
	  src/trunk/Pootle/po/pootle/pt/pootle.po,
	  src/trunk/Pootle/po/pootle/pt_BR/pootle.po,
	  src/trunk/Pootle/po/pootle/ro/pootle.po,
	  src/trunk/Pootle/po/pootle/st/pootle.po,
	  src/trunk/Pootle/po/pootle/zh_TW/pootle.po: Forward port
	  translation updates from revision 5558 on wordforge-0-10-branch

2007-04-25 14:29  friedelwolff

	* src/trunk/Pootle/html/pootle.css: Typo: text-size -> font-size

2007-04-20 15:30  andreaspauley

	* src/trunk/Pootle/pootle.prefs: Documented the valid values for
	  localfiletype in pootle.prefs

2007-04-20 15:18  andreaspauley

	* src/trunk/Pootle/pagelayout.py, src/trunk/Pootle/pootle.prefs:
	  Included the logo config options in the default pootle.prefs and
	  simplified the retrieval of these options.

2007-04-19 17:12  andreaspauley

	* src/trunk/Pootle/users.py: Encode the Subject Header of the
	  registration mails in UTF-8. Patch contributed by Nicolas
	  François.

2007-04-19 17:07  andreaspauley

	* src/trunk/Pootle/pagelayout.py,
	  src/trunk/Pootle/templates/pootlepage.html: Permit
	  personalization of the Pootle logos. Patch contributed by Nicolas
	  François.

2007-04-19 16:11  andreaspauley

	* src/trunk/Pootle/potree.py: Made potree check for 'treestyle' in
	  the prefs file, so as to avoid traversing directories to
	  determine if a project is gnu-style or not. Patch contributed by
	  Nicolas François.

2007-04-17 15:04  andreaspauley

	* src/trunk/Pootle/projects.py: Fixed some docstring typos,
	  contributed by Nicolas François.

2007-04-13 14:27  friedelwolff

	* src/trunk/Pootle/po/pootle/af/af: Delete duplicate Afrikaans (af)
	  tranlation

2007-04-13 14:20  friedelwolff

	* src/trunk/Pootle/po/pootle/zh_TW: Copy the zh_TW translations
	  from the 0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:20  friedelwolff

	* src/trunk/Pootle/po/pootle/zh_HK: Copy the zh_HK translations
	  from the 0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:19  friedelwolff

	* src/trunk/Pootle/po/pootle/zh_CN: Copy the zh_CN translations
	  from the 0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:19  friedelwolff

	* src/trunk/Pootle/po/pootle/pt_BR: Copy the pt_BR translations
	  from the 0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:18  friedelwolff

	* src/trunk/Pootle/po/pootle/en_ZA: Copy the en_ZA translations
	  from the 0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:18  friedelwolff

	* src/trunk/Pootle/po/pootle/fur: Copy the fur translations from
	  the 0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:18  friedelwolff

	* src/trunk/Pootle/po/pootle/zu: Copy the zu translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:17  friedelwolff

	* src/trunk/Pootle/po/pootle/xh: Copy the xh translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:17  friedelwolff

	* src/trunk/Pootle/po/pootle/vi: Copy the vi translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:16  friedelwolff

	* src/trunk/Pootle/po/pootle/ve: Copy the ve translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:16  friedelwolff

	* src/trunk/Pootle/po/pootle/uk: Copy the uk translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:16  friedelwolff

	* src/trunk/Pootle/po/pootle/tr: Copy the tr translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:15  friedelwolff

	* src/trunk/Pootle/po/pootle/sv: Copy the sv translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:15  friedelwolff

	* src/trunk/Pootle/po/pootle/st: Copy the st translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:14  friedelwolff

	* src/trunk/Pootle/po/pootle/sr: Copy the sr translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:14  friedelwolff

	* src/trunk/Pootle/po/pootle/sl: Copy the sl translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:14  friedelwolff

	* src/trunk/Pootle/po/pootle/ru: Copy the ru translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:13  friedelwolff

	* src/trunk/Pootle/po/pootle/ro: Copy the ro translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:13  friedelwolff

	* src/trunk/Pootle/po/pootle/pt: Copy the pt translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:13  friedelwolff

	* src/trunk/Pootle/po/pootle/pl: Copy the pl translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:12  friedelwolff

	* src/trunk/Pootle/po/pootle/pa: Copy the pa translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:12  friedelwolff

	* src/trunk/Pootle/po/pootle/nn: Copy the nn translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:11  friedelwolff

	* src/trunk/Pootle/po/pootle/nl: Copy the nl translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:11  friedelwolff

	* src/trunk/Pootle/po/pootle/ne: Copy the ne translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:11  friedelwolff

	* src/trunk/Pootle/po/pootle/nb: Copy the nb translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:10  friedelwolff

	* src/trunk/Pootle/po/pootle/mt: Copy the mt translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:10  friedelwolff

	* src/trunk/Pootle/po/pootle/ms: Copy the ms translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:10  friedelwolff

	* src/trunk/Pootle/po/pootle/mr: Copy the mr translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:09  friedelwolff

	* src/trunk/Pootle/po/pootle/lv: Copy the lv translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:09  friedelwolff

	* src/trunk/Pootle/po/pootle/lt: Copy the lt translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:09  friedelwolff

	* src/trunk/Pootle/po/pootle/ku: Copy the ku translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:08  friedelwolff

	* src/trunk/Pootle/po/pootle/ko: Copy the ko translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:08  friedelwolff

	* src/trunk/Pootle/po/pootle/km: Copy the km translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:07  friedelwolff

	* src/trunk/Pootle/po/pootle/kg: Copy the kg translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:07  friedelwolff

	* src/trunk/Pootle/po/pootle/ka: Copy the ka translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:07  friedelwolff

	* src/trunk/Pootle/po/pootle/ja: Copy the ja translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:06  friedelwolff

	* src/trunk/Pootle/po/pootle/it: Copy the it translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:06  friedelwolff

	* src/trunk/Pootle/po/pootle/is: Copy the is translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:06  friedelwolff

	* src/trunk/Pootle/po/pootle/hy: Copy the hy translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:05  friedelwolff

	* src/trunk/Pootle/po/pootle/hu: Copy the hu translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:05  friedelwolff

	* src/trunk/Pootle/po/pootle/hr: Copy the hr translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:05  friedelwolff

	* src/trunk/Pootle/po/pootle/hi: Copy the hi translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:04  friedelwolff

	* src/trunk/Pootle/po/pootle/he: Copy the he translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:04  friedelwolff

	* src/trunk/Pootle/po/pootle/ha: Copy the ha translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:04  friedelwolff

	* src/trunk/Pootle/po/pootle/gl: Copy the gl translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:03  friedelwolff

	* src/trunk/Pootle/po/pootle/fr: Copy the fr translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:03  friedelwolff

	* src/trunk/Pootle/po/pootle/fi: Copy the fi translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:03  friedelwolff

	* src/trunk/Pootle/po/pootle/fa: Copy the fa translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:02  friedelwolff

	* src/trunk/Pootle/po/pootle/eu: Copy the eu translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:02  friedelwolff

	* src/trunk/Pootle/po/pootle/et: Copy the et translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:01  friedelwolff

	* src/trunk/Pootle/po/pootle/es: Copy the es translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:01  friedelwolff

	* src/trunk/Pootle/po/pootle/en: Copy the en translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:01  friedelwolff

	* src/trunk/Pootle/po/pootle/el: Copy the el translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:00  friedelwolff

	* src/trunk/Pootle/po/pootle/de: Copy the de translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:00  friedelwolff

	* src/trunk/Pootle/po/pootle/da: Copy the da translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 14:00  friedelwolff

	* src/trunk/Pootle/po/pootle/cs: Copy the cs translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 13:59  friedelwolff

	* src/trunk/Pootle/po/pootle/ca: Copy the ca translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 13:59  friedelwolff

	* src/trunk/Pootle/po/pootle/bn: Copy the bn translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 13:59  friedelwolff

	* src/trunk/Pootle/po/pootle/bg: Copy the bg translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 13:58  friedelwolff

	* src/trunk/Pootle/po/pootle/ar: Copy the ar translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 13:58  friedelwolff

	* src/trunk/Pootle/po/pootle/am: Copy the am translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 13:58  friedelwolff

	* src/trunk/Pootle/po/pootle/ak: Copy the ak translations from the
	  0.10 branch (version 0.11) to preserve ancestry

2007-04-13 13:57  friedelwolff

	* src/trunk/Pootle/po/pootle/af/af: Copy the af translations from
	  the 0.10 branch (version 0.11) to preserve ancestry

2007-04-13 13:50  friedelwolff

	* src/trunk/Pootle/po/pootle/af: Copy the af translation from the
	  0.10 branch to preserve ancestry

2007-04-13 13:35  friedelwolff

	* src/trunk/Pootle/po/pootle/af, src/trunk/Pootle/po/pootle/aka,
	  src/trunk/Pootle/po/pootle/am, src/trunk/Pootle/po/pootle/ar,
	  src/trunk/Pootle/po/pootle/bn, src/trunk/Pootle/po/pootle/ca,
	  src/trunk/Pootle/po/pootle/da, src/trunk/Pootle/po/pootle/de,
	  src/trunk/Pootle/po/pootle/el, src/trunk/Pootle/po/pootle/en,
	  src/trunk/Pootle/po/pootle/en_ZA, src/trunk/Pootle/po/pootle/es,
	  src/trunk/Pootle/po/pootle/et, src/trunk/Pootle/po/pootle/eu,
	  src/trunk/Pootle/po/pootle/fa, src/trunk/Pootle/po/pootle/fi,
	  src/trunk/Pootle/po/pootle/fr, src/trunk/Pootle/po/pootle/fur,
	  src/trunk/Pootle/po/pootle/gl, src/trunk/Pootle/po/pootle/he,
	  src/trunk/Pootle/po/pootle/hi, src/trunk/Pootle/po/pootle/hr,
	  src/trunk/Pootle/po/pootle/hu, src/trunk/Pootle/po/pootle/is,
	  src/trunk/Pootle/po/pootle/it, src/trunk/Pootle/po/pootle/ja,
	  src/trunk/Pootle/po/pootle/ka, src/trunk/Pootle/po/pootle/ko,
	  src/trunk/Pootle/po/pootle/kon, src/trunk/Pootle/po/pootle/ku,
	  src/trunk/Pootle/po/pootle/lt, src/trunk/Pootle/po/pootle/lv,
	  src/trunk/Pootle/po/pootle/mr, src/trunk/Pootle/po/pootle/ms,
	  src/trunk/Pootle/po/pootle/mt, src/trunk/Pootle/po/pootle/nb,
	  src/trunk/Pootle/po/pootle/ne, src/trunk/Pootle/po/pootle/nl,
	  src/trunk/Pootle/po/pootle/no, src/trunk/Pootle/po/pootle/pa,
	  src/trunk/Pootle/po/pootle/pl, src/trunk/Pootle/po/pootle/pt,
	  src/trunk/Pootle/po/pootle/ru, src/trunk/Pootle/po/pootle/sl,
	  src/trunk/Pootle/po/pootle/sr, src/trunk/Pootle/po/pootle/st,
	  src/trunk/Pootle/po/pootle/sv, src/trunk/Pootle/po/pootle/tr,
	  src/trunk/Pootle/po/pootle/uk, src/trunk/Pootle/po/pootle/ve,
	  src/trunk/Pootle/po/pootle/vi, src/trunk/Pootle/po/pootle/xh,
	  src/trunk/Pootle/po/pootle/zh_CN,
	  src/trunk/Pootle/po/pootle/zh_HK, src/trunk/Pootle/po/pootle/zu:
	  Remove old placeholder translations. Will update now with
	  migrated ones from 0.10 branch

2007-04-13 10:25  friedelwolff

	* src/trunk/Pootle/po/pootle/templates/pootle.pot: New POT file for
	  upcoming 1.0 release

2007-04-13 06:38  friedelwolff

	* src/trunk/Pootle/projects.py: Send the target language to the
	  POTeeChecker

2007-04-12 12:25  friedelwolff

	* src/trunk/Pootle/html/js/autoexpand.js: Only autoexpand after 500
	  miliseconds

2007-04-12 09:56  friedelwolff

	* src/trunk/Pootle/html/pootle.css: Make borders around focused
	  unit thicker

2007-04-12 09:55  friedelwolff

	* src/trunk/Pootle/html/pootle.css,
	  src/trunk/Pootle/templates/translatepage.html: Always make text
	  areas consume 100% of available width.

2007-04-12 09:50  friedelwolff

	* src/trunk/Pootle/html/js/autoexpand.js,
	  src/trunk/Pootle/templates/translatepage.html,
	  src/trunk/Pootle/translatepage.py, src/trunk/Pootle/users.py:
	  Remove option to set the width of the text area

2007-04-12 07:56  friedelwolff

	* src/trunk/Pootle/projects.py, src/trunk/Pootle/translatepage.py:
	  Add some l10n tips for translators

2007-04-05 10:35  andreaspauley

	* src/trunk/Pootle/__version__.py: Bumped version number of Pootle
	  to beta 2.

2007-04-05 09:10  friedelwolff

	* src/trunk/Pootle/templates/translatepage.html: Slight relayout of
	  translate table. This gives more space for units and restyles the
	  comment area, etc.

2007-04-05 09:07  friedelwolff

	* src/trunk/Pootle/html/pootle.css: Slight relayout of banner, and
	  the table in the translate page for more space. Improve styling
	  of comment area

2007-04-04 15:08  friedelwolff

	* src/trunk/Pootle/test_client.py: Mark test XLIFF units as
	  approved so that they are not seen as fuzzy

2007-04-04 15:03  friedelwolff

	* src/trunk/Pootle/users.py: Only use the session language as the
	  default language on the login page if it is neither English nor
	  the default server language (fix for bug 234)

2007-04-03 15:08  andreaspauley

	* src/trunk/Pootle/indexpage.py: Allow version control updates for
	  any valid project file extension, not just PO files.

2007-04-03 14:58  andreaspauley

	* src/trunk/Pootle/indexpage.py: Allow version control commits for
	  any valid project file extension, not just PO files.

2007-04-03 09:35  andreaspauley

	* src/trunk/Pootle/indexpage.py, src/trunk/Pootle/pootle.py,
	  src/trunk/Pootle/projects.py: Add conversion from xliff to po for
	  xliff-based projects.

2007-04-02 10:00  andreaspauley

	* src/trunk/Pootle/indexpage.py: Remove non-functional converters
	  for xliff files.

2007-04-02 08:49  friedelwolff

	* src/trunk/Pootle/CREDITS: Credit Miklos Vajna

2007-04-02 08:48  friedelwolff

	* src/trunk/Pootle/versioncontrol.py: [Contributed by Miklos Vajna]
	  Support darcs version control system

2007-03-30 12:15  andreaspauley

	* src/trunk/Pootle/pootle.py: Cater for xliff files, they don't
	  have an encoding attribute.

2007-03-29 12:05  andreaspauley

	* src/trunk/Pootle/pootlefile.py: Save the file after an alt-trans
	  suggestion has been deleted in an xliff file.

2007-03-29 09:52  andreaspauley

	* src/trunk/Pootle/pootlefile.py: Fix adding of suggestions in
	  xliff.

2007-03-28 08:50  andreaspauley

	* src/trunk/Pootle/adminpages.py: Fixed a bug where the
	  localfiletype was not set properly on creation of a new project.

2007-03-26 14:49  friedelwolff

	* src/trunk/Pootle/pagelayout.py: Ensure correct link depth and
	  trailing slash for XLIFF based projects

2007-03-20 13:06  andreaspauley

	* src/trunk/Pootle/adminpages.py: Let pootle rather display xliff
	  files with extension .xlf

2007-03-16 15:47  friedelwolff

	* src/trunk/Pootle/translatepage.py: Test for .xlf in dirfilter

2007-03-16 15:27  friedelwolff

	* src/trunk/Pootle/test_pootlefile.py: Don't remove the locking
	  file anymore now that we don't do locking

2007-03-16 14:55  friedelwolff

	* src/trunk/Pootle/pootlefile.py: Remove the locking code while it
	  affects performance and isn't complete anyway

2007-03-16 14:51  friedelwolff

	* src/trunk/Pootle/pootlefile.py: Postpone opening the lock file
	  and close it immediately after using. This fixes the error "too
	  many open files" that could appear in large projects

2007-03-16 10:59  friedelwolff

	* src/trunk/Pootle/translatepage.py: Fix a bug when searching for
	  non-existing text from a file listing.

2007-03-13 15:13  friedelwolff

	* src/trunk/Pootle/pootle.prefs: Surround example descriptions with
	  <span> with dir attribute to ensure good rendering with rtl
	  layout

2007-02-27 09:10  andreaspauley

	* src/trunk/Pootle/pootle.prefs: Display language names in English
	  by default.

2007-02-23 10:56  andreaspauley

	* src/trunk/pootlesetup.py: Update some distutils classifier values.

2007-02-20 13:43  andreaspauley

	* src/trunk/pootlesetup.py: Remove subversion directories from our
	  distribution.

2007-02-07 14:49  friedelwolff

	* src/trunk/Pootle/projects.py: Fix the undefined variable
	  'usesources'. Reported in bug 217.

2007-02-07 13:25  friedelwolff

	* src/trunk/Pootle/html/pootle.css: Only use unicode-bidi: embed
	  for the navigation bar. This improves rtl display with somewhat
	  untranslated Pootle interface

2007-02-06 16:48  friedelwolff

	* src/trunk/pootlesetup.py: Don't limit packaged PO files to
	  approved languages. Prune the correct (new) directories.

2007-02-05 09:42  andreaspauley

	* src/trunk/Pootle/pootlefile.py: Close files after opening them.

2007-02-02 13:48  friedelwolff

	* src/trunk/Pootle/statistics.py: Close the stats file after
	  reading

2007-01-31 09:48  friedelwolff

	* src/trunk/Pootle/pootle.prefs: Add the defaultright configuration
	  option with documentation

2007-01-31 09:09  friedelwolff

	* src/trunk/Pootle/templates/pootlepage.html: Don't use baseurl for
	  the documentation for the moment

2007-01-26 15:17  friedelwolff

	* src/trunk/Pootle/potree.py, src/trunk/Pootle/projects.py: Get the
	  default project rights from the preferences

2007-01-26 12:40  friedelwolff

	* src/trunk/Pootle/test_create.py: Fix corresponding to the rename
	  of session in commit of revision 4772

2007-01-26 11:27  friedelwolff

	* src/trunk/Pootle/projects.py: Remove review right by default

2007-01-26 10:15  friedelwolff

	* src/trunk/Pootle/pootle.py: Rather send user to index page with
	  all the files on error

2007-01-26 09:20  friedelwolff

	* src/trunk/Pootle/pagelayout.py, src/trunk/Pootle/pootle.py,
	  src/trunk/Pootle/templates/about.html,
	  src/trunk/Pootle/templates/activate.html,
	  src/trunk/Pootle/templates/adminindex.html,
	  src/trunk/Pootle/templates/adminlanguages.html,
	  src/trunk/Pootle/templates/adminprojects.html,
	  src/trunk/Pootle/templates/adminusers.html,
	  src/trunk/Pootle/templates/error.html,
	  src/trunk/Pootle/templates/fileindex.html,
	  src/trunk/Pootle/templates/home.html,
	  src/trunk/Pootle/templates/index.html,
	  src/trunk/Pootle/templates/language.html,
	  src/trunk/Pootle/templates/languages.html,
	  src/trunk/Pootle/templates/login.html,
	  src/trunk/Pootle/templates/navbar.html,
	  src/trunk/Pootle/templates/options.html,
	  src/trunk/Pootle/templates/pootlepage.html,
	  src/trunk/Pootle/templates/project.html,
	  src/trunk/Pootle/templates/projectadmin.html,
	  src/trunk/Pootle/templates/projectlangadmin.html,
	  src/trunk/Pootle/templates/projects.html,
	  src/trunk/Pootle/templates/redirect.html,
	  src/trunk/Pootle/templates/register.html,
	  src/trunk/Pootle/templates/translatepage.html: [Contributed by
	  Lars Kruse] Use the configured baseurl. Fix for bug 113.

2007-01-24 11:22  friedelwolff

	* src/trunk/Pootle/html/pootle.css, src/trunk/Pootle/pagelayout.py:
	  Add two more languages as rtl (right-to-left): Aramaic (arc) and
	  Dhivehi (dv). Rewrite direction detection slightly to be more
	  robust

2007-01-22 14:48  friedelwolff

	* src/trunk/Pootle/translatepage.py: A fix for an encoding problem
	  with non-ascii usernames

2007-01-22 12:05  andreaspauley

	* src/trunk/Pootle/pootle.py: Used the warning method defined in
	  optrecurse, rather than using a print statement.

2007-01-19 08:19  andreaspauley

	* src/trunk/Pootle/pootlefile.py: Corrected a reference to
	  header_order, see bug 217.

2007-01-18 06:56  friedelwolff

	* src/trunk/Pootle/po/pootle/ns: Remove old garbage translation
	  (ns)

2007-01-17 15:46  friedelwolff

	* src/trunk/Pootle/TODO: Remove some done items from the TODO list

2007-01-17 13:32  friedelwolff

	* src/trunk/Pootle/projects.py: Ignore files in the goal that has
	  been removed from the project

2007-01-17 07:43  friedelwolff

	* src/trunk/Pootle/CREDITS: Credit Lars Kruse and Add Simos' name
	  in Greek script

2007-01-17 07:34  friedelwolff

	* src/trunk/Pootle/versioncontrol.py: [Contributed by Lars Kruse]
	  Also use shellescape for for cvsroot, revision and message

2007-01-17 06:42  friedelwolff

	* src/trunk/Pootle/pagelayout.py,
	  src/trunk/Pootle/translatepage.py: Fix the bug with links in the
	  navigation bar with certain directory tries. Fix for bug 218.

2007-01-16 16:14  andreaspauley

	* src/trunk/Pootle/pootle.py, src/trunk/Pootle/pootlefile.py,
	  src/trunk/Pootle/potree.py, src/trunk/Pootle/projects.py,
	  src/trunk/Pootle/statistics.py,
	  src/trunk/Pootle/translatepage.py, src/trunk/Pootle/users.py:
	  General code improvements to appease the wrath of pylint. Bug
	  217.

2007-01-16 09:36  friedelwolff

	* src/trunk/Pootle/potree.py: Make sure that the local file type is
	  nevery empty

2007-01-12 11:57  friedelwolff

	* src/trunk/Pootle/indexpage.py,
	  src/trunk/Pootle/templates/fileindex.html: Reword file
	  overwriting text and provide tooltips. Remove configurable input
	  type while template doesn't support it

2007-01-12 08:31  friedelwolff

	* src/trunk/Pootle/README: Update URL for wiki documentation

2007-01-11 15:12  friedelwolff

	* src/trunk/Pootle/pootle.py: Increase the version of the expected
	  build number of the toolkit. Add TODO

2007-01-11 15:09  friedelwolff

	* src/trunk/Pootle/__version__.py: Up the version to 1.0beta

2007-01-11 14:14  friedelwolff

	* src/trunk/Pootle/indexpage.py, src/trunk/Pootle/projects.py,
	  src/trunk/Pootle/templates/fileindex.html: Impliment the
	  'overwrite' right that allows the user to overwrite a file,
	  otherwise not. Only show the UI options if the right is present

2007-01-11 14:10  friedelwolff

	* src/trunk/Pootle/test_client.py: Don't pass unnecessary
	  'dooverwrite' parameter in tests. Test more carefully for
	  successful overwrite.

2007-01-11 12:33  friedelwolff

	* src/trunk/Pootle/test_client.py: Pass the permissions of testuser
	  to setup_testproject now that translate is not allowed by default

2007-01-10 10:56  friedelwolff

	* src/trunk/Pootle/projects.py: Disable translate right by default

2007-01-10 10:55  friedelwolff

	* src/trunk/Pootle/projects.py: Enable suggest right by default

2007-01-08 12:03  friedelwolff

	* src/trunk/Pootle/templates/fileindex.html: Do a slight relayout
	  of the file upload form

2007-01-08 11:59  friedelwolff

	* src/trunk/Pootle/indexpage.py: Use question mark with question in
	  translatable text

2007-01-08 11:44  friedelwolff

	* src/trunk/Pootle/users.py: Rewrite error handling slightly
	  simpler

2007-01-08 11:21  friedelwolff

	* src/trunk/Pootle/templates/fileindex.html: Fix problem where we
	  are unable to assign a user to a goal because of naming mismatch

2007-01-08 10:41  friedelwolff

	* src/trunk/Pootle/projects.py: Fix typo in comment

2007-01-08 07:47  friedelwolff

	* src/trunk/Pootle/users.py: Don't make 'templates' a possible
	  interface language

2007-01-04 12:40  friedelwolff

	* src/trunk/Pootle/users.py: Indicate message bug in comment

2007-01-04 11:07  andreaspauley

	* src/trunk/Pootle/html/pootle.css,
	  src/trunk/Pootle/templates/translatepage.html,
	  src/trunk/Pootle/translatepage.py: Display the message context,
	  if available.

2006-12-28 14:45  friedelwolff

	* src/trunk/Pootle/translatepage.py: Rewrite fuzzy and comment form
	  handling to ensure that we will be able to handle multiple
	  submittions.

2006-12-28 08:41  friedelwolff

	* src/trunk/Pootle/templates/translatepage.html: Keep displaying
	  the search text in the search form. Fix for bug 195

2006-12-27 11:49  friedelwolff

	* src/trunk/Pootle/pootlefile.py, src/trunk/Pootle/projects.py:
	  Allow XLIFF suggestions using alt-trans tags. Move some code from
	  projects.py to pootlefile.py, etc.

2006-12-22 07:25  friedelwolff

	* src/trunk/Pootle/users.py: Recheck the session status after
	  changing the interface language to ensure that the status message
	  is correctly traslated in the new locale (fix for bug 197)

2006-11-28 09:01  varsist

	* src/trunk/Pootle/indexpage.py, src/trunk/Pootle/projects.py,
	  src/trunk/Pootle/templates/fileindex.html,
	  src/trunk/Pootle/test_client.py: Project fileindex webpage now
	  supports Overwrite abilities for files.

2006-11-24 07:31  andreaspauley

	* src/trunk/Pootle/pootlefile.py, src/trunk/Pootle/projects.py,
	  src/trunk/Pootle/test_pootlefile.py,
	  src/trunk/Pootle/translatepage.py: Updated Pootle to work with
	  the updated pogrep, and changed a lot of po-specific variable
	  names.

2006-11-16 14:21  andreaspauley

	* src/trunk/Pootle/test_pootlefile.py: Wrote a test for our
	  updateunit() method.

2006-11-16 10:00  friedelwolff

	* src/trunk/Pootle/pootlefile.py: Use a local variable for
	  innerclass (fixes some unit tests)

2006-11-14 16:28  andreaspauley

	* src/trunk/Pootle/test_client.py: Wrote 2 new tests for the
	  submission of plural translations. Found a possible bug when
	  submitting a plural translation to a language that doesn't
	  support plurals, eg. Japanese.

2006-11-14 13:48  andreaspauley

	* src/trunk/Pootle/translatepage.py: Fixed a small bug where the
	  translate_comments url var didn't get popped in all instances.

2006-11-14 13:47  friedelwolff

	* src/trunk/Pootle/pootlefile.py: provide .updateheaderplural() and
	  .updateheader() functions to delegate if it exists in the
	  innerobj

2006-11-14 13:44  friedelwolff

	* src/trunk/Pootle/pootlefile.py: Always use self.innerclass
	  instead of global innerclass

2006-11-14 06:38  andreaspauley

	* src/trunk/Pootle/templates/translatepage.html: Fixed a bug where
	  the location comments didn't display if a translation unit didn't
	  have developer comments as well.

2006-11-13 12:09  friedelwolff

	* src/trunk/Pootle/pootlefile.py: Add pootlefile.getheaderplural()
	  that delegates to the innerobj if available

2006-11-10 15:14  andreaspauley

	* src/trunk/Pootle/html/pootle.css, src/trunk/Pootle/pootlefile.py,
	  src/trunk/Pootle/templates/translatepage.html,
	  src/trunk/Pootle/test_client.py,
	  src/trunk/Pootle/translatepage.py: Added the ability to edit
	  comments. Moved all comments to a separate row in edit mode.

2006-11-08 15:03  dwaynebailey

	* src/trunk/Pootle/statistics.py: First step to put all meta data
	  into a dict and remove specific special cases.

2006-11-07 15:53  friedelwolff

	* src/trunk/Pootle/test_pootlefile.py: Remove pootleunit tests now
	  that we don't have pootleunit anymore

2006-11-07 15:50  friedelwolff

	* src/trunk/Pootle/pootlefile.py: Various fixes to make all the
	  unit tests work.\n+ classmethod parsefile(), don't inherit from
	  base.TranslationStore

2006-11-06 15:35  dwaynebailey

	* src/trunk/Pootle/statistics.py: s/poel/unit/ for consistency

2006-11-06 15:28  dwaynebailey

	* src/trunk/Pootle/statistics.py: s/filter/check/ for clarity

2006-11-06 13:38  friedelwolff

	* src/trunk/Pootle/pootlefile.py: Do away with pootleunit and all
	  of its users

2006-11-05 19:13  dwaynebailey

	* src/trunk/Pootle/statistics.py: Remove some more po'ness

2006-11-05 10:47  dwaynebailey

	* src/trunk/Pootle/statistics.py,
	  src/trunk/Pootle/test_statistics.py: Change remove() to
	  hasparent() and adjust tests.

2006-11-03 15:16  andreaspauley

	* src/trunk/Pootle/test_client.py: Removed the mixture of spaces
	  and tabs, changed indentation to 4 spaces.

2006-11-03 14:39  friedelwolff

	* src/trunk/Pootle/translatepage.py: Correct pofile parameter that
	  caused problems with navigation links

2006-11-03 14:19  andreaspauley

	* src/trunk/Pootle/test_client.py: Added
	  test_navigation_url_parameters, tests that the navigation urls
	  (next/end etc) has the necessary parameters

2006-11-03 14:19  friedelwolff

	* src/trunk/Pootle/CREDITS: Credit Andreas and Capel

2006-11-03 06:54  dwaynebailey

	* src/trunk/Pootle/projects.py, src/trunk/Pootle/statistics.py:
	  Remove references to msgstr and msgid and replace with source and
	  target.
	  Leave 'readstats' with ability to read {msgstr,msgid}wordcounts
	  so that old stats files can be read (they will be updated to use
	  {source,target}wordcounts when they are saved)

2006-11-03 06:11  dwaynebailey

	* src/trunk/Pootle/statistics.py,
	  src/trunk/Pootle/test_statistics.py: Add a remove function that
	  checks that the stats file is associated with some translatable
	  file and removes
	  the stats file if it is no longer associated.

2006-11-02 15:19  dwaynebailey

	* src/trunk/Pootle/statistics.py,
	  src/trunk/Pootle/test_statistics.py: Add a StatsFile class for
	  creating, reading and writing the stats file
	  Add initial test file

2006-11-02 14:21  dwaynebailey

	* src/trunk/Pootle/pootlefile.py, src/trunk/Pootle/projects.py,
	  src/trunk/Pootle/statistics.py: Place pootlestatistics class in a
	  seperate file and adjust all references. Making ready to
	  break up pootlestatistics so that we can migrate some of the
	  functionality to the toolkit.

2006-11-02 13:21  andreaspauley

	* src/trunk/Pootle/conflict2suggest.py,
	  src/trunk/Pootle/pootlefile.py, src/trunk/Pootle/projects.py,
	  src/trunk/Pootle/translatepage.py: Renamed setmsgstr() to
	  updateunit() and replaced the "target" parameter with a dict that
	  can contain more than just the target, eg. "fuzzy"

2006-11-01 10:11  friedelwolff

	* src/trunk/Pootle/templates/home.html: Remove trailing slash (/)
	  in admin url

2006-10-31 07:57  friedelwolff

	* src/trunk/Pootle/pootlefile.py: Rewrite statement with
	  .isblankmsgstr() to rather use new .gettargetlen()

2006-10-31 05:53  friedelwolff

	* src/trunk/Pootle/potree.py: Use .po as default file type if the
	  project doesn't have one specified

2006-10-30 08:47  varsist

	* src/trunk/Pootle/projects.py: Variable name chane, left one
	  variable name behind. Fixed

2006-10-30 08:37  varsist

	* src/trunk/Pootle/projects.py: Comment/Documentation change for

2006-10-30 08:34  varsist

	* src/trunk/Pootle/test_client.py, src/trunk/Pootle/test_create.py:
	  Adapted test cases for new project file type attribute

2006-10-30 08:33  varsist

	* src/trunk/Pootle/adminpages.py, src/trunk/Pootle/benchmark.py,
	  src/trunk/Pootle/potree.py: Added new project attribute allowing
	  specific file types (e.g po/xliff) for individual projects,
	  accessable via the Web interface

2006-10-30 08:27  varsist

	* src/trunk/Pootle/indexpage.py, src/trunk/Pootle/projects.py:
	  Removed reliance on po file types

2006-10-30 08:26  varsist

	* src/trunk/Pootle/pootle.prefs: Update of Pootle Preference file
	  to support new local file type attribute

2006-10-25 16:19  andreaspauley

	* src/trunk/Pootle/pootlefile.py, src/trunk/Pootle/projects.py,
	  src/trunk/Pootle/templates/translatepage.html,
	  src/trunk/Pootle/test_client.py,
	  src/trunk/Pootle/translatepage.py: Add fuzzy checkbox to the
	  translate page, bug 188.

2006-10-20 14:21  friedelwolff

	* src/trunk/Pootle/projects.py: Remove unused functions
	  .getitemclasses() and .unquotefrompo()

2006-10-20 09:59  friedelwolff

	* src/trunk/Pootle/projects.py: Addapt ungettext() to use new base
	  class methods instead of unquotefrompo

2006-10-19 15:28  friedelwolff

	* src/trunk/Pootle/projects.py: Commeniting .getitemclasses() in
	  preperation for removal - no users of this function

2006-10-19 15:27  friedelwolff

	* src/trunk/Pootle/pootlefile.py: Remove reduntant assign

2006-10-19 13:57  friedelwolff

	* src/trunk/Pootle/projects.py: Fix typo

2006-10-19 13:36  friedelwolff

	* src/trunk/Pootle/projects.py: Cosmetic reordering of instructions

2006-10-19 13:34  friedelwolff

	* src/trunk/Pootle/projects.py: Use correct filename when uploading
	  new file from template. This fixes the bug with projects with a
	  directory hierarchy in the temlates directory

2006-10-18 15:25  friedelwolff

	* src/trunk/Pootle/pootle.prefs: Update plural equation for Akan
	  from information from paa kwesi imbeah

2006-10-16 07:24  varsist

	* src/trunk/Pootle/pootlefile.py,
	  src/trunk/Pootle/test_pootlefile.py: filename and extension API
	  now avaliable via getext() and getfilename(). Added cleanup for
	  left over files from pootlefile tests

2006-10-13 22:15  friedelwolff

	* src/trunk/Pootle/projects.py: Filter interested users by language
	  only, not by project as well.

2006-10-13 15:26  friedelwolff

	* src/trunk/Pootle/adminpages.py: Make sure that we have the
	  information of all relevant users, even if they don't have the
	  language selected yet or anymore

2006-10-13 07:20  friedelwolff

	* src/trunk/Pootle/test_client.py: Adapt expected hyperlink to
	  account for lang attribute that is now inserted

2006-10-12 23:27  friedelwolff

	* src/trunk/Pootle/adminpages.py, src/trunk/Pootle/indexpage.py,
	  src/trunk/Pootle/projects.py,
	  src/trunk/Pootle/templates/fileindex.html,
	  src/trunk/Pootle/templates/projectlangadmin.html: Display more
	  friendly usernames for selection, displaying the full name where
	  available. Only list users that registered for the specific
	  project/language combination.

2006-10-12 21:30  friedelwolff

	* src/trunk/Pootle/potree.py: Use new localelanguage() function
	  when entering languages

2006-10-12 21:23  friedelwolff

	* src/trunk/Pootle/indexpage.py,
	  src/trunk/Pootle/templates/home.html: Show administrate link on
	  home page next to language if the user is a project admin

2006-10-12 15:36  friedelwolff

	* src/trunk/Pootle/pootle.py: Convert the browser's Accept-Lang
	  when looking for the preferred translation

2006-10-12 15:35  friedelwolff

	* src/trunk/Pootle/pagelayout.py: Add function localelanguage() to
	  reformat a web style (pt-br) language code to a locale style
	  (pt_BR) style code

2006-10-12 15:23  friedelwolff

	* src/trunk/Pootle/pootle.py: Don't complain if no English
	  translation is found

2006-10-12 14:40  friedelwolff

	* src/trunk/Pootle/pootlefile.py: Use the unit's own
	  .istranslated(). Adjust comment

2006-10-12 14:32  friedelwolff

	* src/trunk/Pootle/pootlefile.py: Use a factory to construct the
	  storage classes for the __innerobj__, pending files, and tm
	  files. Move classify function from pootleunit, and rename a few
	  things (mostly pofile -> file)

2006-10-12 14:27  friedelwolff

	* src/trunk/Pootle/test_pootlefile.py: Move test_classify to make
	  upcoming structure easier to test

2006-10-12 14:03  friedelwolff

	* src/trunk/Pootle/test_client.py: Correct the expected hyperlinks.
	  Since we now include a lang attribute that kid puts before href,
	  this broke the tests

2006-10-12 07:33  friedelwolff

	* src/trunk/Pootle/templates/pootlepage.html: Add dir and lang
	  attributes to the about div in the footer

2006-10-12 07:14  friedelwolff

	* src/trunk/Pootle/conf.py, src/trunk/Pootle/indexpage.py,
	  src/trunk/Pootle/pagelayout.py, src/trunk/Pootle/pootle.py,
	  src/trunk/Pootle/storage_client.py, src/trunk/Pootle/users.py,
	  src/trunk/Pootle/utils.py: Revert 4019:4021 by Gasper since it is
	  not yet working perfectly. It will probably be remerged in
	  smaller chunks.

2006-10-11 16:26  friedelwolff

	* src/trunk/Pootle/html/pootle.css: Several display updates for
	  specific languages, remove most places where line-height is
	  altered, don't use percentage increases for fonts, etc.

2006-10-11 16:24  friedelwolff

	* src/trunk/Pootle/templates/translatepage.html: Insert space
	  between clickable special characters

2006-10-11 16:21  friedelwolff

	* src/trunk/Pootle/templates/navbar.html: Display filenames as
	  normal links (not H3) and style as lang=en dir=ltr

2006-10-11 13:08  zejn

	* src/trunk/Pootle/indexpage.py: Fixed a typo.

2006-10-11 12:56  zejn

	* src/trunk/Pootle/conf.py, src/trunk/Pootle/indexpage.py,
	  src/trunk/Pootle/pagelayout.py, src/trunk/Pootle/pootle.py,
	  src/trunk/Pootle/storage_client.py, src/trunk/Pootle/users.py,
	  src/trunk/Pootle/utils.py: Moving methods of PootlePage
	  subclasses out of indexpage, pagelayout and users. This
	  will allow for easier migration. All still works as before.
	  conf.py contains global pootle variables: prefs and potree.
	  storage_client has all the functions that were returning a list
	  of projects, languages...
	  utils.py has universally usable functions.

2006-10-11 12:45  friedelwolff

	* src/trunk/Pootle/pootle.prefs: Add configurations for some
	  missing languages

2006-10-11 10:44  friedelwolff

	* src/trunk/Pootle/users.py: Properly deal with interface language
	  set at login and/or preferences

2006-10-10 10:02  friedelwolff

	* src/trunk/Pootle/translatepage.py: Always provide pofilename so
	  that navigation works even when using project search or translate
	  functions

2006-10-10 07:32  friedelwolff

	* src/trunk/Pootle/pootlefile.py, src/trunk/Pootle/projects.py,
	  src/trunk/Pootle/test_pootlefile.py: Complete the merge of the
	  refactorings from the Pootle locking branch. Initial locking work
	  also ported.

2006-10-09 08:36  zejn

	* src/trunk/Pootle/html/selenium, src/trunk/Pootle/html/tests,
	  src/trunk/Pootle/html/tests/LoginTest.html,
	  src/trunk/Pootle/html/tests/ProjectPageTest.html,
	  src/trunk/Pootle/html/tests/TestSuite.html,
	  src/trunk/Pootle/pootle.py: Removing selenium from svn
	  repository, it's far too big. I've rather added notes on
	  installation.

2006-10-09 08:03  zejn

	* src/trunk/Pootle/html/selenium/README.txt: Adding a note in
	  readme file explaining how to run tests.

2006-10-09 07:57  zejn

	* src/trunk/Pootle/html/selenium,
	  src/trunk/Pootle/html/selenium/InjectedSeleneseRunner.html,
	  src/trunk/Pootle/html/selenium/SeleneseRunner.html,
	  src/trunk/Pootle/html/selenium/SeleniumLog.html,
	  src/trunk/Pootle/html/selenium/TestPrompt.html,
	  src/trunk/Pootle/html/selenium/TestRunner-splash.html,
	  src/trunk/Pootle/html/selenium/TestRunner.hta,
	  src/trunk/Pootle/html/selenium/TestRunner.html,
	  src/trunk/Pootle/html/selenium/domviewer,
	  src/trunk/Pootle/html/selenium/domviewer/butmin.gif,
	  src/trunk/Pootle/html/selenium/domviewer/butplus.gif,
	  src/trunk/Pootle/html/selenium/domviewer/domviewer.css,
	  src/trunk/Pootle/html/selenium/domviewer/domviewer.html,
	  src/trunk/Pootle/html/selenium/domviewer/selenium-domviewer.js,
	  src/trunk/Pootle/html/selenium/iedoc-core.xml,
	  src/trunk/Pootle/html/selenium/iedoc.xml,
	  src/trunk/Pootle/html/selenium/lib,
	  src/trunk/Pootle/html/selenium/lib/cssQuery,
	  src/trunk/Pootle/html/selenium/lib/cssQuery/cssQuery-p.js,
	  src/trunk/Pootle/html/selenium/lib/cssQuery/src,
	  src/trunk/Pootle/html/selenium/lib/cssQuery/src/cssQuery-level2.js,
	  src/trunk/Pootle/html/selenium/lib/cssQuery/src/cssQuery-level3.js,
	  src/trunk/Pootle/html/selenium/lib/cssQuery/src/cssQuery-standard.js,
	  src/trunk/Pootle/html/selenium/lib/cssQuery/src/cssQuery.js,
	  src/trunk/Pootle/html/selenium/lib/prototype.js,
	  src/trunk/Pootle/html/selenium/lib/scriptaculous,
	  src/trunk/Pootle/html/selenium/lib/scriptaculous/builder.js,
	  src/trunk/Pootle/html/selenium/lib/scriptaculous/controls.js,
	  src/trunk/Pootle/html/selenium/lib/scriptaculous/dragdrop.js,
	  src/trunk/Pootle/html/selenium/lib/scriptaculous/effects.js,
	  src/trunk/Pootle/html/selenium/lib/scriptaculous/scriptaculous.js,
	  src/trunk/Pootle/html/selenium/lib/scriptaculous/slider.js,
	  src/trunk/Pootle/html/selenium/lib/scriptaculous/unittest.js,
	  src/trunk/Pootle/html/selenium/scripts,
	  src/trunk/Pootle/html/selenium/scripts/find_matching_child.js,
	  src/trunk/Pootle/html/selenium/scripts/htmlutils.js,
	  src/trunk/Pootle/html/selenium/scripts/injection.html,
	  src/trunk/Pootle/html/selenium/scripts/injection_iframe.html,
	  src/trunk/Pootle/html/selenium/scripts/js2html.js,
	  src/trunk/Pootle/html/selenium/scripts/narcissus-defs.js,
	  src/trunk/Pootle/html/selenium/scripts/narcissus-exec.js,
	  src/trunk/Pootle/html/selenium/scripts/narcissus-parse.js,
	  src/trunk/Pootle/html/selenium/scripts/se2html.js,
	  src/trunk/Pootle/html/selenium/scripts/selenium-api.js,
	  src/trunk/Pootle/html/selenium/scripts/selenium-browserbot.js,
	  src/trunk/Pootle/html/selenium/scripts/selenium-browserdetect.js,
	  src/trunk/Pootle/html/selenium/scripts/selenium-commandhandlers.js,
	  src/trunk/Pootle/html/selenium/scripts/selenium-executionloop.js,
	  src/trunk/Pootle/html/selenium/scripts/selenium-logging.js,
	  src/trunk/Pootle/html/selenium/scripts/selenium-seleneserunner.js,
	  src/trunk/Pootle/html/selenium/scripts/selenium-testrunner.js,
	  src/trunk/Pootle/html/selenium/scripts/selenium-version.js,
	  src/trunk/Pootle/html/selenium/scripts/user-extensions.js.sample,
	  src/trunk/Pootle/html/selenium/scripts/xmlextras.js,
	  src/trunk/Pootle/html/selenium/selenium-logo.png,
	  src/trunk/Pootle/html/selenium/selenium.css,
	  src/trunk/Pootle/html/selenium/tests,
	  src/trunk/Pootle/html/selenium/tests/LoginTest.html,
	  src/trunk/Pootle/html/selenium/tests/ProjectPageTest.html,
	  src/trunk/Pootle/html/selenium/tests/TestSuite.html,
	  src/trunk/Pootle/html/selenium/xpath,
	  src/trunk/Pootle/html/selenium/xpath/dom.js,
	  src/trunk/Pootle/html/selenium/xpath/misc.js,
	  src/trunk/Pootle/html/selenium/xpath/xpath.js,
	  src/trunk/Pootle/pootle.py: Adding selenium for testing portal
	  from browser.

2006-10-06 11:50  friedelwolff

	* src/trunk/Pootle/pootlefile.py: Move some more pootlefile
	  functions around. All changes are purely cosmetic to make review
	  of upcomming merging from pootle-locking branch easier

2006-10-06 11:29  friedelwolff

	* src/trunk/Pootle/pootlefile.py: Revert accidental commit as part
	  of revision on 15 June 2006 - pootlefile in dummy project has no
	  checker

2006-10-06 09:19  friedelwolff

	* src/trunk/Pootle/pootlefile.py: Move some pootlefile functions
	  around. All changes are purely cosmetic to make review of
	  upcomming merging from pootle-locking branch easier

2006-10-06 08:45  friedelwolff

	* src/trunk/Pootle/pootlefile.py: Remove some methods from
	  pootleunit that are duplicated from Wrapper. Add methods in
	  pootleunit that need to be overridden

2006-10-06 08:12  friedelwolff

	* src/trunk/Pootle/test_client.py: Give adminrights in
	  test_upload_xliff_over_file. Make xliff more readable

2006-10-05 06:52  friedelwolff

	* src/trunk/Pootle/users.py: Correctly display exceptions in unit
	  tests (we don't have a server.options variable)

2006-10-04 13:46  friedelwolff

	* src/trunk/Pootle/pootlefile.py: Override __str__ for pootleunit
	  to call __str__ for __innerobj__

2006-10-04 10:08  friedelwolff

	* src/trunk/Pootle/__version__.py: Up to mystical version 0.10.90
	  (just for current HEAD)

2006-10-03 12:54  friedelwolff

	* src/trunk/Pootle/pootlefile.py: Merge Wrapper class from
	  pootle-locking branch and implement for pootleunit with some
	  differences from branch (pootleunit not a base.TranslationUnit)

2006-10-03 07:01  friedelwolff

	* src/trunk/Pootle/benchmark.py,
	  src/trunk/Pootle/conflict2suggest.py,
	  src/trunk/Pootle/pootlefile.py, src/trunk/Pootle/projects.py,
	  src/trunk/Pootle/test_pootlefile.py: Renaming for consistency:
	  element -> unit. First step in preparation of merging in the
	  pootle-locking branch

2006-09-29 07:13  friedelwolff

	* src/trunk/Pootle/pootlefile.py: Rather use pocount.wordcount to
	  avoid duplication

2006-09-22 10:02  friedelwolff

	* src/trunk/Pootle/pootlefile.py: Adapt to refactoring that
	  happened with poheaders in toolkit

2006-09-22 06:57  friedelwolff

	* src/trunk/Pootle/users.py: Only set the UI language from
	  preference if it is not yet set from the login

2006-09-22 06:51  friedelwolff

	* src/trunk/Pootle/CREDITS: Credit Gasper Zeijn

2006-09-22 06:48  friedelwolff

	* src/trunk/Pootle/html/pootle.css, src/trunk/Pootle/indexpage.py,
	  src/trunk/Pootle/pagelayout.py,
	  src/trunk/Pootle/templates/activate.html,
	  src/trunk/Pootle/templates/adminindex.html,
	  src/trunk/Pootle/templates/adminlanguages.html,
	  src/trunk/Pootle/templates/adminprojects.html,
	  src/trunk/Pootle/templates/adminusers.html,
	  src/trunk/Pootle/templates/error.html,
	  src/trunk/Pootle/templates/fileindex.html,
	  src/trunk/Pootle/templates/home.html,
	  src/trunk/Pootle/templates/index.html,
	  src/trunk/Pootle/templates/language.html,
	  src/trunk/Pootle/templates/languages.html,
	  src/trunk/Pootle/templates/login.html,
	  src/trunk/Pootle/templates/options.html,
	  src/trunk/Pootle/templates/pootlepage.html,
	  src/trunk/Pootle/templates/project.html,
	  src/trunk/Pootle/templates/projectadmin.html,
	  src/trunk/Pootle/templates/projectlangadmin.html,
	  src/trunk/Pootle/templates/projects.html,
	  src/trunk/Pootle/templates/redirect.html,
	  src/trunk/Pootle/templates/register.html,
	  src/trunk/Pootle/templates/translatepage.html: Move 'About this
	  Pootle server' to the footer on each page'. Contributed by Gasper
	  Zejn.

2006-09-20 15:22  friedelwolff

	* src/trunk/Pootle/potree.py: Fix encoding issue with special
	  character administration

2006-09-18 10:23  varsist

	* src/trunk/Pootle/test_pootlefile.py: removal of redundant
	  unquoting test method

2006-09-18 10:22  varsist

	* src/trunk/Pootle/pootlefile.py: removal of redundant unquotedmsg
	  methods and utilization of source and target directly

2006-09-18 10:19  varsist

	* src/trunk/Pootle/projects.py, src/trunk/Pootle/translatepage.py:
	  implementation of direct source and target

2006-09-18 09:29  friedelwolff

	* src/trunk/Pootle/users.py: Handle language preference better
	  across server restarts. Allow changing interface language
	  immediately at user options

2006-09-18 06:20  friedelwolff

	* src/trunk/Pootle/templates/translatepage.html: Convert tab to
	  space

2006-09-18 06:11  friedelwolff

	* src/trunk/Pootle/html/js/autoexpand.js,
	  src/trunk/Pootle/templates/translatepage.html: Make special
	  characters clickable [Contributed by Djihed Afifi]

2006-09-15 23:53  friedelwolff

	* src/trunk/Pootle/users.py: Minor improvements to new translatable
	  messages. Unify existing message with the better worded new
	  message.

2006-09-15 22:44  friedelwolff

	* src/trunk/Pootle/pootle.py, src/trunk/Pootle/users.py: Allow
	  users to change their password. Factor out some error handling
	  and display error messages [Contributed by Charl van Niekerk]

2006-09-15 22:42  friedelwolff

	* src/trunk/Pootle/templates/options.html: Support messages in
	  user's option page

2006-09-15 06:45  varsist

	* src/trunk/Pootle/conflict2suggest.py: removed unquotedmsgstr/id
	  dependency and added plural checking on strings

2006-09-14 15:25  friedelwolff

	* src/trunk/Pootle/pagelayout.py,
	  src/trunk/Pootle/translatepage.py: Convert lang directives from
	  locale style (pt_BR) to web style (pt-BR) when passing to
	  templates

2006-09-14 12:17  friedelwolff

	* src/trunk/Pootle/templates/options.html,
	  src/trunk/Pootle/users.py: Enable functionality for users to
	  change their passwords [Contributed by Charl van Niekerk]

2006-09-12 10:56  friedelwolff

	* src/trunk/Pootle/conflict2suggest.py: Split strings on newline
	  not literal '\n'

2006-09-12 08:40  friedelwolff

	* src/trunk/Pootle/CREDITS: Credit Djihed Afifi

2006-09-12 08:39  friedelwolff

	* src/trunk/Pootle/html/js/autoexpand.js,
	  src/trunk/Pootle/templates/translatepage.html,
	  src/trunk/Pootle/translatepage.py: Enable copying text for plural
	  messages too. Contributed by Djihed Afifi

2006-09-09 08:06  friedelwolff

	* src/trunk/Pootle/pootle.prefs, src/trunk/Pootle/tools/updatetm,
	  src/trunk/Pootle/users.prefs: [Forward port from
	  wordforge-0-10-branch] Import minor fixes (mainly typo's) from
	  debian pootle package (Nicolas François)

2006-09-08 10:09  friedelwolff

	* src/trunk/Pootle/tools/updatetm.py: Remove svn:executable
	  property

2006-09-07 13:38  friedelwolff

	* src/trunk/Pootle/CREDITS: Add Clytie and Charl

2006-09-07 09:41  friedelwolff

	* src/trunk/Pootle/templates/adminlanguages.html,
	  src/trunk/Pootle/templates/adminprojects.html,
	  src/trunk/Pootle/templates/adminusers.html: Use new fullwidth
	  classes for some pages. Remove temporary hack

2006-09-07 09:40  friedelwolff

	* src/trunk/Pootle/html/pootle.css: Add new CSS classes for pages
	  that should use the full width of the screen instead of just the
	  normal contents area

2006-09-07 09:37  friedelwolff

	* src/trunk/Pootle/TODO: Update by removing some items that are
	  already done

2006-09-05 06:15  friedelwolff

	* src/trunk/Pootle/templates/register.html,
	  src/trunk/Pootle/users.py: [Contributed by Charl van Niekerk]
	  Implement password confirmation on registration page

2006-09-04 09:23  friedelwolff

	* src/trunk/Pootle/pootle.prefs: Improve configuration
	  documentation, with examples and explanations of how descriptions
	  can now contain markup

2006-09-04 09:09  friedelwolff

	* src/trunk/Pootle/indexpage.py,
	  src/trunk/Pootle/templates/language.html,
	  src/trunk/Pootle/templates/project.html: Display descriptions for
	  the project on the project page and shortened forms in tooltips
	  elsewhere

2006-09-04 09:05  friedelwolff

	* src/trunk/Pootle/html/pootle.css: Also overflow display of
	  comments and locations that are too long

2006-09-01 10:25  friedelwolff

	* src/trunk/Pootle/indexpage.py,
	  src/trunk/Pootle/templates/index.html: Display site description
	  on front page

2006-09-01 09:57  friedelwolff

	* src/trunk/Pootle/indexpage.py, src/trunk/Pootle/pootle.prefs,
	  src/trunk/Pootle/templates/about.html,
	  src/trunk/Pootle/templates/index.html: Support markup in site
	  description. Strip markup for meta description tag. Document with
	  example

2006-08-31 13:13  friedelwolff

	* src/trunk/Pootle/pootlefile.py, src/trunk/Pootle/projects.py: Use
	  unicode goalnames and encode as necessary. Fixes problem with
	  assigns and non-ascii goalnames

2006-08-30 09:26  friedelwolff

	* src/trunk/Pootle/translatepage.py: Use the correct icon
	  (file/edit) on the translate page

2006-08-30 09:25  friedelwolff

	* src/trunk/Pootle/translatepage.py: Display navigation links in
	  edit mode too

2006-08-30 08:08  friedelwolff

	* src/trunk/Pootle/adminpages.py, src/trunk/Pootle/indexpage.py,
	  src/trunk/Pootle/pagelayout.py, src/trunk/Pootle/projects.py,
	  src/trunk/Pootle/translatepage.py: Improve localize calls to have
	  one on a line in most cases. Add more l10n comments

2006-08-30 07:45  friedelwolff

	* src/trunk/Pootle/tools/updatetm.py: Fix bug with format change in
	  notes

2006-08-29 08:22  friedelwolff

	* src/trunk/Pootle/html/images/up.png: Commit images from CVS where
	  the svn properties got mixed up

2006-08-29 08:00  friedelwolff

	* src/trunk/Pootle/html/images/down.png,
	  src/trunk/Pootle/html/images/none.png: Commit images from CVS
	  where the svn properties got mixed up

2006-08-29 07:37  friedelwolff

	* src/trunk/Pootle/html/images/down.png,
	  src/trunk/Pootle/html/images/none.png,
	  src/trunk/Pootle/html/images/pootle.svg: Remove invalid svn
	  properties and add mime-type. (hopefully) fixes unusable images
	  in Pootle

2006-08-28 11:43  friedelwolff

	* src/trunk/pootlesetup.py: Also package subpackages (currently
	  only tools)

2006-08-28 09:57  friedelwolff

	* src/trunk/Pootle/users.prefs: Fix typo

2006-08-24 21:16  friedelwolff

	* src/trunk/pootlesetup.py: Update list of languages for install

2006-08-24 21:11  friedelwolff

	* src/trunk/pootlesetup.py: prune editor and lingua directories
	  from the build

2006-08-24 15:03  friedelwolff

	* src/trunk/Pootle/translatepage.py: Remove some unnecessary
	  template variables, but ensure we always pass rows and cols for
	  the textarea

2006-08-24 15:01  friedelwolff

	* src/trunk/Pootle/translatepage.py: Don't retrieve tm and
	  terminology unnecessarily, but show it always if one item is in
	  view

2006-08-24 13:23  friedelwolff

	* src/trunk/Pootle/pootle.prefs: Update default preferences
	  according to current translation status (75% +)

2006-08-24 13:17  friedelwolff

	* src/trunk/Pootle/po/pootle/af/pootle.po,
	  src/trunk/Pootle/po/pootle/ar/pootle.po,
	  src/trunk/Pootle/po/pootle/ca/pootle.po,
	  src/trunk/Pootle/po/pootle/de/pootle.po,
	  src/trunk/Pootle/po/pootle/eu/pootle.po,
	  src/trunk/Pootle/po/pootle/fr/pootle.po,
	  src/trunk/Pootle/po/pootle/gl/pootle.po,
	  src/trunk/Pootle/po/pootle/it/pootle.po,
	  src/trunk/Pootle/po/pootle/ja/pootle.po,
	  src/trunk/Pootle/po/pootle/mt/pootle.po,
	  src/trunk/Pootle/po/pootle/pt/pootle.po,
	  src/trunk/Pootle/po/pootle/sr/pootle.po,
	  src/trunk/Pootle/po/pootle/sv/pootle.po,
	  src/trunk/Pootle/po/pootle/zh_CN/pootle.po,
	  src/trunk/Pootle/po/pootle/zh_HK/pootle.po: Translation updates
	  from pootle.wordforge.org: mainly ar, de, sr and incorrect type
	  comments (fixed manually)

2006-08-24 09:33  friedelwolff

	* src/trunk/Pootle/projects.py: Remove TODO that is already done

2006-08-23 13:02  friedelwolff

	* src/trunk/pootlesetup.py: add tools/updatetm as a script to be
	  installed

2006-08-23 11:06  friedelwolff

	* src/trunk/Pootle/__version__.py: Version 0.10rc4

2006-08-22 18:03  friedelwolff

	* src/trunk/Pootle/indexpage.py,
	  src/trunk/Pootle/templates/about.html,
	  src/trunk/Pootle/templates/index.html: Supply meta tags for
	  description and keywords on about page and index(/) page

2006-08-22 12:41  friedelwolff

	* src/trunk/Pootle/tools/updatetm.py: Typo in help text of
	  commandline option

2006-08-21 12:53  friedelwolff

	* src/trunk/Pootle/filelocations.py: Remove #! - it isn't a script

2006-08-21 12:30  friedelwolff

	* src/trunk/Pootle/html/pootle.css,
	  src/trunk/Pootle/templates/adminlanguages.html,
	  src/trunk/Pootle/templates/adminprojects.html,
	  src/trunk/Pootle/templates/adminusers.html,
	  src/trunk/translate/misc/test_zipfileext.py: Remove some
	  executable properties and #! where it isn't a script

2006-08-21 10:45  friedelwolff

	* src/trunk/Pootle/test_client.py: Fix tests to work with new
	  layout of KDE comments, and correct output of suggestion string
	  (suggested by testuser\n

2006-08-21 10:14  friedelwolff

	* src/trunk/Pootle/README: Mention cvs and svn clients under
	  requirements

2006-08-21 08:57  friedelwolff

	* src/trunk/Pootle/pootle.prefs: Add terminology project to default
	  preferences

2006-08-21 08:53  friedelwolff

	* src/trunk/Pootle/po/terminology/am/pootle-terminology-am.prefs,
	  src/trunk/Pootle/po/terminology/ar/pootle-terminology-ar.prefs,
	  src/trunk/Pootle/po/terminology/az/pootle-terminology-az.prefs,
	  src/trunk/Pootle/po/terminology/ca/pootle-terminology-ca.prefs,
	  src/trunk/Pootle/po/terminology/cs/pootle-terminology-cs.prefs,
	  src/trunk/Pootle/po/terminology/da/pootle-terminology-da.prefs,
	  src/trunk/Pootle/po/terminology/eo/pootle-terminology-eo.prefs,
	  src/trunk/Pootle/po/terminology/es/pootle-terminology-es.prefs,
	  src/trunk/Pootle/po/terminology/eu/pootle-terminology-eu.prefs,
	  src/trunk/Pootle/po/terminology/fa/pootle-terminology-fa.prefs,
	  src/trunk/Pootle/po/terminology/fr/pootle-terminology-fr.prefs,
	  src/trunk/Pootle/po/terminology/hi/pootle-terminology-hi.prefs,
	  src/trunk/Pootle/po/terminology/hu/pootle-terminology-hu.prefs,
	  src/trunk/Pootle/po/terminology/it/pootle-terminology-it.prefs,
	  src/trunk/Pootle/po/terminology/ja/pootle-terminology-ja.prefs,
	  src/trunk/Pootle/po/terminology/kn/pootle-terminology-kn.prefs,
	  src/trunk/Pootle/po/terminology/ku/pootle-terminology-ku.prefs,
	  src/trunk/Pootle/po/terminology/mk/pootle-terminology-mk.prefs,
	  src/trunk/Pootle/po/terminology/mr/pootle-terminology-mr.prefs,
	  src/trunk/Pootle/po/terminology/ms/pootle-terminology-ms.prefs,
	  src/trunk/Pootle/po/terminology/nb/pootle-terminology-nb.prefs,
	  src/trunk/Pootle/po/terminology/nl/pootle-terminology-nl.prefs,
	  src/trunk/Pootle/po/terminology/nn/pootle-terminology-nn.prefs,
	  src/trunk/Pootle/po/terminology/pa/pootle-terminology-pa.prefs,
	  src/trunk/Pootle/po/terminology/pl/pootle-terminology-pl.prefs,
	  src/trunk/Pootle/po/terminology/pt/pootle-terminology-pt.prefs,
	  src/trunk/Pootle/po/terminology/pt_BR/pootle-terminology-pt_BR.prefs,
	  src/trunk/Pootle/po/terminology/rw/pootle-terminology-rw.prefs,
	  src/trunk/Pootle/po/terminology/sk/pootle-terminology-sk.prefs,
	  src/trunk/Pootle/po/terminology/sq/pootle-terminology-sq.prefs,
	  src/trunk/Pootle/po/terminology/sv/pootle-terminology-sv.prefs,
	  src/trunk/Pootle/po/terminology/th/pootle-terminology-th.prefs,
	  src/trunk/Pootle/po/terminology/uk/pootle-terminology-uk.prefs,
	  src/trunk/Pootle/po/terminology/vi/pootle-terminology-vi.prefs,
	  src/trunk/Pootle/po/terminology/wa/pootle-terminology-wa.prefs,
	  src/trunk/Pootle/po/terminology/zh_CN/pootle-terminology-zh_CN.prefs,
	  src/trunk/Pootle/po/terminology/zh_HK/pootle-terminology-zh_HK.prefs,
	  src/trunk/Pootle/po/terminology/zh_TW/pootle-terminology-zh_TW.prefs:
	  Add default .prefs file for all terminology projects that only
	  allow viewing

2006-08-21 08:21  friedelwolff

	* src/trunk/Pootle/po/terminology,
	  src/trunk/Pootle/po/terminology/am,
	  src/trunk/Pootle/po/terminology/am/gnome,
	  src/trunk/Pootle/po/terminology/am/gnome/am.po,
	  src/trunk/Pootle/po/terminology/ar,
	  src/trunk/Pootle/po/terminology/ar/gnome,
	  src/trunk/Pootle/po/terminology/ar/gnome/ar.po,
	  src/trunk/Pootle/po/terminology/az,
	  src/trunk/Pootle/po/terminology/az/gnome,
	  src/trunk/Pootle/po/terminology/az/gnome/az.po,
	  src/trunk/Pootle/po/terminology/ca,
	  src/trunk/Pootle/po/terminology/ca/gnome,
	  src/trunk/Pootle/po/terminology/ca/gnome/ca.po,
	  src/trunk/Pootle/po/terminology/cs,
	  src/trunk/Pootle/po/terminology/cs/gnome,
	  src/trunk/Pootle/po/terminology/cs/gnome/cs.po,
	  src/trunk/Pootle/po/terminology/da,
	  src/trunk/Pootle/po/terminology/da/gnome,
	  src/trunk/Pootle/po/terminology/da/gnome/da.po,
	  src/trunk/Pootle/po/terminology/eo,
	  src/trunk/Pootle/po/terminology/eo/gnome,
	  src/trunk/Pootle/po/terminology/eo/gnome/eo.po,
	  src/trunk/Pootle/po/terminology/es,
	  src/trunk/Pootle/po/terminology/es/gnome,
	  src/trunk/Pootle/po/terminology/es/gnome/es.po,
	  src/trunk/Pootle/po/terminology/eu,
	  src/trunk/Pootle/po/terminology/eu/gnome,
	  src/trunk/Pootle/po/terminology/eu/gnome/eu.po,
	  src/trunk/Pootle/po/terminology/fa,
	  src/trunk/Pootle/po/terminology/fa/gnome,
	  src/trunk/Pootle/po/terminology/fa/gnome/fa.po,
	  src/trunk/Pootle/po/terminology/fr,
	  src/trunk/Pootle/po/terminology/fr/gnome,
	  src/trunk/Pootle/po/terminology/fr/gnome/fr.po,
	  src/trunk/Pootle/po/terminology/hi,
	  src/trunk/Pootle/po/terminology/hi/gnome,
	  src/trunk/Pootle/po/terminology/hi/gnome/hi.po,
	  src/trunk/Pootle/po/terminology/hu,
	  src/trunk/Pootle/po/terminology/hu/gnome,
	  src/trunk/Pootle/po/terminology/hu/gnome/hu.po,
	  src/trunk/Pootle/po/terminology/it,
	  src/trunk/Pootle/po/terminology/it/gnome,
	  src/trunk/Pootle/po/terminology/it/gnome/it.po,
	  src/trunk/Pootle/po/terminology/ja,
	  src/trunk/Pootle/po/terminology/ja/gnome,
	  src/trunk/Pootle/po/terminology/ja/gnome/ja.po,
	  src/trunk/Pootle/po/terminology/kn,
	  src/trunk/Pootle/po/terminology/kn/gnome,
	  src/trunk/Pootle/po/terminology/kn/gnome/kn.po,
	  src/trunk/Pootle/po/terminology/ku,
	  src/trunk/Pootle/po/terminology/ku/gnome,
	  src/trunk/Pootle/po/terminology/ku/gnome/ku.po,
	  src/trunk/Pootle/po/terminology/mk,
	  src/trunk/Pootle/po/terminology/mk/gnome,
	  src/trunk/Pootle/po/terminology/mk/gnome/mk.po,
	  src/trunk/Pootle/po/terminology/mr,
	  src/trunk/Pootle/po/terminology/mr/gnome,
	  src/trunk/Pootle/po/terminology/mr/gnome/mr.po,
	  src/trunk/Pootle/po/terminology/ms,
	  src/trunk/Pootle/po/terminology/ms/gnome,
	  src/trunk/Pootle/po/terminology/ms/gnome/ms.po,
	  src/trunk/Pootle/po/terminology/nb,
	  src/trunk/Pootle/po/terminology/nb/gnome,
	  src/trunk/Pootle/po/terminology/nb/gnome/nb.po,
	  src/trunk/Pootle/po/terminology/nl,
	  src/trunk/Pootle/po/terminology/nl/gnome,
	  src/trunk/Pootle/po/terminology/nl/gnome/nl.po,
	  src/trunk/Pootle/po/terminology/nn,
	  src/trunk/Pootle/po/terminology/nn/gnome,
	  src/trunk/Pootle/po/terminology/nn/gnome/nn.po,
	  src/trunk/Pootle/po/terminology/pa,
	  src/trunk/Pootle/po/terminology/pa/gnome,
	  src/trunk/Pootle/po/terminology/pa/gnome/pa.po,
	  src/trunk/Pootle/po/terminology/pl,
	  src/trunk/Pootle/po/terminology/pl/gnome,
	  src/trunk/Pootle/po/terminology/pl/gnome/pl.po,
	  src/trunk/Pootle/po/terminology/pt,
	  src/trunk/Pootle/po/terminology/pt/gnome,
	  src/trunk/Pootle/po/terminology/pt/gnome/pt.po,
	  src/trunk/Pootle/po/terminology/pt_BR,
	  src/trunk/Pootle/po/terminology/pt_BR/gnome,
	  src/trunk/Pootle/po/terminology/pt_BR/gnome/pt_BR.po,
	  src/trunk/Pootle/po/terminology/rw,
	  src/trunk/Pootle/po/terminology/rw/gnome,
	  src/trunk/Pootle/po/terminology/rw/gnome/rw.po,
	  src/trunk/Pootle/po/terminology/sk,
	  src/trunk/Pootle/po/terminology/sk/gnome,
	  src/trunk/Pootle/po/terminology/sk/gnome/sk.po,
	  src/trunk/Pootle/po/terminology/sq,
	  src/trunk/Pootle/po/terminology/sq/gnome,
	  src/trunk/Pootle/po/terminology/sq/gnome/sq.po,
	  src/trunk/Pootle/po/terminology/sv,
	  src/trunk/Pootle/po/terminology/sv/gnome,
	  src/trunk/Pootle/po/terminology/sv/gnome/sv.po,
	  src/trunk/Pootle/po/terminology/th,
	  src/trunk/Pootle/po/terminology/th/gnome,
	  src/trunk/Pootle/po/terminology/th/gnome/th.po,
	  src/trunk/Pootle/po/terminology/uk,
	  src/trunk/Pootle/po/terminology/uk/gnome,
	  src/trunk/Pootle/po/terminology/uk/gnome/uk.po,
	  src/trunk/Pootle/po/terminology/vi,
	  src/trunk/Pootle/po/terminology/vi/gnome,
	  src/trunk/Pootle/po/terminology/vi/gnome/vi.po,
	  src/trunk/Pootle/po/terminology/wa,
	  src/trunk/Pootle/po/terminology/wa/gnome,
	  src/trunk/Pootle/po/terminology/wa/gnome/wa.po,
	  src/trunk/Pootle/po/terminology/zh_CN,
	  src/trunk/Pootle/po/terminology/zh_CN/gnome,
	  src/trunk/Pootle/po/terminology/zh_CN/gnome/zh_CN.po,
	  src/trunk/Pootle/po/terminology/zh_HK,
	  src/trunk/Pootle/po/terminology/zh_HK/gnome,
	  src/trunk/Pootle/po/terminology/zh_HK/gnome/zh_HK.po,
	  src/trunk/Pootle/po/terminology/zh_TW,
	  src/trunk/Pootle/po/terminology/zh_TW/gnome,
	  src/trunk/Pootle/po/terminology/zh_TW/gnome/zh_TW.po: terminology
	  project, currently only with the gnome glossaries without
	  encoding problems

2006-08-19 16:06  friedelwolff

	* src/trunk/Pootle/po, src/trunk/Pootle/po/pootle,
	  src/trunk/Pootle/po/pootle/af,
	  src/trunk/Pootle/po/pootle/af/jToolkit.po,
	  src/trunk/Pootle/po/pootle/af/pootle.po,
	  src/trunk/Pootle/po/pootle/aka,
	  src/trunk/Pootle/po/pootle/aka/jToolkit.po,
	  src/trunk/Pootle/po/pootle/aka/pootle.po,
	  src/trunk/Pootle/po/pootle/am,
	  src/trunk/Pootle/po/pootle/am/jToolkit.po,
	  src/trunk/Pootle/po/pootle/am/pootle.po,
	  src/trunk/Pootle/po/pootle/ar,
	  src/trunk/Pootle/po/pootle/ar/jToolkit.po,
	  src/trunk/Pootle/po/pootle/ar/pootle.po,
	  src/trunk/Pootle/po/pootle/bn,
	  src/trunk/Pootle/po/pootle/bn/jToolkit.po,
	  src/trunk/Pootle/po/pootle/bn/pootle.po,
	  src/trunk/Pootle/po/pootle/ca,
	  src/trunk/Pootle/po/pootle/ca/jToolkit.po,
	  src/trunk/Pootle/po/pootle/ca/pootle.po,
	  src/trunk/Pootle/po/pootle/da,
	  src/trunk/Pootle/po/pootle/da/jToolkit.po,
	  src/trunk/Pootle/po/pootle/da/pootle.po,
	  src/trunk/Pootle/po/pootle/de,
	  src/trunk/Pootle/po/pootle/de/jToolkit.po,
	  src/trunk/Pootle/po/pootle/de/pootle.po,
	  src/trunk/Pootle/po/pootle/el,
	  src/trunk/Pootle/po/pootle/el/jToolkit.po,
	  src/trunk/Pootle/po/pootle/el/pootle.po,
	  src/trunk/Pootle/po/pootle/en,
	  src/trunk/Pootle/po/pootle/en/jToolkit.po,
	  src/trunk/Pootle/po/pootle/en/pootle.po,
	  src/trunk/Pootle/po/pootle/en_ZA,
	  src/trunk/Pootle/po/pootle/en_ZA/jToolkit.po,
	  src/trunk/Pootle/po/pootle/en_ZA/pootle.po,
	  src/trunk/Pootle/po/pootle/es,
	  src/trunk/Pootle/po/pootle/es/jToolkit.po,
	  src/trunk/Pootle/po/pootle/es/pootle.po,
	  src/trunk/Pootle/po/pootle/et,
	  src/trunk/Pootle/po/pootle/et/jToolkit.po,
	  src/trunk/Pootle/po/pootle/et/pootle.po,
	  src/trunk/Pootle/po/pootle/eu,
	  src/trunk/Pootle/po/pootle/eu/jToolkit.po,
	  src/trunk/Pootle/po/pootle/eu/pootle.po,
	  src/trunk/Pootle/po/pootle/fa,
	  src/trunk/Pootle/po/pootle/fa/jToolkit.po,
	  src/trunk/Pootle/po/pootle/fa/pootle.po,
	  src/trunk/Pootle/po/pootle/fi,
	  src/trunk/Pootle/po/pootle/fi/jToolkit.po,
	  src/trunk/Pootle/po/pootle/fi/pootle.po,
	  src/trunk/Pootle/po/pootle/fr,
	  src/trunk/Pootle/po/pootle/fr/jToolkit.po,
	  src/trunk/Pootle/po/pootle/fr/pootle.po,
	  src/trunk/Pootle/po/pootle/fur,
	  src/trunk/Pootle/po/pootle/fur/jToolkit.po,
	  src/trunk/Pootle/po/pootle/fur/pootle.po,
	  src/trunk/Pootle/po/pootle/gl,
	  src/trunk/Pootle/po/pootle/gl/jToolkit.po,
	  src/trunk/Pootle/po/pootle/gl/pootle.po,
	  src/trunk/Pootle/po/pootle/he,
	  src/trunk/Pootle/po/pootle/he/jToolkit.po,
	  src/trunk/Pootle/po/pootle/he/pootle.po,
	  src/trunk/Pootle/po/pootle/hi,
	  src/trunk/Pootle/po/pootle/hi/jToolkit.po,
	  src/trunk/Pootle/po/pootle/hi/pootle.po,
	  src/trunk/Pootle/po/pootle/hr,
	  src/trunk/Pootle/po/pootle/hr/jToolkit.po,
	  src/trunk/Pootle/po/pootle/hr/pootle.po,
	  src/trunk/Pootle/po/pootle/hu,
	  src/trunk/Pootle/po/pootle/hu/jToolkit.po,
	  src/trunk/Pootle/po/pootle/hu/pootle.po,
	  src/trunk/Pootle/po/pootle/is,
	  src/trunk/Pootle/po/pootle/is/jToolkit.po,
	  src/trunk/Pootle/po/pootle/is/pootle.po,
	  src/trunk/Pootle/po/pootle/it,
	  src/trunk/Pootle/po/pootle/it/jToolkit.po,
	  src/trunk/Pootle/po/pootle/it/pootle.po,
	  src/trunk/Pootle/po/pootle/ja,
	  src/trunk/Pootle/po/pootle/ja/jToolkit.po,
	  src/trunk/Pootle/po/pootle/ja/pootle.po,
	  src/trunk/Pootle/po/pootle/ka,
	  src/trunk/Pootle/po/pootle/ka/jToolkit.po,
	  src/trunk/Pootle/po/pootle/ka/pootle.po,
	  src/trunk/Pootle/po/pootle/ko,
	  src/trunk/Pootle/po/pootle/ko/jToolkit.po,
	  src/trunk/Pootle/po/pootle/ko/pootle.po,
	  src/trunk/Pootle/po/pootle/kon,
	  src/trunk/Pootle/po/pootle/kon/jToolkit.po,
	  src/trunk/Pootle/po/pootle/kon/pootle.po,
	  src/trunk/Pootle/po/pootle/ku,
	  src/trunk/Pootle/po/pootle/ku/jToolkit.po,
	  src/trunk/Pootle/po/pootle/ku/pootle.po,
	  src/trunk/Pootle/po/pootle/lt,
	  src/trunk/Pootle/po/pootle/lt/jToolkit.po,
	  src/trunk/Pootle/po/pootle/lt/pootle.po,
	  src/trunk/Pootle/po/pootle/lv,
	  src/trunk/Pootle/po/pootle/lv/jToolkit.po,
	  src/trunk/Pootle/po/pootle/lv/pootle.po,
	  src/trunk/Pootle/po/pootle/mr,
	  src/trunk/Pootle/po/pootle/mr/jToolkit.po,
	  src/trunk/Pootle/po/pootle/mr/pootle.po,
	  src/trunk/Pootle/po/pootle/ms,
	  src/trunk/Pootle/po/pootle/ms/jToolkit.po,
	  src/trunk/Pootle/po/pootle/ms/pootle.po,
	  src/trunk/Pootle/po/pootle/mt,
	  src/trunk/Pootle/po/pootle/mt/jToolkit.po,
	  src/trunk/Pootle/po/pootle/mt/pootle.po,
	  src/trunk/Pootle/po/pootle/nb,
	  src/trunk/Pootle/po/pootle/nb/jToolkit.po,
	  src/trunk/Pootle/po/pootle/nb/pootle.po,
	  src/trunk/Pootle/po/pootle/ne,
	  src/trunk/Pootle/po/pootle/ne/jToolkit.po,
	  src/trunk/Pootle/po/pootle/ne/pootle.po,
	  src/trunk/Pootle/po/pootle/nl,
	  src/trunk/Pootle/po/pootle/nl/jToolkit.po,
	  src/trunk/Pootle/po/pootle/nl/pootle.po,
	  src/trunk/Pootle/po/pootle/no,
	  src/trunk/Pootle/po/pootle/no/jToolkit.po,
	  src/trunk/Pootle/po/pootle/no/pootle.po,
	  src/trunk/Pootle/po/pootle/ns,
	  src/trunk/Pootle/po/pootle/ns/jToolkit.po,
	  src/trunk/Pootle/po/pootle/ns/pootle.po,
	  src/trunk/Pootle/po/pootle/pa,
	  src/trunk/Pootle/po/pootle/pa/jToolkit.po,
	  src/trunk/Pootle/po/pootle/pa/pootle.po,
	  src/trunk/Pootle/po/pootle/pl,
	  src/trunk/Pootle/po/pootle/pl/jToolkit.po,
	  src/trunk/Pootle/po/pootle/pl/pootle.po,
	  src/trunk/Pootle/po/pootle/pt,
	  src/trunk/Pootle/po/pootle/pt/jToolkit.po,
	  src/trunk/Pootle/po/pootle/pt/pootle.po,
	  src/trunk/Pootle/po/pootle/ru,
	  src/trunk/Pootle/po/pootle/ru/jToolkit.po,
	  src/trunk/Pootle/po/pootle/ru/pootle.po,
	  src/trunk/Pootle/po/pootle/sl,
	  src/trunk/Pootle/po/pootle/sl/jToolkit.po,
	  src/trunk/Pootle/po/pootle/sl/pootle.po,
	  src/trunk/Pootle/po/pootle/sr,
	  src/trunk/Pootle/po/pootle/sr/jToolkit.po,
	  src/trunk/Pootle/po/pootle/sr/pootle.po,
	  src/trunk/Pootle/po/pootle/st,
	  src/trunk/Pootle/po/pootle/st/jToolkit.po,
	  src/trunk/Pootle/po/pootle/st/pootle.po,
	  src/trunk/Pootle/po/pootle/sv,
	  src/trunk/Pootle/po/pootle/sv/jToolkit.po,
	  src/trunk/Pootle/po/pootle/sv/pootle.po,
	  src/trunk/Pootle/po/pootle/templates,
	  src/trunk/Pootle/po/pootle/templates/jToolkit.pot,
	  src/trunk/Pootle/po/pootle/templates/pootle.pot,
	  src/trunk/Pootle/po/pootle/tr,
	  src/trunk/Pootle/po/pootle/tr/jToolkit.po,
	  src/trunk/Pootle/po/pootle/tr/pootle.po,
	  src/trunk/Pootle/po/pootle/uk,
	  src/trunk/Pootle/po/pootle/uk/jToolkit.po,
	  src/trunk/Pootle/po/pootle/uk/pootle.po,
	  src/trunk/Pootle/po/pootle/ve,
	  src/trunk/Pootle/po/pootle/ve/jToolkit.po,
	  src/trunk/Pootle/po/pootle/ve/pootle.po,
	  src/trunk/Pootle/po/pootle/vi,
	  src/trunk/Pootle/po/pootle/vi/jToolkit.po,
	  src/trunk/Pootle/po/pootle/vi/pootle.po,
	  src/trunk/Pootle/po/pootle/xh,
	  src/trunk/Pootle/po/pootle/xh/jToolkit.po,
	  src/trunk/Pootle/po/pootle/xh/pootle.po,
	  src/trunk/Pootle/po/pootle/zh_CN,
	  src/trunk/Pootle/po/pootle/zh_CN/jToolkit.po,
	  src/trunk/Pootle/po/pootle/zh_CN/pootle.po,
	  src/trunk/Pootle/po/pootle/zh_HK,
	  src/trunk/Pootle/po/pootle/zh_HK/jToolkit.po,
	  src/trunk/Pootle/po/pootle/zh_HK/pootle.po,
	  src/trunk/Pootle/po/pootle/zu,
	  src/trunk/Pootle/po/pootle/zu/jToolkit.po,
	  src/trunk/Pootle/po/pootle/zu/pootle.po: Add all the translations
	  and templates for pootle and jToolkit from pootle.wordforge.org

2006-08-19 13:47  friedelwolff

	* src/trunk/pootlesetup.py: [forwardport] merge from
	  wordforge-0-9-branch -r2816:3281. Include po/ and po/pootle/ for
	  approved languages

2006-08-19 08:17  friedelwolff

	* src/trunk/Pootle/html/doc/howto.html: Use relative links instead
	  of hard links to pootle.wordforge.org

2006-08-17 12:03  gintautasm

	* src/trunk, trunk: Moved trunk (3/3).

2006-08-17 10:38  friedelwolff

	* projects.py: Pass the original po file to pot2po. This minimises
	  the difference with the final po and uses the new fuzzy matching.

2006-08-17 08:04  friedelwolff

	* templates/error.html: Templatepage for displaying errors. Can
	  behave like redirect page, but also has explicit back button

2006-08-16 16:10  friedelwolff

	* __version__.py, trunk/translate/__version__.py: Version 0.10rc3

2006-08-16 13:45  friedelwolff

	* users.py: Trap exceptions and display a neat error page. This
	  does not trap kid errors that can occur, though.

2006-08-16 13:32  friedelwolff

	* pootle.py: Store optparse options in PootleServer

2006-08-16 13:31  friedelwolff

	* pootle.py: Remove misleading comment

2006-08-16 09:36  friedelwolff

	* templates/fileindex.html, templates/language.html,
	  templates/project.html: Use description in title for percentage
	  columns in stats view

2006-08-15 15:51  friedelwolff

	* pootlefile.py: Add real KDE comments with trailing newline

2006-08-14 08:35  friedelwolff

	* pootle.prefs: Fix brackets for the plural equation of Maltese

2006-08-14 07:24  friedelwolff

	* pootle.prefs: Fix plural equations where 'or' was used instead of
	  '||'

2006-08-14 06:03  friedelwolff

	* indexpage.py, projects.py: Fix statistics for goalles files

2006-08-12 13:31  friedelwolff

	* users.py: Typo in code to add space for extra sentence

2006-08-11 21:56  friedelwolff

	* users.py: Use localised email subject (already used elsewhere)

2006-08-11 21:52  friedelwolff

	* users.py: Use instancetitle instead of repeating the pagetitle
	  (like other pages)

2006-08-11 21:46  friedelwolff

	* pootle.py: Initialse languagenames as before t fix logic error,
	  but retain extra initialisation to compensate for jToolkit
	  overriting it (should be rare)

2006-08-11 21:45  friedelwolff

	* users.py: Use session.localize() instead of self.localize().
	  Internationalise more errors for next version. More of these left
	  todo.

2006-08-11 20:30  friedelwolff

	* __version__.py, trunk/translate/__version__.py: Version 0.10rc2

2006-08-11 14:49  friedelwolff

	* pootle.prefs: [forwardport] Document the 'supportaddress'
	  configuration option

2006-08-11 12:20  friedelwolff

	* potree.py: Remove unnecessary debug message

2006-08-11 12:19  friedelwolff

	* pootle.py: Initialise languagenames later, since jToolkit
	  overrites them otherwise. This fixes the problem of no languages
	  in login page if no default language is set.

2006-08-11 12:14  friedelwolff

	* pootle.py: call localize of the session, not the server. Fix
	  untranslated 'Login failed'

2006-08-11 12:13  friedelwolff

	* pootle.py: Initialise the language for the session from the
	  browsers Accept-language: directive

2006-08-11 12:09  friedelwolff

	* users.py: with setlanguage(None) only change .language if it
	  doesn't already have a value

2006-08-11 12:08  friedelwolff

	* users.py: Pave the way to have the session language set if the
	  session is not open.

2006-08-11 07:14  friedelwolff

	* indexpage.py: Use complete stats in more cases. Reword. Fixes bug
	  when showing assigns or checks.

2006-08-11 06:53  dwaynebailey

	* html/doc/resources.html: Link to Pootle online docs and
	  Localisation Guide.

2006-08-10 15:57  friedelwolff

	* projects.py: Add don't translate comment for message

2006-08-10 15:53  friedelwolff

	* html/pootle.css: Display updates for Greek (el), Persian (fa),
	  and Vietnamese (vi). Add Tahoma do default fonts

2006-08-10 15:32  friedelwolff

	* projects.py: Receive the session on delrights() for access to
	  localize() function

2006-08-10 15:27  friedelwolff

	* pootle.py: [backport] Hack to ensure we always have unicode
	  arguments (should be in jToolkit)

2006-08-10 15:19  friedelwolff

	* adminpages.py: Pass the session to project.delrights() for access
	  to localize() function

2006-08-10 15:11  friedelwolff

	* html/robots.txt: Remove static robots.txt since we now generate
	  it dynamically in the code

2006-08-10 14:20  friedelwolff

	* projects.py, translatepage.py: Robustly handle errors in
	  terminology to enable user to continue, but log complete
	  traceback.

2006-08-10 14:18  friedelwolff

	* tools/updatetm.py: Use new sourcelencmp function for the sake of
	  python 2.3

2006-08-10 13:05  friedelwolff

	* pootle.py: Generate a robots.txt file dynamically for for the
	  languages that are in use

2006-08-08 07:56  friedelwolff

	* translatepage.py: Strip added <br /> at end of displayed message

2006-08-07 10:17  friedelwolff

	* indexpage.py: Update stats of language listing in project

2006-08-07 08:48  friedelwolff

	* indexpage.py, templates/navbar.html: Internationalise 'Select
	  Multiple' in assings form

2006-08-07 07:21  friedelwolff

	* projects.py: Use consistent naming for matcher -> termmatcher

2006-08-05 10:13  dwaynebailey

	* pootle.prefs: Add entries for British and South African English

2006-08-05 00:09  friedelwolff

	* projects.py: (re)fix order of file initialisation. This is
	  necessary because we might need to update the stats files and
	  call getquickstats() before we called scanpofiles

2006-08-04 23:45  friedelwolff

	* projects.py: Correct typo in list comprehension

2006-08-04 23:08  friedelwolff

	* users.py: Two minor improvements to English messages

2006-08-04 21:41  friedelwolff

	* templates/translatepage.html, translatepage.py: Show comments in
	  a tooltip in all view modes

2006-08-04 21:39  friedelwolff

	* projects.py: Display stats summary in commit message

2006-08-04 12:22  friedelwolff

	* html/pootle.css: Add language specific display settings, mostly
	  from http://translate.sourceforge.net/wiki/l10n/displaysettings

2006-08-04 12:21  friedelwolff

	* html/pootle.css: Refactor all font-family declerations

2006-08-04 10:24  friedelwolff

	* translatepage.py: Have the option to strip and interpret escapes
	  rather than showing them. Now used to display comments

2006-08-04 09:37  friedelwolff

	* projects.py: +isterminologyproject(). Remove implementation with
	  muliple matchers with the terminology project as term base

2006-08-04 07:27  friedelwolff

	* pootle.py: Fix serving of .ico properly

2006-08-04 06:43  friedelwolff

	* projects.py: Rework terminology code to store the matcher and its
	  modification time to elimiate unnecessary reconstruction. More
	  work left (see TODO)

2006-08-03 15:53  friedelwolff

	* pootle.py: Enable caching for favicon

2006-08-03 09:28  friedelwolff

	* pootle.prefs: Use native language names in most cases

2006-08-02 15:52  friedelwolff

	* pootle.py: Mandate new enough version of toolkit

2006-08-02 15:51  friedelwolff

	* __version__.py, trunk/translate/__version__.py: Version 0.10rc1

2006-08-02 15:50  friedelwolff

	* pootle.prefs, users.prefs: [forwardport] Updates for
	  configuration files from 0.9 branch

2006-08-02 15:34  friedelwolff

	* README: Add more information about external packages and debian
	  (Cecilia Saltori)

2006-08-02 14:30  friedelwolff

	* templates/fileindex.html, templates/translatepage.html: Make
	  search field smaller (narrower)

2006-08-02 14:10  friedelwolff

	* projects.py: Fix bug with uninitialised stats

2006-08-02 08:34  friedelwolff

	* README: [fowardport] Updates from 0.9 branch

2006-08-01 20:19  friedelwolff

	* indexpage.py: Localisation note about 'Checks'

2006-08-01 19:56  friedelwolff

	* projects.py: Tweak initialisation codes regarding quick stats

2006-08-01 19:55  friedelwolff

	* indexpage.py: Don't use quick stats for editing interface

2006-08-01 10:39  friedelwolff

	* users.py: Add full stops to messages that are complete sentences

2006-08-01 10:27  friedelwolff

	* users.py: Internationalise the activation email and some error
	  messages

2006-08-01 10:09  friedelwolff

	* indexpage.py: Remove two messages for translation. Add
	  localisation comments

2006-08-01 10:00  friedelwolff

	* adminpages.py: Provide localisation notes

2006-08-01 09:46  friedelwolff

	* indexpage.py, pagelayout.py, pootlefile.py, projects.py: Store
	  and get fuzzy stats from quickstats. Use quickstats again.

2006-07-28 08:53  friedelwolff

	* pootle.py: Make sure we run if psyco is not installed

2006-07-28 07:23  friedelwolff

	* __version__.py, trunk/translate/__version__.py: version 0.10beta3

2006-07-28 07:05  friedelwolff

	* templates/home.html: Don't loop twice through languages

2006-07-28 06:56  friedelwolff

	* translatepage.py: Factor out fancy spaces, escape comments
	  without showing fancy spaces. This fixes a bug with xml tags in
	  comments

2006-07-27 15:15  friedelwolff

	* translatepage.py: Annotate translation text with comments

2006-07-27 13:05  friedelwolff

	* pootlefile.py: Search in sourceindex using the singular msgid
	  only, to avoid problems with multistrings from PO xliff

2006-07-27 12:05  friedelwolff

	* pootlefile.py: Fix the case where there are no plurals or not
	  enough plurals in msgstr

2006-07-27 11:45  friedelwolff

	* indexpage.py, pootlefile.py, projects.py: Implement XLIFF
	  uploading. Renaming of some pofile -> file, etc.

2006-07-27 11:43  friedelwolff

	* test_client.py: Test xliff upload

2006-07-26 12:51  friedelwolff

	* pootlefile.py: Update with comments

2006-07-25 20:14  dwaynebailey

	* pootle.py: Add psyco to Pootle.

2006-07-25 19:52  dwaynebailey

	* html/pootle.css: Some styling fixes

2006-07-25 19:46  dwaynebailey

	* TODO: Clear up some cruft

2006-07-25 07:19  friedelwolff

	* translatepage.py: Correct end of line logic for view and edit
	  mode. Fix for bug 170

2006-07-24 09:48  friedelwolff

	* __version__.py, trunk/translate/__version__.py: Version up to
	  0.10beta2

2006-07-24 09:18  friedelwolff

	* templates/translatepage.html, translatepage.py: Internationalise
	  the TM and terminology heading (related)

2006-07-21 14:30  friedelwolff

	* translatepage.py: Correct number of rows in view and translate
	  mode. Fix for bug 156

2006-07-20 10:09  friedelwolff

	* templates/navbar.html: Remove duplicate ids for valid xhtml

2006-07-20 09:56  friedelwolff

	* templates/pootlepage.html: Set banner language to Undetermined
	  (und) for valid xhtml

2006-07-20 09:55  friedelwolff

	* templates/fileindex.html, templates/language.html,
	  templates/project.html: Extra right-to-left (rtl) support where
	  inheritence fails

2006-07-20 09:39  friedelwolff

	* templates/fileindex.html, templates/language.html,
	  templates/navbar.html, templates/project.html,
	  templates/translatepage.html: Alt tags for all icons. Move hidden
	  field to avoid duplicate searchform. Better xhtml compliance.

2006-07-20 09:24  friedelwolff

	* html/pootle.css: Fix a few non-standard compliant values. Now
	  valid CSS.

2006-07-20 08:53  friedelwolff

	* projects.py, translatepage.py: Display terminology from a file
	  called pootle-terminology.po

2006-07-19 15:24  friedelwolff

	* pootle.py, templates/login.html, users.py: Support introtext on
	  login page, use for failed login, show introtext for register
	  page

2006-07-19 14:13  friedelwolff

	* templates/fileindex.html, templates/navbar.html,
	  templates/pootlepage.html, templates/translatepage.html: Extra
	  right-to-left (rtl) support where inheritence fails

2006-07-19 14:09  friedelwolff

	* html/pootle.css: Styling information to support right-to-left
	  (rtl)

2006-07-19 09:06  friedelwolff

	* tools/updatetm.py, trunk/translate/search/match.py,
	  trunk/translate/search/test_match.py,
	  trunk/translate/services/lookupservice.py: Adapt matcher to
	  return real units rather tuples, adapt users

2006-07-18 21:20  dwaynebailey

	* indexpage.py, pootle.py: Add version info for kid and elementree
	  to the about page of Pootle and to
	  the --version option of PootleServer.

2006-07-18 11:39  dwaynebailey

	* html/js/sorttable.js: Add the ability to correctly paint odd and
	  even lines after sorting. Its
	  currently hackish and should be made more generic. Plus it
	  suffers from
	  screen flicker which should be fixed.

2006-07-18 09:27  friedelwolff

	* CREDITS: Add some contributors

2006-07-18 08:37  friedelwolff

	* adminpages.py: Add l10n note

2006-07-18 08:20  friedelwolff

	* pagelayout.py: Also use right-to-left (rtl) for Yiddish

2006-07-17 20:45  friedelwolff

	* templates/about.html, templates/activate.html,
	  templates/adminindex.html, templates/adminlanguages.html,
	  templates/adminprojects.html, templates/adminusers.html,
	  templates/fileindex.html, templates/home.html,
	  templates/index.html, templates/language.html,
	  templates/languages.html, templates/login.html,
	  templates/options.html, templates/pootlepage.html,
	  templates/project.html, templates/projectadmin.html,
	  templates/projectlangadmin.html, templates/projects.html,
	  templates/redirect.html, templates/register.html,
	  templates/translatepage.html: Support for right-to-left (rtl)
	  layout

2006-07-17 07:00  friedelwolff

	* projects.py: [forwardport] Don't print search text to console (to
	  avoid encoding problems)

2006-07-17 06:17  friedelwolff

	* pagelayout.py, translatepage.py: Send language and directionality
	  to templates for rtl support

2006-07-12 14:11  friedelwolff

	* translatepage.py: Deal with the case where no plural information
	  is available

2006-07-11 20:01  friedelwolff

	* __version__.py, trunk/translate/__version__.py: Version 0.10beta
	  (for testing)

2006-07-10 14:21  friedelwolff

	* html/pootle.css: Show gray left border on fuzzy messages

2006-07-10 14:17  friedelwolff

	* html/pootle.css, templates/translatepage.html: Restyle action
	  link (now reflowing of text necessary)

2006-07-10 14:13  friedelwolff

	* tools/updatetm, tools/updatetm.py: Tool to generate and update
	  translation memory files for Pootle

2006-07-10 13:56  friedelwolff

	* tools, tools/__init__.py: Tools to be used with Pootle

2006-07-10 13:51  friedelwolff

	* pootle.py: Import kid, so we know if it is not installed

2006-07-07 12:07  friedelwolff

	* translatepage.py: Remove slightly incorrect comment

2006-07-07 11:57  friedelwolff

	* html/pootle.css, translatepage.py: Show very visible fancy
	  spaces.
	  * More than one consecutive space
	  * Space at beginning of message or after newline
	  * Space at end of message

2006-07-06 15:44  friedelwolff

	* templates/adminlanguages.html, templates/adminprojects.html,
	  templates/adminusers.html: Improve layout of admin pages.
	  This improves the layout problem caused by the empty cell in the
	  last row
	  (the row where a new entry can be entered). A better solution
	  might still
	  be needed.

2006-07-05 09:23  friedelwolff

	* translatepage.py: Always show correct number of plurals

2006-07-04 14:56  friedelwolff

	* templates/translatepage.html, translatepage.py: Only edit on
	  double click if allowed to

2006-07-04 14:54  friedelwolff

	* translatepage.py: Show TM when viewing unit after search

2006-07-04 14:46  friedelwolff

	* html/pootle.css: Make navigation bar big enough to always enclose
	  search box

2006-07-04 12:29  friedelwolff

	* html/pootle.css, templates/fileindex.html: Improve layout of file
	  upload

2006-07-04 12:27  friedelwolff

	* html/pootle.css, templates/translatepage.html: Improve layout of
	  translatepage, particularly with high zoom levels and/or long
	  strings without spaces (like URLs). Reported by Clytie Siddall

2006-07-04 06:41  friedelwolff

	* pootle.py: Disable client/proxy caching of generated files

2006-07-03 13:06  friedelwolff

	* templates/translatepage.html: Display TM-suggestion comments.
	  Edit unit on double click

2006-07-03 09:56  friedelwolff

	* html/js/autoexpand.js: Display edit link for longer

2006-07-02 19:38  dwaynebailey

	* storage: Remove 'pootle-api' files accidently commited to HEAD.

2006-06-30 14:31  gintautasm

	* storage, storage/__init__.py, storage/api.py, storage/memory.py,
	  storage/test_memory.py: - Added the Pootle backend API
	  declarations.
	  - Added a proof-of-concept nonpersistent implementation for the
	  proposed API.
	  By the way, this can be easily made persistent by using pickle.
	  - Added some tests for the sample implementation. They are far
	  from exhaustive,
	  but touch some areas to weed out the worst of the bugs.

2006-06-30 08:05  friedelwolff

	* html/pootle.css: Only underline real hyperlinks, fix pseudo
	  classes order, fix typo

2006-06-28 15:18  friedelwolff

	* templates/translatepage.html: Remove debugging JavaScript at tm

2006-06-28 15:16  friedelwolff

	* templates/translatepage.html: Go back by means of JavaScript

2006-06-28 13:31  friedelwolff

	* html/pootle.css, templates/pootlepage.html: Move account
	  information (login, register, etc.) to top right, apply styling

2006-06-28 09:15  friedelwolff

	* templates/fileindex.html, templates/pootlepage.html,
	  templates/translatepage.html: Move search form to translatepage
	  and fileindex

2006-06-28 09:14  friedelwolff

	* html/pootle.css: Styling for search form

2006-06-28 02:50  dwaynebailey

	* projects.py, test_pootlefile.py: Remove last remnants of
	  elementclass. The one prevented uploading of files and the other
	  caused a test to fail.

2006-06-27 16:58  dwaynebailey

	* templates/translatepage.html, translatepage.py: Add a back button
	  for review suggestion mode.

2006-06-27 15:44  friedelwolff

	* html/pootle.css: Style information for translation memory, adapt
	  links for uniformity

2006-06-27 15:43  friedelwolff

	* templates/translatepage.html: Display TM if editing

2006-06-27 15:41  friedelwolff

	* translatepage.py: Provide TM information to translatepage
	  template

2006-06-27 15:40  friedelwolff

	* projects.py: Supply tm matches for given item and file

2006-06-27 15:39  friedelwolff

	* pootlefile.py: Support for .po.tm files with pregenerated TM
	  matches

2006-06-27 15:06  dwaynebailey

	* templates/translatepage.html, translatepage.py: Add a back button
	  to allow you to move backwards through the work.
	  Still need to add a back button to review suggestion mode.

2006-06-27 14:17  friedelwolff

	* html/pootle.css: Move links to top righthand corner, adapt banner
	  accordingly

2006-06-26 15:04  friedelwolff

	* templates/translatepage.html: Remove textarea from div to fix
	  javascript. Put buttons in div in case of narrow layout

2006-06-26 14:13  friedelwolff

	* indexpage.py, translatepage.py: Always pass real instance title
	  to template.
	  Use instance title in page titles instead of hardcoded "Pootle".

2006-06-26 12:00  friedelwolff

	* templates/about.html, templates/index.html,
	  templates/languages.html, templates/projects.html: Always use
	  variable pagetitle as title of page

2006-06-26 09:42  friedelwolff

	* html/pootle.css, templates/translatepage.html: Improve layout
	  with comments and plurals

2006-06-26 07:18  friedelwolff

	* templates/translatepage.html: Fix layout bug with original cells

2006-06-23 13:26  friedelwolff

	* html/pootle.css: Visual styling for fuzzy translations

2006-06-23 13:25  friedelwolff

	* templates/translatepage.html, translatepage.py: Support for
	  indicating state (like fuzzy) with CSS class

2006-06-23 10:27  friedelwolff

	* html/pootle.css: Update styling for suggestions and comments

2006-06-23 10:08  friedelwolff

	* templates/translatepage.html, translatepage.py: Add support for
	  displaying comments and locations

2006-06-23 10:05  friedelwolff

	* pagelayout.py: Check that arguments were passed for navigation
	  bar

2006-06-23 10:00  friedelwolff

	* indexpage.py: Don't show link for checks in statistics mode

2006-06-23 09:59  friedelwolff

	* indexpage.py, pagelayout.py: Maintain state more consistently in
	  navigation bar

2006-06-23 09:32  friedelwolff

	* translatepage.py: Maintain editing mode when returning from end
	  of batch

2006-06-22 14:33  friedelwolff

	* templates/translatepage.html: Only shade suggestion, not the
	  heading too

2006-06-22 14:24  friedelwolff

	* html/pootle.css: Don't make focusbox bold, othewise headings
	  don't show clearly

2006-06-22 13:49  friedelwolff

	* html/pootle.css: Add class translate-suggestion to distinguish
	  suggestions

2006-06-22 13:42  friedelwolff

	* templates/translatepage.html: Add accesskey=k for all skip
	  buttons, improve review layout (especially for reviewing plurals)

2006-06-22 12:30  friedelwolff

	* templates/translatepage.html: Replace some spans with divs. +Some
	  HTML comments

2006-06-22 09:56  friedelwolff

	* indexpage.py, pagelayout.py: Keep editing mode when navigating
	  into goals and projects

2006-06-22 09:31  friedelwolff

	* indexpage.py: Fix typos, remain in editing mode after update and
	  commit

2006-06-22 09:31  friedelwolff

	* projects.py: Give a commit message

2006-06-22 08:03  friedelwolff

	* indexpage.py, projects.py: Add support for commiting to version
	  control on new right: commit

2006-06-21 12:18  friedelwolff

	* versioncontrol.py: Add functions for doing CVS and SVN commit

2006-06-21 10:12  friedelwolff

	* versioncontrol.py: Minor improvements to two comments

2006-06-20 14:50  friedelwolff

	* README: Mention PootleServer to run Pootle, rather than running
	  .py file directly

2006-06-20 14:48  friedelwolff

	* pootlefile.py: Make pootlefile work with renaming of elementclass
	  -> unitclass

2006-06-20 08:27  friedelwolff

	* ChangeLog: Update ChangeLog with HEAD entries since 2006-04-26

2006-06-20 08:45  dwaynebailey

	* README: [Forwardport] update dependencies

2006-06-19 09:06  friedelwolff

	* translatepage.py: Fix traceback when searching for nonexisting
	  text

2006-06-19 08:59  friedelwolff

	* templates/pootlepage.html: Add link tags (stylesheet, favicon),
	  Add Content-Type

2006-06-15 16:32  dwaynebailey

	* PootleServer, __init__.py, adminpages.py, benchmark.py,
	  conflict2suggest.py, filelocations.py, indexpage.py,
	  pagelayout.py, pootle.py, pootlefile.py, potree.py, projects.py,
	  translatepage.py, users.py, versioncontrol.py: [Forwardport]
	  Update copyright dates and add missing copyright headers to
	  files.

2006-06-15 16:11  dwaynebailey

	* pootle.py: Makre sure that you have the correct version of
	  Translate Toolkit before you can run PootleServer.  Bump the
	  toolkit build number up.

2006-06-15 09:52  dwaynebailey

	* createpootlepot: Make it clear the Zuza is Translate.org.za

2006-06-15 01:18  dwaynebailey

	* templates/projectadmin.html: [Forwardport] Remove proprietary
	  attribute from select tag

2006-06-15 00:55  dwaynebailey

	* templates/: fileindex.html, language.html, project.html: <script>
	  tags must have a type= attribute

2006-06-14 18:05  friedelwolff

	* adminpages.py, templates/adminusers.html: Fix editing of user
	  admin interface

2006-06-14 15:52  friedelwolff

	* pootle.py: Enable caching for CSS, JS, and images

2006-06-14 00:44  friedelwolff

	* translatepage.py: Another capitalisation fix skip->Skip

2006-06-13 14:49  friedelwolff

	* indexpage.py: Temporary fix for link at multigoal file

2006-06-13 14:21  friedelwolff

	* indexpage.py: Reword "No Goal" -> "Not in a goal"

2006-06-13 13:39  dwaynebailey

	* templates/: fileindex.html, options.html, projectlangadmin.html:
	  [FOrwardport] Remove type= attributes from tags (img, td, etc)

2006-06-13 13:27  dwaynebailey

	* templates/: adminindex.html, adminlanguages.html,
	  adminprojects.html, adminusers.html, language.html, navbar.html,
	  project.html, translatepage.html: [Forwardport] Remove type=
	  attributes from tags (img, td, etc)

2006-06-13 13:06  dwaynebailey

	* templates/login.html: [Forwardport] Remove type= attributes from
	  tags (img, td, etc)

2006-06-13 13:00  dwaynebailey

	* templates/activate.html: [Forwardport] Remove type= attributes
	  from tags (img, td, etc)

2006-06-13 12:56  dwaynebailey

	* templates/register.html: [Forwardport] Remove type= attributes
	  from tags (img, td, etc)

2006-06-13 12:27  dwaynebailey

	* templates/pootlepage.html: [Forwardport] Remove type= attributes
	  from tags (img, td, etc)

2006-06-13 12:15  friedelwolff

	* translatepage.py: Make capitalisation consitent

2006-06-13 11:07  dwaynebailey

	* pagelayout.py, templates/navbar.html: [Forwardport] Change cls ->
	  class

2006-06-13 10:55  dwaynebailey

	* templates/pootlepage.html: [Forwardport] Height is not a valid
	  attribute, change it to a style attribute.

2006-06-13 10:41  dwaynebailey

	* templates/pootlepage.html: [Forwardport] Only show 'logged in
	  as...' if a session is actually open.

2006-06-13 10:14  dwaynebailey

	* indexpage.py, templates/fileindex.html, templates/navbar.html,
	  templates/translatepage.html: [Forwardport] Make all empty tags
	  ie <br>, <img>, etc end in [space]/> remove lonely </img> if not
	  needed.

2006-06-13 08:43  friedelwolff

	* projects.py: Support for non-ascii goalnames

2006-06-12 10:54  friedelwolff

	* potree.py, projects.py: Detect gnu style projects differently

2006-06-09 21:59  friedelwolff

	* test_client.py: Fix unit url passed and expected

2006-06-09 21:57  friedelwolff

	* test_client.py: Adapt tests to new pofile output without the
	  unnecessary newline at the end

2006-06-09 20:02  friedelwolff

	* test_client.py: Fix unit test (a PO header ofsets the part that
	  is tested for)

2006-06-08 14:26  friedelwolff

	* templates/translatepage.html: Don't use HTML comment for
	  JavaScript, lest kid ignores it

2006-06-08 14:16  friedelwolff

	* templates/translatepage.html: Make resizing javascript work again

2006-06-08 12:42  friedelwolff

	* translatepage.py: Decode special characters if necessary

2006-06-08 12:21  friedelwolff

	* templates/translatepage.html: [Forwardport] Show special
	  characters again, make copy button work again

2006-06-05 07:16  friedelwolff

	* pagelayout.py: Internationalise string-statistics

2006-06-05 07:07  friedelwolff

	* templates/register.html: Internationalise one last string

2006-06-02 16:03  friedelwolff

	* createpootlepot: Specify outputfile

2006-06-02 14:18  friedelwolff

	* adminpages.py, templates/adminlanguages.html,
	  templates/adminprojects.html, templates/adminusers.html,
	  templates/projectlangadmin.html: Internationalise admin pages

2006-06-02 13:21  friedelwolff

	* adminpages.py, templates/adminindex.html: Internationalise main
	  admin page

2006-06-02 11:32  friedelwolff

	* pagelayout.py, templates/pootlepage.html: Internationalise side
	  links

2006-06-02 11:20  friedelwolff

	* templates/languages.html: Use localised aboutlink

2006-06-02 10:08  friedelwolff

	* createpootlepot: Create pot file with "l10n" as automatic comment
	  keyword

2006-06-02 09:40  friedelwolff

	* templates/pootlepage.html, pagelayout.py: Resolve banner vs. logo
	  confusion

2006-06-02 09:18  friedelwolff

	* potree.py: Encode special characters before comparison

2006-06-01 20:11  friedelwolff

	* potree.py: Format new language code correctly as la_CO, allow
	  user to enter with dash instead of underscore

2006-06-01 19:13  friedelwolff

	* potree.py: Prefer regional dialect over generic language

2006-06-01 18:45  dwaynebailey

	* pootle.py: [Forwardport] pass through Pootle, jToolkit and
	  Translate Toolkit versions disable logging every internal url
	  load which outputs loads of stuff... [David Fraser]

2006-06-01 17:14  dwaynebailey

	* test_client.py: [Forwardport] from Pootle-loacking branch, fixes
	  for expestec content on Pootle pages.

2006-06-01 17:05  dwaynebailey

	* test_client.py: [Forwardport] Use lowercase HTML tags jsut as KID
	  does.

2006-05-31 16:52  friedelwolff

	* html/pootle.css: make default sizes biger to make a basic line
	  display even if collapsed

2006-05-31 16:19  friedelwolff

	* translatepage.py: Bring back resize buttons

2006-05-31 12:16  friedelwolff

	* translatepage.py: Do proper escaping and unescaping for view and
	  edit mode

2006-05-29 11:15  friedelwolff

	* translatepage.py, templates/translatepage.html: Remove dead code
	  for number of plurals (caused traceback with plurals in view
	  mode)

2006-05-25 16:51  friedelwolff

	* potree.py: Fix not being able to disable MO files

2006-05-25 10:41  friedelwolff

	* adminpages.py, templates/adminprojects.html: Fix display of MO
	  checkbox

2006-05-25 08:33  friedelwolff

	* projects.py: Rename variable correctly to fix version control

2006-05-24 09:48  friedelwolff

	* templates/adminprojects.html: Fix double display of checker
	  styles

2006-05-24 00:36  friedelwolff

	* templates/adminprojects.html: Display selected checkerstyle
	  correctly

2006-05-23 14:11  friedelwolff

	* templates/pootlepage.html: Reorder links

2006-05-23 14:05  friedelwolff

	* templates/pootlepage.html: Change Home->My account Add real home
	  (root of server) Seperate Log In | Register | Activate

2006-05-23 13:14  friedelwolff

	* html/js/correctpng.js, templates/about.html,
	  templates/activate.html, templates/adminindex.html,
	  templates/adminlanguages.html, templates/adminprojects.html,
	  templates/adminusers.html, templates/fileindex.html,
	  templates/home.html, templates/index.html,
	  templates/language.html, templates/languages.html,
	  templates/login.html, templates/navbar.html,
	  templates/options.html, templates/pootlepage.html,
	  templates/project.html, templates/projectadmin.html,
	  templates/projectlangadmin.html, templates/projects.html,
	  templates/redirect.html, templates/register.html,
	  templates/translatepage.html: Fix IE PNG transparency deficiency
	  by including conditional JavaScript only with IE

2006-05-23 12:38  friedelwolff

	* templates/navbar.html: Fix layout bug in Konqueror with
	  untranslated and fuzzy graphs showing even if zero

2006-05-23 12:30  friedelwolff

	* html/: images/down.png, images/none.png, images/up.png,
	  js/sorttable.js: New images for table sorting Use new images in
	  javascript

2006-05-23 12:24  friedelwolff

	* html/pootle.css, templates/fileindex.html,
	  templates/language.html, templates/navbar.html,
	  templates/project.html: Split percentages into seperate columns
	  Implement sorting for the statistics tables CSS styling necessary
	  for the sorting Cleanup some code

2006-05-23 12:09  friedelwolff

	* html/js/sorttable.js: Javascript to sort html tables

2006-05-23 09:46  friedelwolff

	* html/pootle.css: Add styling information for statistics table

2006-05-23 09:44  friedelwolff

	* indexpage.py, templates/project.html: Stats in the project page

2006-05-23 09:38  friedelwolff

	* templates/language.html: remove use of debugging overlay

2006-05-22 15:02  friedelwolff

	* indexpage.py, templates/fileindex.html: Updates to show
	  statistics

2006-05-22 14:31  friedelwolff

	* templates/pootlepage.html: New banner and logo

2006-05-22 14:13  friedelwolff

	* pagelayout.py: Code for new banner and logo

2006-05-22 14:08  friedelwolff

	* html/doc/: howto.html, index.html, resources.html: New formatting
	  to static pages

2006-05-22 14:06  friedelwolff

	* html/pootle.css: Forward port new style

2006-05-22 13:48  friedelwolff

	* html/: favicon.ico, images/language.png: Changed branding

2006-05-22 13:45  friedelwolff

	* html/images/: WordForge-blue.png, WordForge-white.png,
	  pootle-medium.png, pootle.png: Commit new branding on HEAD
	  (binary)

2006-05-22 13:31  friedelwolff

	* templates/translatepage.html: Restore original formatting of
	  notices

2006-05-19 16:30  friedelwolff

	* templates/translatepage.html: Restore pre-kid edit link behaviour
	  in view mode

2006-05-18 13:56  friedelwolff

	* indexpage.py: Fix traceback with all goals view

2006-05-18 11:14  friedelwolff

	* templates/project.html: Fix accidental commit of yesterday

2006-05-18 10:38  friedelwolff

	* translatepage.py: Fix traceback when clicking "end" in view mode

2006-05-18 09:31  friedelwolff

	* templates/translatepage.html: Display notice correctly and hide
	  table if notice is present

2006-05-18 09:16  friedelwolff

	* translatepage.py: add missing parameter to dictionary for
	  templatevars (notice)

2006-05-17 18:01  friedelwolff

	* templates/: adminprojects.html, language.html, navbar.html,
	  project.html: itemdata element: a row in a statistics table

2006-05-17 10:39  friedelwolff

	* pagelayout.py: Accessor methods for statistics and statistics
	  headings

2006-05-16 13:40  friedelwolff

	* adminpages.py: [Forward port] Insert input type in dictionary

2006-05-16 11:20  friedelwolff

	* translatepage.py: [Forward port] String keys for dictionary

2006-05-16 07:54  friedelwolff

	* users.py, templates/adminusers.html: [Forward port] Fix adding
	  users as admin

2006-05-15 12:35  friedelwolff

	* indexpage.py: [Forward port] fix checks

2006-05-15 12:24  friedelwolff

	* templates/redirect.html: Need raw xml to make link in message

2006-05-15 11:58  friedelwolff

	* users.py: templatevars is dictionary, not list

2006-05-04 17:16  friedelwolff

	* indexpage.py: Display file icon for files

2006-05-03 20:02  dwaynebailey

	* pagelayout.py, templates/pootlepage.html: Add alt tags to images
	  as we move towards XHTML Strict conformance.

2006-05-03 17:51  dwaynebailey

	* templates/: about.html, activate.html, fileindex.html, home.html,
	  index.html, language.html, languages.html, login.html,
	  options.html, project.html, projectlangadmin.html, projects.html,
	  redirect.html, register.html, translatepage.html: Make all
	  template pages UTF-8

2006-05-03 16:13  friedelwolff

	* translatepage.py: Correct </br>  ->  <br />

2006-05-03 13:20  dwaynebailey

	* benchmark.py: Comment so we know what each of the
	  sample_file_size tuple values are used for.

2006-05-03 12:38  davidfraser

	* benchmark.py: moved setup_server and get_session to top of class
	  added benchmark for submitting translation change

2006-05-03 12:24  davidfraser

	* benchmark.py: update to put po files in the right proejct
	  directory, use a normal project and potree rather than dummies
	  fix up arguments so prefsfile is picked up correctly make server
	  a member, add get_session helper print out variables for page so
	  a visual check can be done

2006-05-03 12:04  dwaynebailey

	* benchmark.py: Actually write to users.prefs not pootle.prefs
	  Remember the current directory (seems Pootle changes the
	  directory when the server starts, then this messes with writing
	  stats files as your now in a non-writable part of the filesystem)

2006-05-03 11:01  davidfraser

	* benchmark.py: added benchmarking for generating pages note that
	  this creates a PootleServer object and gets that to create the
	  pages, so no HTTP transfer is actually done this includes code to
	  set up a server with a test prefs page etc

2006-05-03 07:46  friedelwolff

	* projects.py: [Forward port from wordforge-0-9-branch] Reorder and
	  fix traceback with unassigned "rights"

2006-04-28 17:21  friedelwolff

	* pootlefile.py, projects.py, test_pootlefile.py: Rename:  *
	  po.sourceindex -> locationindex (and related uses)  *
	  po.msgidindex -> sourceindex	* pounit.getids() -> getlocations()
	  (and related uses)

2006-04-28 12:22  davidfraser

	* benchmark.py, potree.py: move DummyPoTree into potree module
	  adjusted default sample sizes for quicker testing

2006-04-28 12:14  davidfraser

	* benchmark.py: added ability to measure stats creation and index
	  creation this uses a Dummy PO Tree (need to move into potree)
	  index testing should be more robust in particular also would be
	  nice to be able to measure stats creation and index creation
	  without reparsing etc this may require a refactor

2006-04-28 11:32  davidfraser

	* benchmark.py: added start of benchmarking tool

2006-04-26 14:53  davidfraser

	* test_client.py: fixed test for template style code

2006-04-26 14:37  davidfraser

	* ChangeLog: Up-to-date ChangeLog that includes branch

2006-04-26 14:31  davidfraser

	* __version__.py: bump version up (need to resolve this better
	  soon)

2006-04-26 14:26  davidfraser

	* adminpages.py, indexpage.py, pagelayout.py, pootle.py, potree.py,
	  projects.py, translatepage.py, users.py, templates/about.html,
	  templates/activate.html, templates/adminindex.html,
	  templates/adminlanguages.html, templates/adminprojects.html,
	  templates/adminusers.html, templates/fileindex.html,
	  templates/home.html, templates/index.html,
	  templates/language.html, templates/languages.html,
	  templates/login.html, templates/navbar.html,
	  templates/options.html, templates/pootlepage.html,
	  templates/project.html, templates/projectadmin.html,
	  templates/projectlangadmin.html, templates/projects.html,
	  templates/redirect.html, templates/register.html,
	  templates/translatepage.html: [forwardport from
	  Pootle-kid-conversion branch] forward ported conversion to
	  templates to HEAD This requires kid from kid.lesscode.org To see
	  the actual commit messages that produced this, look at the branch
	  This now requires jToolkit >= 0.7.7

2006-04-26 14:12  davidfraser

	* __version__.py (Pootle-kid-conversion): version numbers are still
	  pretty arbritary, but bump this up for fun

2006-04-26 14:12  davidfraser

	* adminpages.py, projects.py, templates/projectlangadmin.html
	  (Pootle-kid-conversion): [backported and adapted from friedel's
	  work on HEAD] List existing users in dropdown for rights (this
	  now lists users that don't have rights for addition) improved
	  structure of templating to support this better - rather than
	  having big dictionary per user, separate out rights and handle
	  selection in the template restructured projects.getrights to
	  support this better, including returning None if no rights
	  defined and usedefaults is set to False added method
	  getuserswithrights to projects to support this page corrected
	  unicode problems by calling .__xxxattr__() rather than xxxattr()
	  handle unicode keys in argument handling section (note that fixes
	  to jToolkit's pref handling that this uncovered will be in
	  jToolkit 0.7.7)

2006-04-26 14:06  davidfraser

	* users.py (Pootle-kid-conversion): [backport from friedel's commit
	  r1.13 on HEAD] Don't allow "nobody" or "default" as usernames

2006-04-26 14:04  davidfraser

	* pootle.prefs (Pootle-kid-conversion): [backported from friedel's
	  patch r.18] typos reported by Munzir Taha

2006-04-26 14:03  davidfraser

	* potree.py (Pootle-kid-conversion): [backported from friedel's
	  commit r1.12] allow dialect language names like pt_BR

2006-04-26 14:02  davidfraser

	* pootlefile.py (Pootle-kid-conversion): [backported from Friedel's
	  commit r1.35] don't add second header when merging files

2006-04-10 16:30  davidfraser

	* indexpage.py, translatepage.py, users.py (Pootle-kid-conversion):
	  removed unused widgets imports

2006-04-10 16:26  davidfraser

	* adminpages.py, indexpage.py, pagelayout.py, translatepage.py,
	  users.py (Pootle-kid-conversion): adjusted to not use widgets and
	  simplified templates usage slightly fixed real pagelink problem

2006-04-10 15:50  davidfraser

	* adminpages.py, indexpage.py, pagelayout.py, translatepage.py
	  (Pootle-kid-conversion): use new style of passing arguments into
	  localize as *arglist rather than (arg, arg, arg) requires
	  jToolkit 0.7.7 (not released yet)

2006-04-10 15:48  davidfraser

	* translatepage.py (Pootle-kid-conversion): missed index to
	  pagelinks

2006-04-10 15:43  davidfraser

	* pagelayout.py, pootle.py, users.py, templates/redirect.html
	  (Pootle-kid-conversion): redid redirect code to use templates.
	  requires jToolkit > 0.7.7 (about to be released) factored out
	  completetemplatevars so it can be used with non-PootlePage
	  templatevars changed account activation failure to show actual
	  activation page (was easier, is nicer too)

2006-04-10 15:02  davidfraser

	* pagelayout.py (Pootle-kid-conversion): more default variables
	  that we're redoing all over the place...

2006-04-10 14:50  davidfraser

	* pagelayout.py (Pootle-kid-conversion): separated out method for
	  default vars

2006-04-05 13:15  davidfraser

	* pagelayout.py (Pootle-kid-conversion): removed unused code

2006-04-05 10:14  friedelwolff

	* users.py (Pootle-kid-conversion): message change: clarify display
	  options

2006-04-05 09:59  davidfraser

	* translatepage.py (Pootle-kid-conversion): we already had the
	  formaction...

2006-04-05 09:51  davidfraser

	* translatepage.py, templates/translatepage.html
	  (Pootle-kid-conversion): remember pofilename given (to prevent
	  breaking previous behaviour) make an actionurl parameter - this
	  may need further work

2006-04-05 09:49  friedelwolff

	* pootlefile.py: don't add second header when merging files

2006-04-05 09:48  friedelwolff

	* pootlefile.py: update header and header comments in mergefile()

2006-04-05 09:40  davidfraser

	* translatepage.py, templates/translatepage.html
	  (Pootle-kid-conversion): templatise hidden widgets

2006-04-05 09:08  friedelwolff

	* users.py: Don't allow "nobody" or "default" as usernames

2006-04-05 09:05  friedelwolff

	* users.py: message change: clarify display options

2006-04-05 09:02  friedelwolff

	* adminpages.py: List existing users in dropdown for rights
	  assignment

2006-04-05 09:00  friedelwolff

	* adminpages.py: Refix language admin page with existing variables

2006-04-05 08:48  davidfraser

	* translatepage.py, templates/translatepage.html
	  (Pootle-kid-conversion): since review only needs skip, refactor
	  so we don't have a separate buttons component

2006-04-05 08:47  davidfraser

	* translatepage.py, templates/translatepage.html
	  (Pootle-kid-conversion): templatise buttons - makes this code
	  much simpler :-)

2006-04-05 08:45  davidfraser

	* translatepage.py, templates/translatepage.html
	  (Pootle-kid-conversion): small cleanups for translation page

2006-04-05 08:43  davidfraser

	* translatepage.py, templates/translatepage.html
	  (Pootle-kid-conversion): templatise review widgets (not buttons
	  yet)

2006-04-05 08:41  davidfraser

	* pootle.py (Pootle-kid-conversion): while we're still debugging
	  the templates, and printing out template dictionaries, we should
	  make them look nice...

2006-04-05 08:40  davidfraser

	* translatepage.py, templates/translatepage.html
	  (Pootle-kid-conversion): templatise items in edit mode (not
	  buttons or spellcheck yet)

2006-04-05 08:38  davidfraser

	* translatepage.py, templates/translatepage.html
	  (Pootle-kid-conversion): templatise translation items in view
	  mode, enable widgetising others include test display of old
	  widgets

2006-04-05 08:36  davidfraser

	* translatepage.py, templates/translatepage.html
	  (Pootle-kid-conversion): templatise translation item table, by
	  wrapping the translation items as widgets temporarily

2006-04-05 08:34  davidfraser

	* translatepage.py, templates/translatepage.html
	  (Pootle-kid-conversion): templatise assigns, notice, check text,
	  title

2006-04-05 08:32  davidfraser

	* pagelayout.py (Pootle-kid-conversion): fix commans that should be
	  outside localize...

2006-04-05 08:30  davidfraser

	* adminpages.py, pagelayout.py, templates/projectlangadmin.html
	  (Pootle-kid-conversion): templatise TranslationProjectAdminPage
	  remove unneccessary widgets code ensure search template isn't
	  attempted on non-templated page fix localization comma mistake

2006-03-29 13:23  friedelwolff

	* adminpages.py: Remove duplicated plural equation in admin. Fix
	  for bug 124

2006-03-29 09:17  dwaynebailey

	* pagelayout.py (Pootle-kid-conversion): Fix some safe localize
	  errors.  We shouldn't be passing the commas to the localize
	  function.  This isn't ideal as you can't localize the comma.	But
	  lets fix that later.

2006-03-28 17:03  davidfraser

	* adminpages.py, indexpage.py, pagelayout.py, translatepage.py,
	  users.py (Pootle-kid-conversion): [Dwayne Bailey, from bug 122]
	  Make all the localize calls that involve variables use the safe
	  localize and nlocalize funtions.

2006-03-28 13:54  friedelwolff

	* adminpages.py: Fix double rows in user admin

2006-03-28 10:32  davidfraser

	* pagelayout.py (Pootle-kid-conversion): handle search box only
	  being present if search variable included

2006-03-27 16:09  dwaynebailey

	* pootle.prefs: Another spelling/grammar fixes.

2006-03-27 14:38  friedelwolff

	* pootle.prefs: typos reported by Munzir Taha

2006-03-24 18:21  friedelwolff

	* potree.py: allow dialect language names like pt_BR

2006-03-24 17:29  davidfraser

	* translatepage.py, templates/translatepage.html
	  (Pootle-kid-conversion): initiale templatising of translatepage
	  (only nav bar etc, not actual translation area which is still
	  static)

2006-03-24 17:23  davidfraser

	* templates/translatepage.html (Pootle-kid-conversion): added rough
	  start to translation page

2006-03-24 17:22  davidfraser

	* indexpage.py (Pootle-kid-conversion): don't need this old call

2006-03-24 17:20  davidfraser

	* templates/pootlepage.html (Pootle-kid-conversion): moved search
	  into pootlepage from fileindex

2006-03-24 17:06  davidfraser

	* pagelayout.py, templates/fileindex.html (Pootle-kid-conversion):
	  add separators to path in navbar move search form into page
	  layout

2006-03-24 16:59  davidfraser

	* indexpage.py, pagelayout.py (Pootle-kid-conversion): we don't use
	  old widgets version anymore

2006-03-24 16:57  davidfraser

	* indexpage.py, pagelayout.py (Pootle-kid-conversion): removed
	  unused addfolderlinks functions (could want them back, but they'd
	  have to be done in templates now anyway)

2006-03-24 16:55  davidfraser

	* indexpage.py (Pootle-kid-conversion): remove arguments that might
	  get left over from forms probably overkill, but some forms have
	  different actions and we need to make sure arguments intended for
	  their other actions don't make their way into the URLs

2006-03-24 16:53  davidfraser

	* indexpage.py, templates/navbar.html (Pootle-kid-conversion): fix
	  up users to not contain usernames twice, make form a post

2006-03-24 16:52  davidfraser

	* indexpage.py, templates/navbar.html (Pootle-kid-conversion):
	  templatised goal form

2006-03-24 16:46  davidfraser

	* indexpage.py, templates/fileindex.html, templates/navbar.html
	  (Pootle-kid-conversion): further rationalising of navbar items

2006-03-24 16:44  davidfraser

	* indexpage.py, templates/fileindex.html, templates/navbar.html
	  (Pootle-kid-conversion): moved common elements into navbar.html
	  (including from main navigation bar)

2006-03-24 16:39  davidfraser

	* indexpage.py, templates/fileindex.html (Pootle-kid-conversion):
	  rather than using a separate variable for each item, merge them
	  to a common interface so they can be combined later...

2006-03-24 16:38  davidfraser

	* templates/navbar.html (Pootle-kid-conversion): need navbar
	  template

2006-03-24 16:35  davidfraser

	* indexpage.py, templates/fileindex.html (Pootle-kid-conversion):
	  templatised assigns

2006-03-24 16:34  davidfraser

	* users.py (Pootle-kid-conversion): LoginPage needs self.localize

2006-03-24 02:43  dwaynebailey

	* pootle.prefs: Add a UTF-8 marker to the file to ensure we don't
	  have encoding problems.

2006-03-23 18:08  davidfraser

	* indexpage.py, templates/fileindex.html (Pootle-kid-conversion):
	  converted more stats stuff to templates

2006-03-23 17:54  friedelwolff

	* adminpages.py: prevent two rows for new projects

2006-03-23 17:35  davidfraser

	* indexpage.py, templates/fileindex.html (Pootle-kid-conversion):
	  templatise getactionlinks factored out the goal form

2006-03-23 16:47  davidfraser

	* indexpage.py, templates/fileindex.html (Pootle-kid-conversion):
	  set up file item (still using actions and stats made out of
	  widgets)

2006-03-23 16:31  davidfraser

	* indexpage.py, pagelayout.py, templates/fileindex.html
	  (Pootle-kid-conversion): replaced language page with templated
	  version started replacing fileindex with templated version - this
	  is a big job, this is part 1 goals and directories are templated,
	  but the file entry is still generated using the old widgets code
	  and then shoved into the template ungracefully likewise the
	  actionlinks etc that get used in directories/files are still
	  using old code

2006-03-23 15:31  davidfraser

	* templates/language.html (Pootle-kid-conversion): added page for
	  language page listing projects

2006-03-23 10:31  davidfraser

	* __version__.py: version 0.7a1

2006-03-23 10:26  davidfraser

	* __version__.py (Pootle-kid-conversion): version 0.7a1k - for the
	  kid templates branch

2006-03-23 09:55  davidfraser

	* ChangeLog (Pootle-kid-conversion): added more of a ChangeLog

2006-03-17 16:58  davidfraser

	* adminpages.py, indexpage.py, pagelayout.py, users.py,
	  templates/pootlepage.html (Pootle-kid-conversion): refactored
	  banner layout so it works with templates requires template vars
	  to be initialised before call to base class constructor

2006-03-17 16:52  davidfraser

	* adminpages.py, templates/projectadmin.html
	  (Pootle-kid-conversion): converted project admin page to template

2006-03-17 16:16  davidfraser

	* templates/index.html (Pootle-kid-conversion): strip out
	  unneccessary tags

2006-03-17 16:14  davidfraser

	* indexpage.py, templates/project.html (Pootle-kid-conversion):
	  converted ProjectLanguageIndex to template

2006-03-17 15:29  davidfraser

	* indexpage.py, templates/languages.html, templates/projects.html
	  (Pootle-kid-conversion): converted projects page and languages
	  page to templates (they can just reuse the index page code)

2006-03-17 15:23  davidfraser

	* users.py, templates/options.html (Pootle-kid-conversion):
	  converted options page to template

2006-03-17 14:43  davidfraser

	* indexpage.py, templates/home.html (Pootle-kid-conversion):
	  changed home page to template

2006-03-17 14:16  davidfraser

	* indexpage.py, templates/index.html (Pootle-kid-conversion):
	  converted index page to template currently need a hacky sep
	  attribute to join a list with commas without putting one on the
	  end...

2006-03-17 13:50  davidfraser

	* users.py, templates/login.html (Pootle-kid-conversion): replaec
	  LoginPage with template (and don't derive from server.LoginPage
	  which would make it all complicated)

2006-03-17 12:15  davidfraser

	* users.py, templates/register.html (Pootle-kid-conversion):
	  converted registration page to template

2006-03-17 12:02  davidfraser

	* users.py, templates/activate.html (Pootle-kid-conversion):
	  converted ActivationPage to template

2006-03-17 11:51  davidfraser

	* indexpage.py, templates/about.html (Pootle-kid-conversion):
	  converted about page to template

2006-03-17 11:22  davidfraser

	* test_client.py (Pootle-kid-conversion): fixed case of A tags. we
	  should really use the DOM / a scraper to test

2006-03-17 11:15  davidfraser

	* adminpages.py (Pootle-kid-conversion): remove old widgets cruft

2006-03-17 10:54  davidfraser

	* templates/: adminindex.html, adminlanguages.html,
	  adminprojects.html, adminusers.html, pootlepage.html
	  (Pootle-kid-conversion): use overlays to include banner and
	  sidebar (requires Overlay support, not yet in jToolkit 0.7.5)

2006-03-17 10:53  davidfraser

	* pootle.py (Pootle-kid-conversion): add loadurl function for
	  handling DOMOverlay includes

2006-03-17 10:23  davidfraser

	* potree.py (Pootle-kid-conversion): handle the special chars being
	  in utf-8

2006-03-17 10:16  davidfraser

	* templates/: adminindex.html, adminlanguages.html, adminusers.html
	  (Pootle-kid-conversion): batch conversion of templates to kid

2006-03-17 09:53  davidfraser

	* adminpages.py, templates/adminprojects.html
	  (Pootle-kid-conversion): convert adminprojects template to kid
	  fairly straightforward in the end. expects use of attribify (not
	  in jToolkit 0.7.5)

2006-03-17 09:51  davidfraser

	* pootle.py (Pootle-kid-conversion): bring templates back, for the
	  branch

2006-03-16 16:41  davidfraser

	* test_client.py: added test for merging files (we may want to
	  change how it actually works)

2006-03-16 13:18  friedelwolff

	* indexpage.py, pootle.py, projects.py: Generate GSI's from within
	  Pootle

2006-03-13 12:44  friedelwolff

	* pootlefile.py: rename more output (i.t.o. __str__) to output

2006-03-13 11:25  friedelwolff

	* pootlefile.py, projects.py, test_create.py, test_pootlefile.py:
	  rename source(s) (i.t.o. source location) to id(s)

2006-03-13 10:34  davidfraser

	* test_client.py: added test for uploading archive remove extra
	  userprefs

2006-03-13 10:22  friedelwolff

	* pootlefile.py, projects.py, test_create.py: rename source (i.t.o.
	  __str__) to output

2006-03-13 10:12  davidfraser

	* test_client.py: fixed up response from post made
	  setup_testproject_dir return podir

2006-03-13 10:03  davidfraser

	* test_client.py: factored out post_request and setup_testproject

2006-03-10 18:14  davidfraser

	* test_create.py: refactored so we clear the directory each time in
	  the NoReuse system

2006-03-10 18:11  davidfraser

	* test_client.py: added test for uploading new file, checking it is
	  listed, and is created on disk, downloading the file and checking
	  its the same this requires constructing multipart posts, so added
	  import for that and os for looking at disk

2006-03-10 17:39  davidfraser

	* potree.py, projects.py, test_client.py: handle missing project
	  directories when trying to add a language

2006-03-10 17:37  davidfraser

	* test_client.py: allow test methods to specify user preferences in
	  an attribute added test for adding a language to a project

2006-03-10 17:16  davidfraser

	* test_client.py, test_create.py: modified test setup to have test
	  projects added tests for admin rights, and for adding a project

2006-03-07 14:41  dwaynebailey

	* pootle.prefs: Make sure that by default we have a defined
	  Templates directory

2006-03-07 13:06  davidfraser

	* indexpage.py: call the translate toolkit by its full name

2006-03-06 09:16  friedelwolff

	* indexpage.py: Show toolkit version

2006-03-03 16:15  friedelwolff

	* pootlefile.py, projects.py: Use more of base class and new plural
	  infrastructure

2006-03-02 17:17  davidfraser

	* test_client.py, test_create.py: fix up login and test for login

2006-03-02 16:40  davidfraser

	* test_client.py, test_cmdlineserver.py, test_create.py: added test
	  infrastructure for testing web server

2006-03-02 15:23  davidfraser

	* pootlefile.py, projects.py, test_pootlefile.py: altered
	  pootlefile to make it easier to construct with no project (uses
	  DummyProject) also made usable if no file has been parsed yet (so
	  stats file is removed if main file doesn't exist) altered
	  DummyProject so it won' scanpofiles created helper class
	  pootletetfile in TestPootleFile to negotiate directory etc

2006-03-02 12:47  davidfraser

	* pootlefile.py: if someone does something strange and the msgid
	  has a plural but there's no msgstr dict, handle it normally (this
	  is still insane, but we should check...)

2006-02-24 10:56  friedelwolff

	* test_pootlefile.py: Tests for pootlefile

2006-02-24 10:55  friedelwolff

	* pootlefile.py: joinlinebreaks defaults to false getunquoted...
	  Make statscalculation optional in pootlefile constructor for unit
	  test typo in comment

2006-02-23 12:20  friedelwolff

	* test_pootlefile.py: First unit tests for pootlefile.py

2006-02-21 12:14  friedelwolff

	* pootlefile.py: Prevent infinte recursion from
	  pootlefile.__str__()

2006-02-21 07:41  friedelwolff

	* pootlefile.py: pootlefile.pounits -> pootlefile.units

2006-02-14 17:50  davidfraser

	* pootlefile.py, projects.py: replace getunquotedstr with
	  unquotefrompo

2006-02-02 11:37  davidfraser

	* pootlefile.py: use new poelement encoding attribute if present...
	  spelling fix

2006-01-27 12:09  dwaynebailey

	* pootlefile.py: Changed poelement to pounit.  Changed quite a few
	  that probably didn't need changing buts its good for the
	  refactoring goo.

2005-12-23 11:13  davidfraser

	* pootlefile.py, projects.py: replaced tolines calls with str calls

2005-11-29 12:08  davidfraser

	* indexpage.py: fixed links for directory items

2005-10-24 09:52  davidfraser

	* users.py: fixed missing : syntax errors

2005-10-21 15:40  davidfraser

	* users.py: corrected horrendous code that replaced the email
	  address with the fullname try handle settting all the parameters
	  correctly

2005-10-21 15:13  davidfraser

	* adminpages.py: fixed mistaken variable name that made all the new
	  entry items checkboxes

2005-10-21 15:00  davidfraser

	* pootle.py: remove templating - rather move towards a better
	  structure later

2005-10-18 16:08  davidfraser

	* adminpages.py: wrong word - projects is actually a module, we're
	  looking at languages here

2005-10-11 10:19  davidfraser

	* pootlefile.py: update to work with new checker.run_filters return
	  style

2005-08-09 00:16  dwaynebailey

	* templates/: adminindex.html, adminlanguages.html,
	  adminprojects.html, adminusers.html: Made encoding UTF-8 as these
	  pages will contain UTF-8 encoded content.

2005-08-05 13:49  dwaynebailey

	* projects.py: This partially fixes:
	  http://bugs.wordforge.org/show_bug.cgi?id=28

	  We now do not use strings that are marked fuzzy with pootle live
	  translation.

2005-08-03 15:54  davidfraser

	* adminpages.py, templates/adminindex.html,
	  templates/adminlanguages.html, templates/adminprojects.html,
	  templates/adminusers.html: converted languages, projects, users
	  admin pages to use templates

2005-07-27 01:30  dwaynebailey

	* pagelayout.py, html/pootle.css, html/doc/howto.html,
	  html/doc/index.html, html/doc/resources.html: Corrected CSS
	  errors identified using http://jigsaw.w3.org/css-validator

2005-07-27 01:18  dwaynebailey

	* indexpage.py, pagelayout.py, translatepage.py,
	  html/doc/howto.html, html/doc/index.html,
	  html/doc/resources.html: Make Pootle HTML 4.01 Transitional
	  compliant

2005-07-02 22:51  davidfraser

	* pootle.py: .mo files were being left out...

2005-07-02 22:49  davidfraser

	* pootlefile.py, projects.py: move all the converters out of
	  pootlefile into projects, use the classes automatically (assume
	  it has a convertfile method that takes a pofile object as
	  argument and returns either a string or an object with a tolines
	  method)

2005-07-02 18:55  davidfraser

	* pootle.py, projects.py: the etag needs to be a string or internal
	  comparisons fail and we need to actually return it when serving
	  the file :-)

2005-07-02 18:47  davidfraser

	* pootle.py, projects.py: use the convert function directly from
	  pootle.py to serve converted files it now returns a tuple that is
	  (etag, filepath) if the file is served from disk, or (False,
	  contents) otherwise this is a bit convoluted and hopefully the
	  interface will settle down as more converter standardisation is
	  done

2005-07-02 18:14  davidfraser

	* projects.py: added generic code for caching converted files.

2005-07-02 17:41  davidfraser

	* pootle.py, projects.py: allow getting a pofile without parsing
	  it, and use this to serve .po files straight from disk

2005-07-02 17:31  davidfraser

	* conflict2suggest.py: added conflict2suggest which converts
	  msgmerge conflicts to Pootle suggestions

2005-07-02 16:11  davidfraser

	* pootle.py, projects.py: move DummyStatsProject to projects.py and
	  split off base DummyProject

2005-07-02 16:07  davidfraser

	* conftest.py, test_init.py: added conftest that stops py.test from
	  searching po directory for python tests (which could take hours
	  if its big) and basic init test

2005-07-02 09:07  dwaynebailey

	* README: Change the bug address to bugs.wordforge.org

2005-07-01 23:06  davidfraser

	* projects.py: when we were using the index, we weren't checking
	  the match names.  if using the index, do a separate sesarch
	  (without text matching) for match names added some funny logic to
	  merge the two lists, once they are integrated this should be
	  simpler this should fix
	  http://bugs.wordforge.org/show_bug.cgi?id=6

2005-07-01 22:39  davidfraser

	* translatepage.py: we can't reliably determine positions in
	  strings or changes unless they are unicode due to multibyte
	  characters so decode everything to unicode before calculating
	  differences (and use these strings when displaying the difference
	  markers) fixes http://bugs.wordforge.org/show_bug.cgi?id=4

2005-07-01 20:57  davidfraser

	* __init__.py, __version__.py, adminpages.py, filelocations.py,
	  indexpage.py, pagelayout.py, pootle.py, pootlefile.py, potree.py,
	  projects.py, test_indexing.py, translatepage.py, users.py,
	  versioncontrol.py: added encoding markers for Python source
	  [Simos Xenitellis]

2005-07-01 13:22  davidfraser

	* users.py: removed test stuff I left in by mistake

2005-07-01 12:24  davidfraser

	* users.py: add support for unicode usernames (using __hasattr__
	  and __getattr__ where required)

2005-07-01 11:12  dwaynebailey

	* README: Added a reference section and a section about reporting
	  bugs.

2005-07-01 09:59  davidfraser

	* translatepage.py: return focus to the input box after copying...

2005-07-01 09:55  davidfraser

	* translatepage.py, CREDITS: prevent bug 2: searching in xxx.po?
	  URL with no results and po file longer than pagesize gives error
	  [Matt Chisholm] added Matt and Simos to CREDITS

2005-06-30 23:26  dwaynebailey

	* translatepage.py: Add acceskeys for the common tasks on the
	  translation interface

2005-06-30 20:39  dwaynebailey

	* indexpage.py, pootle.py, pootlefile.py, projects.py: Allow us to
	  get Qt .ts files from Pootle.  We should I guess introduce a
	  system that allows you to switch on which file types are valid
	  for a project as most will not need .ts files.

2005-06-30 20:14  davidfraser

	* users.py: handle null translations which are still dicts

2005-06-30 16:34  davidfraser

	* pootle.py: if not actually running the webserver, set the
	  servertype to dummy so we don't try to bind the port

2005-06-30 12:00  davidfraser

	* projects.py: fixed bad logic: if items are given we always want
	  to update exactly those items

2005-06-29 10:17  davidfraser

	* translatepage.py: only include spellchecking UI if we can check
	  that language (the values are cached so its not a performance hit
	  to do this each time)

2005-06-28 23:14  davidfraser

	* pootle.py: pass the language code to the spell checker

2005-06-28 23:10  davidfraser

	* translatepage.py: use spell checkable TextArea widgets

2005-06-28 22:53  davidfraser

	* filelocations.py, pootle.py: added module filelocations to
	  identify directories etc (moved existing code there) added
	  spellui backend support added support for reading js files from
	  jToolkit as well as html/js

2005-06-28 21:33  davidfraser

	* translatepage.py: make the focus script work with plurals by
	  selecting the first text box

2005-06-28 21:27  davidfraser

	* translatepage.py: set the focus to the textarea so people can
	  start typing straight away

2005-06-28 19:57  davidfraser

	* pootlefile.py: add x_generator member and update PO files to say
	  they have been edited by Pootle revise the way we add headers...

2005-06-28 12:05  davidfraser

	* pootle.py: can't use pofile to get pomtime when we don't have it
	  (for other file types) this should be fixed up later

2005-06-28 11:10  davidfraser

	* pootlefile.py, projects.py: make sure new po files use
	  pootleelement so we can use unquotedmsgstr etc if unquotedmsgstr
	  is a list (as returned by get method) then handle it properly

2005-06-28 11:08  davidfraser

	* potree.py: fixed using same variable name for local and outer
	  variable

2005-06-27 22:09  davidfraser

	* pootle.py: added code to allow HTTP caching of source files using
	  modified time of po file

2005-06-26 21:42  davidfraser

	* __version__.py: version 0.6.3

2005-06-26 21:38  davidfraser

	* translatepage.py: handle blank pofilename in form

2005-06-26 21:37  davidfraser

	* projects.py: handle quickstats when creating from templates

2005-06-26 21:36  davidfraser

	* projects.py: jToolkit 0.6.5+ uses HAVE_INDEXER not HAVE_PYLUCENE

2005-06-26 21:21  davidfraser

	* TODO, adminpages.py: don't allow people to add templates from
	  templates updated TODO

2005-06-26 21:17  davidfraser

	* pootle.py, potree.py, projects.py: added support for
	  TemplatesProject like TranslationProject but for pot files

2005-06-26 20:45  davidfraser

	* users.py: added ability to set a language for the ui in the user
	  preferences, and logic to make it work nicely   if somebody
	  explicitly selects a language on login, and they don't have
	  uilanguage set, it will be set   if somebody goes to the options
	  page, it will select the first of their chosen languages if
	  uilanguage not set

2005-06-26 20:14  davidfraser

	* pootle.py: get languagenames from getlanguages so it is sorted

2005-06-26 19:30  davidfraser

	* test_indexing.py: changed manner of generating search results

2005-06-26 19:29  davidfraser

	* pootle.py: moved option parsing into a class

2005-06-26 19:06  davidfraser

	* indexpage.py: added some information on a language to the main
	  language page (code, name, plural info)

2005-06-23 18:05  davidfraser

	* pootlefile.py: add a copy method to Search

2005-06-23 17:48  davidfraser

	* test_indexing.py: added some tests of indexing code (using
	  py.test)

2005-06-23 17:44  davidfraser

	* projects.py: moved search for filenames out of matchessearch and
	  into indexsearch so it isn't repeated for each filename

2005-06-23 17:37  davidfraser

	* projects.py: make sure pofilenames are updated in index in sorted
	  order added items option to updateindex that lets you just update
	  particular items added optimize option to updateindex that lets
	  you not optimize on commit (so a batch optimize can be done
	  later) do a batch optimize on startup make sure quickstats are
	  sorted update the index for a particular item when it is changed

2005-06-23 12:57  davidfraser

	* projects.py: factored out new indexsearch method which
	  understands pootlefile.Search, use this to find items quicker too
	  added note about updating files to help debugging handle
	  lastpofilename being a blank string

2005-06-23 12:32  davidfraser

	* projects.py: fixed up the index updating logic this is now done
	  in one block per pofile, since we need to delete and add in each
	  step and you cannot do both at the same time also use
	  ExactAnalyzer for pofilename so it doesn't try match different
	  parts as words check exactly how many items match the correct
	  pomtime / wrong pomtime and use this to work out whether to
	  update use searcher.makeQuery rather than building PyLucene
	  queries ourselves

2005-06-23 10:10  davidfraser

	* projects.py: adjusted to use jToolkit.data.indexer rather than
	  using PyLucene directly (more advanced locking etc) also store
	  each item separately rather than one document per file update
	  code still needs improvement...

2005-06-20 20:32  dwaynebailey

	* TODO: More plural work

2005-06-20 14:57  davidfraser

	* adminpages.py, users.py: make sure languages are sorted by name
	  not iso code

2005-06-16 07:45  davidfraser

	* pootle.py: added DummyStatsProject so quickstats can be updated
	  in refreshstats, use projectcode and languagecode from
	  potree.getcodesfordir if dirname is a project directory calculate
	  quickstats in refreshstats

2005-06-16 07:43  davidfraser

	* potree.py: added method to work out if a directory is a project
	  or language directory and return codes

2005-06-16 06:58  davidfraser

	* indexpage.py, projects.py: return dictionary from getquickstats,
	  so we don't get parameter orders confused :-)

2005-06-15 22:46  davidfraser

	* pootle.py: handle quickstats in refresh

2005-06-15 22:41  davidfraser

	* potree.py: allow a limit to depth of search for gnu files
	  (default 3 levels) to prevent it consuming lots of resources

2005-06-15 22:40  davidfraser

	* indexpage.py: use quickstats for language index

2005-06-15 22:39  davidfraser

	* pagelayout.py: handle the style of stats used for quickstats
	  (lengths rather lists of strings, counts of words included)

2005-06-15 22:39  davidfraser

	* pootlefile.py, projects.py: added quickstats method to prevent
	  scanning through all the stats files for project summaries

2005-06-14 14:38  davidfraser

	* __version__.py: version 0.6.2

2005-06-13 21:49  davidfraser

	* TODO: added some more suggestions

2005-06-13 21:49  davidfraser

	* adminpages.py: added ability to select multiple languages for
	  update simultaneously

2005-06-13 21:37  davidfraser

	* adminpages.py, indexpage.py, potree.py: added getlanguages method
	  which can return languagecode, languagename tuples sorted by name
	  used this wherever sensible to get sorted language names

2005-06-13 21:29  davidfraser

	* translatepage.py: added code to get pofilename if present in the
	  URL (dirfilter)

2005-06-13 21:27  davidfraser

	* TODO: some suggestions from Clytie

2005-06-13 21:23  davidfraser

	* TODO: add some new management ideas

2005-06-01 16:39  dwaynebailey

	* pootle.prefs: Added examples of nplurals and pluralequation and
	  an explanation of what each is for.

2005-05-31 23:31  dwaynebailey

	* users.prefs: Extensive comments added to the default user file.
	  Show the structure and items present for each user and explains
	  what each means.  Also added a user startup password startup that
	  is commented out.  Uncommenting this will create a user with
	  siteadmin rights that is usefull when you first setup Pootle.

2005-05-30 21:18  dwaynebailey

	* .cvsignore: Ignore those .pyc files

2005-05-29 23:43  dwaynebailey

	* indexpage.py: Correctly calculate the avarage translation
	  completion percentage on the a languages project list page.

2005-05-29 21:28  dwaynebailey

	* adminpages.py: Users are now sorted alphabetically on username

2005-05-21 13:04  davidfraser

	* TODO: updated TODO to reflect goals work, assignment, word counts
	  also added a few new issues

2005-05-21 12:59  davidfraser

	* projects.py: use getitemslen to count words

2005-05-21 09:33  davidfraser

	* indexpage.py: allow assigning of unassigned or unassigned and
	  untranslated elements

2005-05-21 09:33  davidfraser

	* pootlefile.py, projects.py: added getunassigned method to
	  pootlefile, and let search.assignedto == [None] mean search for
	  unassigned elements fill out the search logic for unassigned
	  added getitemslen method as we often need this in pootlefile, but
	  transelements isn't always available

2005-05-21 09:08  davidfraser

	* indexpage.py: allow admin to specify whether to assign all
	  strings or just untranslated strings

2005-05-20 23:18  davidfraser

	* projects.py: sanity check on items in stats

2005-05-20 23:15  davidfraser

	* indexpage.py: fix statistics calculation (logic was inverted) for
	  quick translate my strings

2005-05-20 23:13  davidfraser

	* pootlefile.py: added sanity check on item values for assigns if
	  we have stats (which we don't always when we parse the assigns)

2005-05-20 23:02  davidfraser

	* __version__.py: version 0.6.1 with lots of goals support

2005-05-20 23:01  davidfraser

	* indexpage.py, translatepage.py: improve silly dummy logic (why
	  did I ever put a dummy user there???)

2005-05-20 23:00  davidfraser

	* indexpage.py: added quickminelink (this is getting a bit verbose,
	  but still useful)

2005-05-20 22:56  davidfraser

	* indexpage.py: added "mine" linksrequired option which links to
	  all strings assigned to the current user... and display it fix
	  actionlinks basename being index.html for goals as it messed up
	  all the links

2005-05-20 22:41  davidfraser

	* indexpage.py: added scripts etc so that a user can convert a
	  standard user select to a multiselect for auto-assigning to
	  multiple users give the goalform a decent name so it can be
	  accessed via javascript

2005-05-20 22:17  davidfraser

	* projects.py: allow assignpoitems to handle multiple users like
	  reassignpoitems made assignpoitems distribute the given strings
	  between multiple users based on wordcount

2005-05-20 22:15  davidfraser

	* indexpage.py: shouldn't pass goalname as basename to getitemstats
	  added TODO about letting getassigndetails just use a particular
	  action (for goals to only display assigns to the correct goal)

2005-05-20 21:54  davidfraser

	* indexpage.py: allow possibility of unexpected usernames appearing

2005-05-20 21:53  davidfraser

	* projects.py: only add the user stats if there are some items
	  assigned

2005-05-20 21:51  davidfraser

	* pagelayout.py: never allow 'allowmultikey' into the link (used
	  for internal jToolkit marking of what key values can have
	  multiple values)

2005-05-20 21:41  davidfraser

	* indexpage.py: detect what users a file has been assigned to for
	  the current goal (or generally) rename goalfile to editfilegoal
	  to prevent confusion (same variable used for actual goal
	  filename) handle assignments to multiple users properly when
	  present

2005-05-20 21:40  davidfraser

	* projects.py: allow getassignstats to filter by action factor out
	  combineassignstats from combinestats so it can be user to search
	  separately by action (for goals)

2005-05-20 21:23  davidfraser

	* pootlefile.py, projects.py: added method reassignpoitems which
	  clears all existing assignments for that action and sets to a
	  list of users made unassign (and therefore unassignpoitems) take
	  username=None to remove from all users

2005-05-20 21:22  davidfraser

	* indexpage.py: use reassignpoitems, and have a unique action for
	  each goalname

2005-05-20 21:09  davidfraser

	* indexpage.py: use assignment to handle setting user on goals (and
	  process goalnames so it doesn't stay in URL) only show user
	  editing if session has admin rights fix __dummy__ check

2005-05-20 21:07  davidfraser

	* pootlefile.py: clarify invalid assigns messages, and fix test (so
	  it doesn't give problems if - in filename or action)

2005-05-20 21:05  davidfraser

	* pagelayout.py: only have , after non-empty filestats

2005-05-20 20:44  davidfraser

	* indexpage.py, pagelayout.py: further rearrange stats strings to
	  make localize more consistent

2005-05-20 20:35  davidfraser

	* indexpage.py, pagelayout.py, html/pootle.css: made a separate css
	  class for string statistics so they don't stand out too much also
	  separate out the stats string generation a bit

2005-05-20 19:29  davidfraser

	* indexpage.py: make sure main navbar actionlinks don't have the
	  goal in inadvertently by popping it earlier allow anyone to show
	  goals

2005-05-20 19:20  davidfraser

	* adminpages.py: added option to change home page

2005-05-20 19:18  davidfraser

	* pootle.prefs, pootle.py: allow preferences to set home page to a
	  different value

2005-05-20 19:14  davidfraser

	* indexpage.py: show stats of how much of the assigned work is
	  translated ("complete" vars)

2005-05-20 19:09  davidfraser

	* projects.py: handle items that are out of range when counting
	  words (ignore them)

2005-05-20 19:08  davidfraser

	* indexpage.py: made assigned stats based on words rather than
	  strings added TODO: stats for goalless don't work

2005-05-19 22:06  davidfraser

	* projects.py: redid removefilefromgoal to handle directories
	  properly when file/directory is not direct member of goal cleaned
	  up the getgoalfiles code a bit, make sure it never returns
	  duplicates   made expanddirs return subdirectories as well as
	  subfiles if includedirs (and adjust for browsefiles not returning
	  final /)   renamed loop variables to goaldir if they're dealing
	  with dirs, for readability sort goal file list for readability

2005-05-19 21:25  davidfraser

	* projects.py: use better intelligence for working out which
	  partialdirs are already in goaldirs

2005-05-19 21:20  davidfraser

	* projects.py: make sure partialdirs end with a / otherwise they'll
	  be counted as different from dirs already present

2005-05-19 21:15  davidfraser

	* pagelayout.py: rearranged goal links to simply show link to all
	  goals if current goal is activated

2005-05-19 21:01  davidfraser

	* indexpage.py, pagelayout.py: added goal option to makenavbarpath
	  which shows the goal as though it were a path.  enhanced
	  getbrowseurl, getitems, getfileitem, getdiritem to handle custom
	  args for makelink so far this is just used for the goal setting
	  (files in current goal include goal in link)

2005-05-19 15:41  davidfraser

	* adminpages.py: made taldom optional for people who haven't
	  upgraded jToolkit yet

2005-05-19 14:25  dwaynebailey

	* translatepage.py: Using escapetext on the translations that are
	  being viewed.  This will fix the visual error that translations
	  without the proper wrapping that you see in the original.

2005-05-19 14:06  dwaynebailey

	* translatepage.py: Create a dropdown of valid users for assigning
	  work in the translate page.

2005-05-19 13:40  dwaynebailey

	* pootlefile.py: We weren't ever actually updating the plural
	  header because we were looking for "nplural" instead of
	  "nplurals".

2005-05-19 13:30  dwaynebailey

	* indexpage.py: You can now only assign users from s dropdown
	  select box thus ensuring that they are actually valid users when
	  you assign them.

2005-05-19 13:18  dwaynebailey

	* indexpage.py: Add plural forms to various messages

2005-05-19 13:10  dwaynebailey

	* projects.py: Handle the case where thepo.msgstr is not a
	  dictionary

2005-05-19 13:07  dwaynebailey

	* projects.py: Added ungettext function so that we can now display
	  plural translations of Pootel live.

2005-05-17 22:16  davidfraser

	* templates/adminindex.html: added initial template for AdminPage
	  (adminindex.html)

2005-05-17 22:13  davidfraser

	* adminpages.py, pagelayout.py, pootle.py: added initial templates
	  support (Woohoo!) This requires the latest jToolkit (version >=
	  0.6.2) but should gracefully fall back without it basically if a
	  Page object contains the attributes templatename and templatevars
	  it will be constructed from the template and the widgets ignored
	  (if jToolkit version supports templating) This is to enable
	  gradual migration to the templating approach currently only one
	  page is templated as a demonstration, adminpages.AdminPage the
	  basic approach is to pull out all the logic into separate
	  functions, and use the same logic for the widgets and the
	  templates then when migration is complete, all the widgeting code
	  can be deleted :-)

2005-05-14 15:33  dwaynebailey

	* pootle.py: Checks the prefs file for defaultlanguage and will
	  setup the interface to that.	Of course you need all the rest
	  like the translated Pootle files :).	This allows you to run an
	  instance of Pootle in a default or "not logged in" language other
	  than English.

2005-05-14 15:30  davidfraser

	* indexpage.py, pagelayout.py, projects.py: fixed up handling of
	  directories that partially belong to a goal (something inside the
	  directory does) include these in the list of items to display
	  (using new arg includepartial to project.getgoalfiles) display
	  the number of files in the directory that match the goal (e.g.
	  1/2 files) calculate statistics based on the files actually
	  matching the goal, not the whole directory if it is partial

2005-05-14 15:23  dwaynebailey

	* pootle.prefs: Added many comments to make it easy to understand
	  the options and layout of the main prefs file.

2005-05-14 14:54  davidfraser

	* indexpage.py: display goals with no files in the current
	  directory, but don't display action links for them

2005-05-14 14:01  davidfraser

	* indexpage.py: cleaned up goals interface so "show goals" only
	  shows the goals you have to click on a goal to see its files when
	  you've selected a goal, you see only that goal you can now also
	  select "No goal" (exactly the same as a normal goal, but can't
	  add users etc) if there are no users for a goal, don't show the
	  "Set User" button

2005-05-14 13:31  davidfraser

	* pootle.py: changed xliff mime type to xml as it is

2005-05-13 11:45  davidfraser

	* pagelayout.py: fixed links so if at no depth, we don't have a /
	  link (leading to things like /../)

2005-05-13 10:43  davidfraser

	* pootle.py: made commandline refreshstats work on mandrake which
	  has .po directories, and pass the correct relative name not the
	  path to pootlefile

2005-05-13 10:20  davidfraser

	* html/images/language.png: added a funny language icon until we
	  can get a nicer one

2005-05-12 11:18  davidfraser

	* potree.py: reverse order of dir / .po check so that if
	  directories are called "xxx.po" they don't get skipped (e.g.
	  mandrake)

2005-05-11 16:36  davidfraser

	* pootle.py: added ability to specify files to refreshstats on on
	  the commandline recurse directories given for .po files and
	  process files given uses dummy project classes etc

2005-05-10 22:44  davidfraser

	* indexpage.py, projects.py: improved goal handling so it deals
	  with directories and files properly (don't remove initial
	  dirfilter from goalfile name in indexpages as this confuses
	  things) added options to project.getgoalfiles to enable this (and
	  helper function getancestry) - similar to browsefiles, which it
	  uses check that __dummy__ unassigneduser is there before removing
	  it! added code to remove a file if its directory is in the goal
	  (this removes the directory and adds the other filenames)

2005-05-09 20:57  davidfraser

	* translatepage.py: check usernode properly (if
	  self.session.username is None you can't getattr)

2005-05-09 14:10  davidfraser

	* indexpage.py: pass the project to describestats so it can count
	  words

2005-05-09 14:05  davidfraser

	* projects.py: added a countwords method that takes a (pofilename,
	  itemnum) list (as returned by combinedstats)

2005-05-09 13:16  davidfraser

	* pagelayout.py: display wordcounts wherever string counts are
	  (except for checks etc)

2005-05-09 13:14  davidfraser

	* indexpage.py, pagelayout.py: added a method to PootleNavPage
	  called describestats so it can be done consistently renamed
	  self.average -> average throughout

2005-05-07 13:25  davidfraser

	* translatepage.py: handle new stats format (just display number of
	  strings with len)

2005-05-07 13:25  davidfraser

	* pootlefile.py: added wordcounts and remember wordcounts of each
	  item in stats file the format allows wordcounts per plural form,
	  separated by / msgidwordcounts and msgstrwordcounts are lists of
	  lists, each item has a list of wordcounts per plural form

2005-05-07 12:56  davidfraser

	* projects.py: handle assign stats the same as others (use items
	  rather than counts)

2005-05-07 12:47  davidfraser

	* pootlefile.py, projects.py, indexpage.py: replaced statistics'
	  count of items with an actual list of items this means we should
	  be able to get wordcounts etc much more easily replaced
	  calculatestats with a method combinestats that returns a list of
	  pofilename-item tuples string count statistics can easily be
	  calculated with len but other operations should be possible too
	  assignstats still need to be handled

2005-05-07 12:15  davidfraser

	* pootlefile.py: moved pootlefile.classifyelement ->
	  pootleelement.classify made it handle only the singular elements
	  (plurals are tricky) fixed mergeitem adding suggestion in quoted
	  form (this is a bit roundabout)

2005-05-07 12:12  davidfraser

	* pagelayout.py: rootlink should always end in a /

2005-05-07 11:55  davidfraser

	* pootlefile.py, projects.py, translatepage.py: added class
	  pootleelement derived from poelement to allow special methods
	  rather than doing them in pootlefile use pootlelement as the
	  elementclass for pootlefile added unquotedmsgstr and
	  unquotedmsgid properties to pootleelement, use them where
	  appropriate return actual pootleelements rather than msgid,
	  msgstr pairs from getitems, getsuggestions don't need to do
	  quoting/unquoting in projects anymore since using unquotedxxx
	  property

2005-05-06 17:58  davidfraser

	* projects.py, translatepage.py: factored out makeitems from
	  getitems, which puts the po items into an understandable format
	  modified suggestions to use this fixed up missing buttons for
	  single translations made sure non-plural submissions don't come
	  through as plural

2005-05-06 17:23  davidfraser

	* translatepage.py: realized deleting the checks wasn't a good
	  idea... (aborts the search) made the 'currentfolder' in the
	  navbar for translatepage the current po filename rather than the
	  dirfilter (this lets you see where you are)

2005-05-06 17:19  davidfraser

	* TODO: done a few of these, notably plurals!

2005-05-06 17:12  davidfraser

	* translatepage.py: made sure checks don't appear in links clean up
	  the action so that it doesn't come back to the same place (fixes
	  bug where after editing an item it wouldn't move on)

2005-05-06 17:06  davidfraser

	* translatepage.py: - made accepting and rejecting plural
	  suggestions work   this requires having an extra point field in
	  the receivetranslations   fixed up the name of the submitted
	  fields and made sure it contains the pluralsuggestion (was the
	  suggestion dict) - fixed up logic of what self.pofilename means -
	  its the current pofilename being dealt with	that means it can
	  be changed in finditem after receivetranslations has received the
	  submitted translations - ensured that unwanted arguments are
	  cleaned up so they don't affect links   this includes pofilename,
	  item, the receivetranslation arguments and the hidden orig-pure
	  arguments - cleaned up the generation of orig-pure (was
	  orig-hidden) and made copy use the singular

2005-05-06 17:01  davidfraser

	* projects.py: corrected annoying error where items would be
	  skipped because the item variable was not being reset between
	  filenames this basically meant it would only go to items in later
	  filenames if they had more items than the previous filenames

2005-05-06 16:13  davidfraser

	* translatepage.py: redid gettransreview to work with plurals
	  cleaned up leftover bit in receivetranslations

2005-05-06 11:42  davidfraser

	* indexpage.py, translatepage.py: removed unneccessary parameters
	  etc from TranslatePage functions use PootleNavPage for base
	  constructors where thats the base class

2005-05-06 11:34  davidfraser

	* projects.py, translatepage.py: decided we didn't need to pass
	  isplural around everywhere, since we can tell based on the length
	  of the orig/trans lists

2005-05-06 11:23  davidfraser

	* projects.py, translatepage.py: handle plural forms being edited
	  redid handling of submitted arguments to make it less verbose and
	  ponderous (match keytype and items directly rather than trying
	  hundreds of options) for translations submitted, use a dictionary
	  (like msgstr) if they are plural redit gettransedit to create
	  proper edit facilities for plural text also, only show skip if
	  not allowed to translate use enumerate in gettransview to make it
	  simpler in projects, handle plural forms in indexing code and
	  unquotefrompo/quotefrompo these now return dictionaries if given
	  them, containing the quoted values

2005-05-06 11:20  davidfraser

	* pagelayout.py: make sure the adminlink is properly joined

2005-05-06 10:25  davidfraser

	* translatepage.py: redid gettransedit to use gettransview if not
	  allowed to edit changed so plurals display the actual plurals
	  along with the explanation that they can't be edited reordered
	  logic in gettransview

2005-05-06 10:11  davidfraser

	* translatepage.py, html/pootle.css: gettransview - cleaning up
	  plural form construction, use TranslationHeaders for it added
	  color to the translation header

2005-05-06 09:49  davidfraser

	* translatepage.py: handle plurals in translatepage maketable - get
	  isplural from projects translations and pass to
	  getorigdiv/gettransedit/gettransview
	  getorigdiv/transview/transedit now handle plural forms
	  getorigdiv:	prints headers for the plural	note that this
	  changes the id for the raw original hidden field gettransedit:
	  plurals are simply marked as not working yet gettransview:
	  displays the plural translation with the numeric plural item
	  number.  highlightdiffs:   I'm sending trans[0], etc to transdiff
	  I don't think this is right.	  Diffs are screwy if you have
	  plurals in the file.

	  note: up till now, you need pagelayout.py revision <= 1.5 - with
	  this commit you need pagelayout.py >= 1.6

2005-05-06 09:27  davidfraser

	* translatepage.py: removed sidebar entry showing current file as
	  thats now in the title

2005-05-06 09:21  davidfraser

	* indexpage.py, pagelayout.py, translatepage.py: moved navigation
	  functions from PootlePage into PootleNavPage, adjusted classes
	  that need them added check that the languagecodes the user has
	  set for their home page are valid

2005-05-06 09:12  davidfraser

	* indexpage.py, pagelayout.py: move getbrowseurl and makelink from
	  indexpage.ProjectIndex to pagelayout.PootlePage this makes them
	  accessible in a TranslatePage as well (but possibly they should
	  be moved to a more general class)

2005-05-06 09:11  davidfraser

	* translatepage.py: until we have plurals, we should use the whole
	  of orig...

2005-05-06 08:50  davidfraser

	* translatepage.py: gettransedit patch [Dwayne Bailey]:    - allow
	  user-specified inputheight and width to start with, remove hack
	  to guess size    - use inputheight+width    - add break before
	  buttons to stop them looking ugly

2005-05-06 08:41  davidfraser

	* translatepage.py: Made all the translate widget buttons
	  localizable [Dwayne Bailey]

2005-05-06 08:38  davidfraser

	* translatepage.py: added hidden field to store raw original, copy
	  now copies the hidden field [Dwayne Bailey]

2005-05-06 08:34  davidfraser

	* translatepage.py: made editlinks localizable [Dwayne Bailey]

2005-05-06 07:14  davidfraser

	* translatepage.py: Make accept / reject widgets localizable
	  [Dwayne Bailey]

2005-05-06 07:11  davidfraser

	* translatepage.py: Patch from Dwayne Bailey: - refactor to use
	  navbar - moved postats calculation to navbar construction - added
	  getdisplayrows to allow user to set number of rows for view or
	  translate mode (with maximums)

2005-05-06 06:58  davidfraser

	* translatepage.py: pagelinks are now only displayed if you
	  actually have more than one page [Dwayne Bailey]

2005-05-06 06:30  davidfraser

	* indexpage.py, pagelayout.py, html/pootle.css: removed MainItem
	  and renamed to navbar where neccessary made languagelink more
	  logical (to me!) by putting .. after rootlink

2005-05-06 06:29  davidfraser

	* indexpage.py: Patch from Dwayne Bailey: - consolidate statistics
	  generation with *pagestats in pagelayout - created navbar code in
	  pagelayout (was MainItem) - navbars are added to project list for
	  a language and language list for a project - use new
	  polarizeitems function from pagelayout

2005-05-06 06:24  davidfraser

	* pagelayout.py: patch from Dwayne Bailey: - added a Navbar class
	  and retired MainItem - Added TranslationHeaders for plural forms
	  - new geticon function to return the right icon for a given named
	  type - makenavbarpath creates the navbar clickable path, i've
	  tried to optimise it	 as far as possible removing redundant and
	  repeated code but its still a bit  barfish - makenavbar puts them
	  all together - polarizeitems creates the striped lists which are
	  now appearing averywhere - *pagestats create stats for the two
	  project and language list pages

2005-05-06 06:17  davidfraser

	* html/pootle.css: Added items for the navbar, translation headers,
	  highlights [Dwayne Bailey]

2005-05-06 06:15  davidfraser

	* projects.py: Added the ability to return plural items in a list
	  with an isplural marker [Dwayne Bailey]

2005-05-03 12:04  dwaynebailey

	* translatepage.py, html/js/autoexpand.js: Buttons to widden,
	  narrow and reset the textarea to its origianl size.  This should
	  be a widget of some kind though not raw links.

2005-05-03 11:27  dwaynebailey

	* pootle.py: Another part of the user interface settings change

2005-05-03 10:06  dwaynebailey

	* users.py: Users can now set the desired items in view and
	  translate mode and the size of the textarea widgets.	Changes to
	  make use of these values follow.

2005-05-03 09:57  dwaynebailey

	* TODO: TODO cleanup

2005-04-28 17:00  dwaynebailey

	* translatepage.py: Make the viewmode navbar localisable

2005-04-28 16:49  dwaynebailey

	* TODO: TODO cleanup

2005-04-28 16:10  dwaynebailey

	* projects.py: Add function to create xliff

2005-04-28 14:57  dwaynebailey

	* pootlefile.py: Added method for retreiving xliff files.

2005-04-28 10:57  dwaynebailey

	* indexpage.py, pootle.py: The about link on the projects/ and
	  languages/ page now work correctly.  You get a correct error
	  message if you try to upload without supplying a filename.
	  Upload errors are localisable.  The users that you can assign to
	  a goal now appear in a dropdown list.  You can only view CSV or
	  XLIFF files if you have translate rights to a project.  We can
	  now also supply XLIFF files using po2xliff A minor bugfix getgoal
	  -> getgoalfiles

2005-04-28 10:50  dwaynebailey

	* pagelayout.py: We should now always find the favicon.

2005-04-26 16:37  dwaynebailey

	* pootlefile.py, projects.py: PO Plural-Forms header is now updated
	  if it is present in the PO file and if the nplural and
	  pluralequation are set for the language.

2005-04-26 16:13  dwaynebailey

	* indexpage.py: Added a number of returnurl parameters for pages
	  where users would want to login and be returned to the correct
	  location.  Add an admin links for the projects' languages page if
	  you are the siteadmin making it easy to get to this admin page.
	  The project & language level admin link is now formated to be
	  associated with the project ie [ Zulu ][ Pootle : Admin ] making
	  its role clearer.  Fixed a localize bracket placement error.

2005-04-26 16:01  dwaynebailey

	* adminpages.py: On the projects/%s/admin.html page added a link to
	  return you to the language lists for that project.  Also added a
	  return URL to allow people who go to the page without having
	  logged in to login and be correctly returned to the page.

2005-04-26 15:35  dwaynebailey

	* potree.py, projects.py: Project PO Template files can now be in
	  the "templates" or "pot" directory.

2005-04-26 15:12  dwaynebailey

	* potree.py: Languages are now always returned sorted

2005-04-25 12:56  dwaynebailey

	* projects.py: Second part of deleting rights to a project &
	  language.  Also sort goals in alphabetical order.

2005-04-25 12:38  dwaynebailey

	* adminpages.py: You can now delete a users rights to a project &
	  language.

2005-04-25 12:34  dwaynebailey

	* adminpages.py: Change the checkerstyle textbox to a dropdown with
	  test names pulled from the filter module.  Now you can't mistype
	  or add a checker that does not exist.

2005-04-25 12:28  dwaynebailey

	* adminpages.py: Make the Pootle general admin option localizable
	  (title, description, baseurl)

2005-04-25 12:12  dwaynebailey

	* users.py: Make the title of user configurable options (name,
	  email) localizable.

2005-04-22 16:40  davidfraser

	* indexpage.py: added version information to the about page

2005-04-21 17:17  davidfraser

	* __version__.py: arbritrarily decided this should be version 0.6
	  :-)

2005-04-21 10:53  davidfraser

	* pootle.prefs, users.prefs: fixed up importmodules to refer to new
	  class location cut down languages, projects

2005-04-20 14:48  davidfraser

	* COPYING, CREDITS: Added initial CREDITS file, and COPYING (GPL)

2005-04-20 11:50  davidfraser

	* ChangeLog, ChangeLog.pre-0.8, PootleServer, __version__.py: added
	  PootleServer script, new __version__ for Pootle, and ChangeLogs
	  (including old changelog from before move)

2005-04-20 11:33  davidfraser

	* README, TODO, __init__.py, adminpages.py, indexpage.py,
	  pagelayout.py, pootle.prefs, pootle.py, pootlefile.py, potree.py,
	  projects.py, translatepage.py, users.py, versioncontrol.py,
	  html/favicon.ico, html/pootle.css, html/robots.txt,
	  html/doc/howto.html, html/doc/index.html,
	  html/doc/resources.html, html/images/edit.png,
	  html/images/file.png, html/images/folder.png,
	  html/images/gap.png, html/images/goal.png,
	  html/images/person.png, html/images/pootle-medium.jpg,
	  html/images/pootle-small.jpg, html/images/pootle.jpg,
	  html/images/pootle.svg, html/images/top.png,
	  html/js/autoexpand.js: moved from translate/pootle to Pootle and
	  adjusted imports, README etc

